------------------------------------------------------------------------
r24676 | gerald | 2008-03-17 16:01:20 -0700 (Mon, 17 Mar 2008) | 3 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/docbook/release-notes.xml

Bump the version in the trunk to 1.0.99 (which will become 1.1.0 at some
point).

------------------------------------------------------------------------
r24677 | gerald | 2008-03-17 16:19:49 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h

Fix a typo.

------------------------------------------------------------------------
r24678 | stig | 2008-03-17 16:30:37 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/tshark.c

Allow tshark to print custom columns.

------------------------------------------------------------------------
r24679 | stig | 2008-03-17 16:40:00 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/file.c

Allow custom columns when printing.

------------------------------------------------------------------------
r24680 | stig | 2008-03-17 16:59:49 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export get_column_custom_field from libwireshark.

------------------------------------------------------------------------
r24682 | stig | 2008-03-17 17:11:52 -0700 (Mon, 17 Mar 2008) | 3 lines
Changed paths:
   M /trunk/file.c

Bah, committed the wrong file.
Second try on allow custom columns when printing.

------------------------------------------------------------------------
r24683 | stig | 2008-03-17 17:48:24 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/file.c

Allow custom columns in export as CSV and PSML.

------------------------------------------------------------------------
r24684 | gerald | 2008-03-17 19:11:03 -0700 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Update to the latest User's Guide.

------------------------------------------------------------------------
r24687 | sfisher | 2008-03-17 22:01:18 -0700 (Mon, 17 Mar 2008) | 4 lines
Changed paths:
   M /trunk/gtk/follow_tcp.c


Finish fixing bug #1138: Follow TCP Streams gets stream direction wrong ...


------------------------------------------------------------------------
r24689 | jake | 2008-03-18 12:53:07 -0700 (Tue, 18 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

Add consistent Bearer Capability layer identifications.
------------------------------------------------------------------------
r24690 | jake | 2008-03-18 12:57:35 -0700 (Tue, 18 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

Add codeset 5 ETSI party catagory IE.
------------------------------------------------------------------------
r24691 | etxrab | 2008-03-18 13:10:50 -0700 (Tue, 18 Mar 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h

Handle the case where length is > remaining tvb

trace in:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1809
------------------------------------------------------------------------
r24692 | gerald | 2008-03-18 17:02:24 -0700 (Tue, 18 Mar 2008) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/osx-build.sh

From Stig: Fix the call to osx-app.sh.

------------------------------------------------------------------------
r24693 | stig | 2008-03-18 18:02:55 -0700 (Tue, 18 Mar 2008) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

Avoid calling some free() on WIN32 on memory that may be allocated in
another heap.  This is a temporary solution.

------------------------------------------------------------------------
r24694 | kukosa | 2008-03-19 01:24:57 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

export SRTP related functions
------------------------------------------------------------------------
r24695 | kukosa | 2008-03-19 01:26:45 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

SSL debug outputs for better detection of reassembling problems
------------------------------------------------------------------------
r24696 | kukosa | 2008-03-19 01:33:11 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-h245.c

add SRTCP support to h245_setup_channels()
------------------------------------------------------------------------
r24697 | kukosa | 2008-03-19 02:14:47 -0700 (Wed, 19 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

fix from Anders: offset->boffset

------------------------------------------------------------------------
r24698 | etxrab | 2008-03-19 12:10:31 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Return value tvb if pressent from all branches.
------------------------------------------------------------------------
r24699 | etxrab | 2008-03-19 12:11:03 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Export dissect_cbs_data_coding_scheme()
------------------------------------------------------------------------
r24700 | etxrab | 2008-03-19 12:11:33 -0700 (Wed, 19 Mar 2008) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/gsmmap/packet-gsmmap-template.h

Export dissect_cbs_data_coding_scheme()
------------------------------------------------------------------------
r24701 | etxrab | 2008-03-19 12:13:47 -0700 (Wed, 19 Mar 2008) | 8 lines
Changed paths:
   M /trunk/asn1/sabp/SABP-IEs.asn
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/asn1/sabp/sabp.cnf
   M /trunk/epan/dissectors/packet-sabp.c

Fix bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1809

"UTRAN Iub interface SABP signalling"
The text for this protocol is little misleading. It should preferable be
changed to.
"UTRAN IuBC interface SABP signaling"

Add TCP reassembly and dissect Data-Coding-Scheme.
------------------------------------------------------------------------
r24702 | wmeier | 2008-03-19 14:09:31 -0700 (Wed, 19 Mar 2008) | 5 lines
Changed paths:
   M /trunk/epan/oids.c

Windows: use free() only if vc6 (as suggested by Peter Johansson);
Thus standard Windows Wireshark release will not have memory leak here.
Assumption: Wireshark Windows libsmi.dll built with vc6.
This solution is temporary.

------------------------------------------------------------------------
r24703 | gerald | 2008-03-19 17:30:47 -0700 (Wed, 19 Mar 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Use libgmodule-2.0-0.dll 2.14.5 for the GTK+1 version of Wireshark.

------------------------------------------------------------------------
r24704 | gerald | 2008-03-20 12:18:33 -0700 (Thu, 20 Mar 2008) | 7 lines
Changed paths:
   M /trunk/dumpcap.c

Don't call cap_set_proc() unless we were started with elevated
privileges.  Otherwise, we might print

dumpcap: cap_set_proc() fail return: Operation not permitted

to stderr.

------------------------------------------------------------------------
r24705 | etxrab | 2008-03-20 13:41:23 -0700 (Thu, 20 Mar 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

Get the Windows build going again.
------------------------------------------------------------------------
r24706 | jake | 2008-03-20 17:39:03 -0700 (Thu, 20 Mar 2008) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/user-guide.xml

Clean up outer docbook files for 1.0.0.
------------------------------------------------------------------------
r24707 | wmeier | 2008-03-20 19:27:58 -0700 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Emit warning message to log if attempt to send signal to child process fails...

------------------------------------------------------------------------
r24708 | sake | 2008-03-20 23:11:45 -0700 (Thu, 20 Mar 2008) | 8 lines
Changed paths:
   M /trunk/rawshark.c
   M /trunk/tshark.c

Make tshark and rawshark behave similar to wireshark when "frame.time_delta_displayed" is
used within a display filter.

(the usefullness of "frame.time_delta_displayed" in a display filter is very limited
 since it bites it's own tail. Still, wireshark and tshark should at least show the
 same behaviour)


------------------------------------------------------------------------
r24709 | gerald | 2008-03-21 09:09:04 -0700 (Fri, 21 Mar 2008) | 4 lines
Changed paths:
   M /trunk/packaging/macosx/Resources/Wireshark.icns
   M /trunk/packaging/macosx/osx-app.sh
   M /trunk/packaging/macosx/osx-build.sh
   M /trunk/packaging/macosx/osx-dmg.sh

Scale the 128-pixel icon down a little, so that it looks better in the dock.
Strip terminal control characters out of the build scripts, so that their
buildbot output is readable.

------------------------------------------------------------------------
r24710 | etxrab | 2008-03-21 09:10:47 -0700 (Fri, 21 Mar 2008) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-int.h
   M /trunk/epan/dtd_parse.h
   M /trunk/plugins/mate/mate_parser.l

In glib 2.16 g_malloc   Changed from:
- gpointer g_malloc         (gulong	 n_bytes) G_GNUC_MALLOC;
to:
+ gpointer g_malloc         (gsize	 n_bytes) G_GNUC_MALLOC;
------------------------------------------------------------------------
r24711 | etxrab | 2008-03-21 09:15:21 -0700 (Fri, 21 Mar 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

Use the latest GTK libraries.
------------------------------------------------------------------------
r24712 | sfisher | 2008-03-21 16:41:04 -0700 (Fri, 21 Mar 2008) | 4 lines
Changed paths:
   M /trunk/doc/README.developer


Fix bug #2382: Typos in README.developer


------------------------------------------------------------------------
r24715 | sfisher | 2008-03-21 22:50:19 -0700 (Fri, 21 Mar 2008) | 4 lines
Changed paths:
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_stream.h
   M /trunk/gtk/follow_udp.c


Fix bug #1212: Follow SSL/UDP Stream gets direction wrong ...


------------------------------------------------------------------------
r24716 | wmeier | 2008-03-22 12:04:26 -0700 (Sat, 22 Mar 2008) | 5 lines
Changed paths:
   M /trunk/dumpcap.c

Fix (aka workaround) for bug #2228.
Essentially: if using libcap, drop capabilities
after doing pcap_open_live. 
See comment in main() for details.

------------------------------------------------------------------------
r24718 | jake | 2008-03-23 01:58:52 -0700 (Sun, 23 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/tools/lemon/lempar.c

Running glib 2.16 on 32 bit platform requires this lempar.c change in addition to revision 24710.
Makefiles updated to make new lempar.c effective in build rules.
------------------------------------------------------------------------
r24719 | jake | 2008-03-23 02:05:57 -0700 (Sun, 23 Mar 2008) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

From William Pursell:
typos in documentation.
------------------------------------------------------------------------
r24720 | stig | 2008-03-23 11:40:22 -0700 (Sun, 23 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/epan/dissectors/packet-ieee802154.h

Removed some unnamed unions, reported by Andrew Hood.

------------------------------------------------------------------------
r24721 | jake | 2008-03-24 03:49:23 -0700 (Mon, 24 Mar 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eigrp.c

FIx for bug 2381:
The eigrp update packets may contain more than one destination advertisement
per one "IP external route" or "IP internal route" TLV. Recurse over prefix/network
address pairs until TLV is exhausted.
------------------------------------------------------------------------
r24722 | gerald | 2008-03-24 09:22:30 -0700 (Mon, 24 Mar 2008) | 3 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/dumpcap.c

dumpcap.c: Fix a typo.
INSTALL: Add entries for libcap.

------------------------------------------------------------------------
r24723 | gerald | 2008-03-24 11:17:26 -0700 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml

Fix a typo.

------------------------------------------------------------------------
r24724 | wmeier | 2008-03-24 11:32:15 -0700 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix a few typos.

------------------------------------------------------------------------
r24725 | gerald | 2008-03-24 15:58:34 -0700 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Use cygpath to automatically find our paths under Windows.

------------------------------------------------------------------------
r24726 | ashokn | 2008-03-25 11:53:17 -0700 (Tue, 25 Mar 2008) | 6 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Fixed bug with tvb_get_bits64(); the mask array had one less "ff" than
it needs. This manifests itself in calls to tvb_get_bits64() and in
calls to proto_tree_add_bits_xxx() for >32 bits.



------------------------------------------------------------------------
r24727 | lego | 2008-03-25 14:07:52 -0700 (Tue, 25 Mar 2008) | 5 lines
Changed paths:
   M /trunk/editcap.c

Long time ago, I added these to troubleshoot a problem a user was seeing but I could not reproduce, as I had no feedback I forgot about removing these prints. 

This must be copied over to the release branch.


------------------------------------------------------------------------
r24728 | etxrab | 2008-03-25 14:49:55 -0700 (Tue, 25 Mar 2008) | 7 lines
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/libwireshark.def

Export:
dissect_gsm_map_GlobalCellId
dissect_gsm_map_lcs_Ext_GeographicalInformation

Dissect GlobalCellId 
Fix offset in GeographicalInformation
use parameter tvb when calling be_chan_type()
------------------------------------------------------------------------
r24730 | stig | 2008-03-26 09:56:45 -0700 (Wed, 26 Mar 2008) | 4 lines
Changed paths:
   M /trunk/file.c

Do not add packet length twice to cum_bytes when having a TIME REF frame.

This fixes bug 2387.

------------------------------------------------------------------------
r24731 | etxrab | 2008-03-26 14:17:20 -0700 (Wed, 26 Mar 2008) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

The hf_gsm_map_getPassword is missing from the hf array in gsm_map.
------------------------------------------------------------------------
r24732 | gerald | 2008-03-26 15:33:56 -0700 (Wed, 26 Mar 2008) | 3 lines
Changed paths:
   M /trunk/gtk/follow_stream.c

Make the default save format "Raw". Make it easy to change the default
format.

------------------------------------------------------------------------
r24733 | sfisher | 2008-03-26 16:08:58 -0700 (Wed, 26 Mar 2008) | 4 lines
Changed paths:
   M /trunk/gtk/follow_stream.c


Remove unterminated comment to fix compile 


------------------------------------------------------------------------
r24734 | gerald | 2008-03-27 10:21:48 -0700 (Thu, 27 Mar 2008) | 3 lines
Changed paths:
   M /trunk/gtk/win32-file-dlg.c
   M /trunk/gtk/win32-file-dlg.h
   M /trunk/image/win32-file-dlg.rc

Change the "Filter:" button in the Win32 open and merge dialogs to a 
"Display filter" label.

------------------------------------------------------------------------
r24735 | gerald | 2008-03-27 10:26:59 -0700 (Thu, 27 Mar 2008) | 3 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

Add tooltips for the filter button and text entry in the open and merge
dialogs.

------------------------------------------------------------------------
r24737 | stig | 2008-03-27 12:44:50 -0700 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Align some mail addresses.

------------------------------------------------------------------------
r24739 | gerald | 2008-03-27 15:05:52 -0700 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Add a bunch of known problems from the list of open bugs.

------------------------------------------------------------------------
r24740 | gerald | 2008-03-27 16:09:22 -0700 (Thu, 27 Mar 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Make sure we reset a pointer to ephemeral memory when we're done processing
our packet, otherwise someone might try to use it later on.

------------------------------------------------------------------------
r24742 | sfisher | 2008-03-27 21:42:29 -0700 (Thu, 27 Mar 2008) | 5 lines
Changed paths:
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_tcp.c


Fix bug #2286: Folow TCP stream window [needs line wrapping turned back on]
wrapped lines


------------------------------------------------------------------------
r24743 | gerald | 2008-03-27 22:56:02 -0700 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Fix compilation under Windows.

------------------------------------------------------------------------
r24746 | etxrab | 2008-03-28 08:42:03 -0700 (Fri, 28 Mar 2008) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update an enum.
------------------------------------------------------------------------
r24747 | gerald | 2008-03-28 11:49:49 -0700 (Fri, 28 Mar 2008) | 2 lines
Changed paths:
   M /trunk/packaging/Makefile.am
   A /trunk/packaging/macosx/Makefile.am

Add the OS X packaging files to the distribution.

------------------------------------------------------------------------
r24748 | stig | 2008-03-28 12:37:53 -0700 (Fri, 28 Mar 2008) | 2 lines
Changed paths:
   M /trunk/configure.in

Add the OS X packaging Makefile to configure.

------------------------------------------------------------------------
r24749 | gerald | 2008-03-28 14:11:53 -0700 (Fri, 28 Mar 2008) | 3 lines
Changed paths:
   M /trunk/packaging/macosx/Makefile.am
   D /trunk/packaging/macosx/Read me first.rtf
   A /trunk/packaging/macosx/Read_me_first.rtf (from /trunk/packaging/macosx/Read me first.rtf:24748)
   M /trunk/packaging/macosx/osx-dmg.sh

Trying to feed file names with spaces to GNU make will just end in tears.
Don't do that.

------------------------------------------------------------------------
r24752 | gerald | 2008-03-28 17:54:58 -0700 (Fri, 28 Mar 2008) | 25 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/packaging/Makefile.am
   M /trunk/packaging/macosx/Makefile.am

Remove most of the OS X packaging files from the distribution. The
files in Resources/themes/Clearlooks-Quicksilver-OSX overrun the
99-character file name length limitation imposed by the default tar
format (V7). We can fix this by

  - Feeding "tar-ustar" to AM_INIT_AUTOMAKE, which apparently means
    changing

AM_INIT_AUTOMAKE(wireshark, x.y.z)

    in configure.in to
  
AC_INIT(wireshark, x.y.z)
AM_INIT_AUTOMAKE(tar-ustar)

    Although the automake documentation recommends this, it means
    updating make-version.pl and possibly other scripts.

  - Shortening everything in the Clearlooks-Quicksilver-OSX path.

  - Skipping tar distributions altogether in favor of zip.

None of these fixes are trivial, and version 1.0 awaits. For now,
you'll have to build OS X packages from SVN.

------------------------------------------------------------------------
r24755 | ulfl | 2008-03-29 10:50:32 -0700 (Sat, 29 Mar 2008) | 1 line
Changed paths:
   M /trunk/gtk/libui.vcproj

remove no longer existing follow_dlg.h
------------------------------------------------------------------------
r24756 | gerald | 2008-03-29 13:47:12 -0700 (Sat, 29 Mar 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802154.c

Remove a linefeed from a field description.

------------------------------------------------------------------------
r24757 | jake | 2008-03-29 16:04:33 -0700 (Sat, 29 Mar 2008) | 2 lines
Changed paths:
   M /trunk/plugins/agentx/plugin.rc.in
   M /trunk/plugins/artnet/plugin.rc.in
   M /trunk/plugins/asn1/plugin.rc.in
   M /trunk/plugins/ciscosm/plugin.rc.in
   M /trunk/plugins/docsis/plugin.rc.in
   M /trunk/plugins/easy_codec/plugin.rc.in
   M /trunk/plugins/enttec/plugin.rc.in
   M /trunk/plugins/ethercat/plugin.rc.in
   M /trunk/plugins/gryphon/plugin.rc.in
   M /trunk/plugins/infiniband/plugin.rc.in
   M /trunk/plugins/irda/plugin.rc.in
   M /trunk/plugins/lwres/plugin.rc.in
   M /trunk/plugins/m2m/plugin.rc.in
   M /trunk/plugins/mate/plugin.rc.in
   M /trunk/plugins/opcua/plugin.rc.in
   M /trunk/plugins/opsi/plugin.rc.in
   M /trunk/plugins/pcli/plugin.rc.in
   M /trunk/plugins/profinet/plugin.rc.in
   M /trunk/plugins/rlm/plugin.rc.in
   M /trunk/plugins/rtnet/plugin.rc.in
   M /trunk/plugins/rudp/plugin.rc.in
   M /trunk/plugins/sbus/plugin.rc.in
   M /trunk/plugins/stats_tree/plugin.rc.in
   M /trunk/plugins/unistim/plugin.rc.in
   M /trunk/plugins/v5ua/plugin.rc.in
   M /trunk/plugins/wimax/plugin.rc.in
   M /trunk/plugins/wimaxasncp/plugin.rc.in

Remove the pre-release flag from FILEFLAGS in the resource file.

------------------------------------------------------------------------
r24758 | jake | 2008-03-29 16:40:11 -0700 (Sat, 29 Mar 2008) | 3 lines
Changed paths:
   M /trunk/image/capinfos.rc.in
   M /trunk/image/dumpcap.rc.in
   M /trunk/image/editcap.rc.in
   M /trunk/image/libwireshark.rc.in
   M /trunk/image/mergecap.rc.in
   M /trunk/image/rawshark.rc.in
   M /trunk/image/text2pcap.rc.in
   M /trunk/image/tshark.rc.in
   M /trunk/image/wireshark.rc.in
   M /trunk/image/wiretap.rc.in

Replace field values with constants, correcting some values.
Remove the pre-release flag from FILEFLAGS in the resource file.

------------------------------------------------------------------------
r24759 | jake | 2008-03-30 05:43:21 -0700 (Sun, 30 Mar 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

From yin sun:
In packet-e212.c function dissect_e212_mcc_mnc mnc is added twice.
the correction should be: mnc = 10 * mnc + mnc3;

------------------------------------------------------------------------
r24760 | jmayer | 2008-03-30 14:53:59 -0700 (Sun, 30 Mar 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Fix bug 2395: 2395
------------------------------------------------------------------------
r24761 | tuexen | 2008-03-31 19:53:01 -0700 (Mon, 31 Mar 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

- Disable checksum verification by default.
- Add to Edit/Preferences/Protocols/SCTP a
  flag to disable upper layer dissection.

------------------------------------------------------------------------
r24762 | lego | 2008-04-03 15:13:52 -0700 (Thu, 03 Apr 2008) | 22 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/radius_dict.l
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/tshark.c



http://www.wireshark.org/lists/wireshark-dev/200803/msg00308.html

proto.[hc]
    define new APIs to allow delayed registration of protocol fields,
	so that dissectors with "flexible" fields  like xml, radius, diameter,
	snmp do not have to load their files at startup but can do so as late as possible.

gtk/dfilter_expr_dlg.c :
	have the expression dialog registering all prefixes so that all fileds appear in the dialog

tshark.c
	register all prefixes when called with -G

epan/radius_dict.l
epan/dissectors/packet-radius.c
epan/dissectors/packet-radius.h
	refactor registration to delay dictionary loading as long as possible



------------------------------------------------------------------------
r24763 | lego | 2008-04-03 15:18:08 -0700 (Thu, 03 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

typo initializators -> initializers


------------------------------------------------------------------------
r24764 | guy | 2008-04-03 17:38:11 -0700 (Thu, 03 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Add a missing routine (proto_initialize_all_prefixes).

------------------------------------------------------------------------
r24765 | martinm | 2008-04-03 21:44:59 -0700 (Thu, 03 Apr 2008) | 1 line
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Allocate size of data pointed to (64 bits) rather than size of pointer to data...
------------------------------------------------------------------------
r24766 | martinm | 2008-04-03 22:26:47 -0700 (Thu, 03 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Export proto_register_prefix()
------------------------------------------------------------------------
r24767 | martinm | 2008-04-03 22:38:13 -0700 (Thu, 03 Apr 2008) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Use proto_register_prefix() with wimaxasncp plugin.
Also fix a crash problem seen with no filters (i.e. NULL tree).
------------------------------------------------------------------------
r24768 | sfisher | 2008-04-03 23:24:10 -0700 (Thu, 03 Apr 2008) | 4 lines
Changed paths:
   M /trunk/Makefile.am


Fix bug #2405: build debian-package broken: misspelled variable in Makefile.am


------------------------------------------------------------------------
r24769 | morriss | 2008-04-04 09:14:17 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/svr4/mkpkg

The OS X packaging patch renamed the staging directory to .inst (instead of .stage).  Update the SVR4 packaging script to reflect the new name.
------------------------------------------------------------------------
r24770 | gerald | 2008-04-04 11:18:18 -0700 (Fri, 04 Apr 2008) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/portableapps/win32/makenmake.pl
   M /trunk/packaging/u3/win32/makenmake.pl

Start the process of removing GTK1.

------------------------------------------------------------------------
r24771 | martinm | 2008-04-04 12:11:49 -0700 (Fri, 04 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c

Make the RTSP dissector findable by name.

------------------------------------------------------------------------
r24772 | ulfl | 2008-04-04 16:11:23 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/dissectors.vcproj

add packet-tcp.c / packet-udp.c
------------------------------------------------------------------------
r24773 | ulfl | 2008-04-04 16:14:27 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/main.c
   A /trunk/gtk/main_welcome.c
   A /trunk/gtk/main_welcome.h

carve out the (currently disabled) welcome page into it's own file to slightly reduce the huge main.c file size
------------------------------------------------------------------------
r24774 | ulfl | 2008-04-04 16:16:07 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/main_welcome.h

set SVN properties
------------------------------------------------------------------------
r24775 | sfisher | 2008-04-04 16:37:31 -0700 (Fri, 04 Apr 2008) | 4 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   D /trunk/gtk/ethclist.c
   D /trunk/gtk/ethclist.h
   M /trunk/gtk/menu.c


Remove GTK1 from Unix build process.


------------------------------------------------------------------------
r24776 | sfisher | 2008-04-04 17:12:04 -0700 (Fri, 04 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/follow_stream.c


Remove GTK1 code.


------------------------------------------------------------------------
r24777 | ulfl | 2008-04-04 17:13:27 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c
   A /trunk/image/expert_chat.xpm
   A /trunk/image/expert_error.xpm
   A /trunk/image/expert_none.xpm
   A /trunk/image/expert_note.xpm
   A /trunk/image/expert_warn.xpm

add an "LED" to the statusbar, that indicates the most important level of expert info in the capture file
------------------------------------------------------------------------
r24778 | ulfl | 2008-04-04 17:15:29 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-udp.c

as discussed on SharkFest: switch off checksum checks by default
------------------------------------------------------------------------
r24779 | sfisher | 2008-04-04 17:33:21 -0700 (Fri, 04 Apr 2008) | 4 lines
Changed paths:
   M /trunk/image/expert_chat.xpm
   M /trunk/image/expert_error.xpm
   M /trunk/image/expert_none.xpm
   M /trunk/image/expert_note.xpm
   M /trunk/image/expert_warn.xpm


Make xpm strings const to squelch compiler warnings on Unix.


------------------------------------------------------------------------
r24780 | ulfl | 2008-04-04 18:22:53 -0700 (Fri, 04 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

remove more GTK1 stuff from the Win32 build process (incomplete)
------------------------------------------------------------------------
r24781 | martinm | 2008-04-04 21:48:36 -0700 (Fri, 04 Apr 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Don't load in files unless tree is set.
If a user wants to load or capture quickly, they won't want to wait
for the file to be processed after the first frame.
------------------------------------------------------------------------
r24782 | martinm | 2008-04-04 22:04:14 -0700 (Fri, 04 Apr 2008) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/mac_mgmt_msg_decoder.c

Make wimax mac mgmt protocol findable by name.
Bug 2409.
------------------------------------------------------------------------
r24783 | sfisher | 2008-04-04 22:39:07 -0700 (Fri, 04 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/export_object.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/pixmap_save.c


Remove GTK1 references and code (other than our packet list clist).


------------------------------------------------------------------------
r24784 | martinm | 2008-04-04 22:41:59 -0700 (Fri, 04 Apr 2008) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Mark a local function static rather than extern.
Get rid of an unused variable.

Was going to use proto_register_prefix(), but am not sure if its appropriate.
Even with tree == NULL, dictionary items are used to generate info column.
Loading the dictionary lazily would mean doing a lot of work as part of dissecting
the first diameter frame, which could decrease our chances of capturing frames that
arrive very soon after that one...
------------------------------------------------------------------------
r24785 | ulfl | 2008-04-05 01:23:37 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

remove -gtk2 suffix
------------------------------------------------------------------------
r24786 | ulfl | 2008-04-05 01:34:35 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   D /trunk/wireshark-gtk1.vcproj
   D /trunk/wireshark-gtk2.vcproj
   M /trunk/wireshark.sln
   A /trunk/wireshark.vcproj (from /trunk/wireshark-gtk1.vcproj:24774)

start to remove gtk1 from the Visual Studio stuff 
------------------------------------------------------------------------
r24787 | ulfl | 2008-04-05 01:51:08 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/doc/Makefile.nmake

add ws.css to clean
------------------------------------------------------------------------
r24788 | ulfl | 2008-04-05 02:31:49 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c

remove GTK1 stuff
------------------------------------------------------------------------
r24789 | ulfl | 2008-04-05 02:32:30 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/libui.vcproj

add "recently" added files
------------------------------------------------------------------------
r24790 | ulfl | 2008-04-05 02:33:14 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/doc

ignore ws.css
------------------------------------------------------------------------
r24791 | ulfl | 2008-04-05 08:05:29 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/libui.vcproj

add HAVE_LIBPCAP to IntelliSense settings
------------------------------------------------------------------------
r24792 | ulfl | 2008-04-05 08:15:14 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

fix u3 build
------------------------------------------------------------------------
r24793 | ulfl | 2008-04-05 08:20:20 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c

update expert info LED also while doing live capturing
------------------------------------------------------------------------
r24794 | ulfl | 2008-04-05 10:27:29 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

lower the "Window Update" severity from note to chat (as it happens all the time)
------------------------------------------------------------------------
r24795 | sfisher | 2008-04-05 12:23:07 -0700 (Sat, 05 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls_dlg.c
   D /trunk/image/toolbar/stock_bottom_24.xpm
   D /trunk/image/toolbar/stock_colorselector_24.xpm
   D /trunk/image/toolbar/stock_help_24.xpm
   D /trunk/image/toolbar/stock_jump_to_24.xpm
   D /trunk/image/toolbar/stock_left_arrow_24.xpm
   D /trunk/image/toolbar/stock_preferences_24.xpm
   D /trunk/image/toolbar/stock_print_24.xpm
   D /trunk/image/toolbar/stock_refresh_24.xpm
   D /trunk/image/toolbar/stock_right_arrow_24.xpm
   D /trunk/image/toolbar/stock_save_as_24.xpm
   D /trunk/image/toolbar/stock_search_24.xpm
   D /trunk/image/toolbar/stock_top_24.xpm
   D /trunk/image/toolbar/stock_zoom_1_24.xpm
   D /trunk/image/toolbar/stock_zoom_in_24.xpm
   D /trunk/image/toolbar/stock_zoom_out_24.xpm


Remove more GTK1 code and related xpm files.


------------------------------------------------------------------------
r24796 | sake | 2008-04-05 13:01:09 -0700 (Sat, 05 Apr 2008) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix for bug 2378, where window scaling was not applied to
a new conversation. The new conversation was created from
a template conversation with NO_PORT2 set. In this case
the tcp conversation data structure was not initialized
and therefor the scaling options could not be saved in the 
conversation.


------------------------------------------------------------------------
r24797 | sake | 2008-04-05 13:18:28 -0700 (Sat, 05 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Raise the expert priority of all "zero window" related events from
note to error, as a window size of 0 indicates serious problems 
in the tcp session.

------------------------------------------------------------------------
r24798 | ulfl | 2008-04-05 16:16:59 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_dlg.c
   A /trunk/gtk/expert_comp_dlg.h
   M /trunk/gtk/main.c

click on the "expert info" indicator opens the corresponding dialog
------------------------------------------------------------------------
r24799 | ulfl | 2008-04-05 16:55:35 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix compilation without HAVE_AIRPCAP
------------------------------------------------------------------------
r24800 | ulfl | 2008-04-05 19:28:36 -0700 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/toolbar.c

try to fix the OSX buildbot
------------------------------------------------------------------------
r24801 | ulfl | 2008-04-06 09:23:05 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/toolbar.c

remove GTK1 related stuff from the file header comment
------------------------------------------------------------------------
r24802 | ulfl | 2008-04-06 09:24:04 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.am

remove the deleted stock items from the distribution list
------------------------------------------------------------------------
r24803 | ulfl | 2008-04-06 09:34:37 -0700 (Sun, 06 Apr 2008) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

reduce the expert level of TCP zero window back to "reasonable values" - for me.

maybe this will start the first edit war in Wireshark ;-)

As discussed on the dev-list, we might need some sort of profile for the expert output as well ...

for this TCP window stuff - and problably a lot of other stuff - the severity of an expert message will largely depend on your network usage and configuration
------------------------------------------------------------------------
r24804 | ulfl | 2008-04-06 14:24:50 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.am

remove the deleted stock items from the distribution list (missed some not mentioned in the mail)
------------------------------------------------------------------------
r24805 | stig | 2008-04-06 14:45:04 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Removed some GTK1 code.

------------------------------------------------------------------------
r24806 | stig | 2008-04-06 14:45:57 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/packaging/macosx

Added some svn:ignore targets.

------------------------------------------------------------------------
r24807 | ulfl | 2008-04-06 15:04:43 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24808 | ulfl | 2008-04-06 15:07:21 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am

add expert_comp_dlg.h to the distributed files
------------------------------------------------------------------------
r24809 | ulfl | 2008-04-06 15:16:04 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/airpcap_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24810 | ulfl | 2008-04-06 15:25:36 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_file_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24811 | ulfl | 2008-04-06 15:36:23 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

replace confusing #if checking for GTK2.4.0 (the GTK version when gtk_file_chooser was "invented") by #if GTK_CHECK_VERSION(2,4,0)

------------------------------------------------------------------------
r24812 | ulfl | 2008-04-06 15:44:20 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/capture_if_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24813 | ulfl | 2008-04-06 15:50:12 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24814 | ulfl | 2008-04-06 15:54:37 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/column_prefs.c

remove GTK1 code
------------------------------------------------------------------------
r24815 | ulfl | 2008-04-06 16:02:27 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_ber.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24816 | ulfl | 2008-04-06 16:20:23 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/file_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24817 | ulfl | 2008-04-06 16:34:05 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/file_dlg.c

replace confusing #if checking for GTK2.4.0 (the GTK version when gtk_file_chooser was "invented") by #if GTK_CHECK_VERSION(2,4,0)

------------------------------------------------------------------------
r24818 | ulfl | 2008-04-06 16:36:29 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/firewall_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24819 | ulfl | 2008-04-06 16:37:52 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/firewall_dlg.c

replace confusing #if checking for GTK2.4.0 (the GTK version when gtk_file_chooser was "invented") by #if GTK_CHECK_VERSION(2,4,0)

------------------------------------------------------------------------
r24820 | ulfl | 2008-04-06 16:49:02 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/graph_analysis.c

remove GTK1 code
------------------------------------------------------------------------
r24821 | ulfl | 2008-04-06 16:57:02 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/help_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24822 | ulfl | 2008-04-06 17:29:43 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

replace confusing #if checking for GlIB2.6.0 by #if GLIB_CHECK_VERSION(2,6,0)

------------------------------------------------------------------------
r24823 | ulfl | 2008-04-06 17:42:04 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/plugins_dlg.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/range_utils.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24824 | ulfl | 2008-04-06 18:05:55 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/simple_dialog.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/text_page.c
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/wlan_stat_dlg.c

remove GTK1 code
------------------------------------------------------------------------
r24825 | ulfl | 2008-04-06 18:14:00 -0700 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/file_dlg.c

try to fix #if !GTK_CHECK_VERSION
------------------------------------------------------------------------
r24826 | sfisher | 2008-04-06 20:46:01 -0700 (Sun, 06 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/webbrowser.c


Remove GTK1 code and change ugly version checking statements into
GTK_CHECK_VERSION().


------------------------------------------------------------------------
r24827 | sfisher | 2008-04-06 21:34:54 -0700 (Sun, 06 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/expert_comp_table.h
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/gtkvumeter.h
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/isprint.h
   M /trunk/gtk/proto_draw.h
   M /trunk/gtk/range_utils.h
   M /trunk/gtk/rtp_player.h
   M /trunk/plugins/asn1/packet-asn1.c


Remove GTK1 code.


------------------------------------------------------------------------
r24828 | sfisher | 2008-04-06 21:38:59 -0700 (Sun, 06 Apr 2008) | 4 lines
Changed paths:
   M /trunk/acinclude.m4


Remove GTK1 code.


------------------------------------------------------------------------
r24829 | sfisher | 2008-04-06 22:22:54 -0700 (Sun, 06 Apr 2008) | 7 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/capture.c
   M /trunk/doc/README.developer
   M /trunk/epan/Makefile.common
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/dfilter/dfilter-int.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-syslog.c
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/dtd_parse.h
   M /trunk/epan/emem.c
   M /trunk/epan/ex-opt.c
   M /trunk/epan/filesystem.c
   M /trunk/epan/plugins.c
   M /trunk/epan/prefs.c
   M /trunk/epan/proto.c
   M /trunk/epan/stats_tree.c
   M /trunk/epan/strutil.c
   D /trunk/epan/ws_strsplit.c
   D /trunk/epan/ws_strsplit.h
   M /trunk/epan/wslua/wslua.h
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/webbrowser.c
   M /trunk/isprint.h
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/tap-funnel.c
   M /trunk/tools/lemon/lempar.c
   M /trunk/util.c
   M /trunk/wiretap/file_util.h


- Remove GLIB1 code
- Change ugly GLIB version checking statements to GLIB_CHECK_VERSION
- Remove ws_strsplit files because we no longer need to borrow GLIB2's
  g_strsplit code for the no longer supported GLIB1 builds


------------------------------------------------------------------------
r24830 | sfisher | 2008-04-06 22:37:29 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Remove ws_strsplit from libwireshark.def to fix Windows build

------------------------------------------------------------------------
r24831 | tuexen | 2008-04-06 22:53:02 -0700 (Sun, 06 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c

Cleanup whitespaces.

------------------------------------------------------------------------
r24832 | jake | 2008-04-06 23:12:14 -0700 (Sun, 06 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Steve Karg:
Received user request for enhancements.

Added a display filter for BACnet property ID.  
Added a display filter and names for BACnet Vendor ID.
------------------------------------------------------------------------
r24833 | jake | 2008-04-06 23:36:10 -0700 (Sun, 06 Apr 2008) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mikey.c

From David Bernard:
This patch improves MIKEY support in Wireshark. 

The payload types "Error" and "General Extension" are now supported.

The "KEMAC" payload type now support dissecting its sub-payloads "Key Data" and
"Key Validity", but only for PSK (Pre-Shared key) mode with NULL encryption. So
this will dissects properly the TGK and SALT keys for example.

No decrypting is performed, only decoding.
------------------------------------------------------------------------
r24834 | tuexen | 2008-04-07 06:22:47 -0700 (Mon, 07 Apr 2008) | 4 lines
Changed paths:
   M /trunk/util.c

Fix get_conn_cfilter() such that not an invalid capture filter
is used on FreeBSD 7.0 systems. Now REMOTEHOST can be an
empty string. 

------------------------------------------------------------------------
r24835 | morriss | 2008-04-07 13:27:21 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/INSTALL

Building Wireshark requires Perl (pod2man) so say so.
------------------------------------------------------------------------
r24836 | morriss | 2008-04-07 13:52:34 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Since the GTK1 code was taken out of gsmmap_add_ucs2_ussd_string(), move that code back into gsmmap.cnf (this undoes rev 24227 whose sole purpose was to allow GTK1 builds).
------------------------------------------------------------------------
r24837 | jake | 2008-04-07 14:17:08 -0700 (Mon, 07 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/mcast_stream.c

Fix for bug 2414:
- Do not compare to the possibly resolved address, but the address itself
- Do not leak memory when comparing addresses
------------------------------------------------------------------------
r24838 | stig | 2008-04-07 15:29:27 -0700 (Mon, 07 Apr 2008) | 7 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

From Jim Young:
Attached is a patch to the ldap_reinit() function to fix bug 2407.
This particular bug was triggered by the order of steps used to walk
and free the nodes of the ldap_info_items list.  

This should go into the next 1.0 release.

------------------------------------------------------------------------
r24839 | jake | 2008-04-07 15:46:50 -0700 (Mon, 07 Apr 2008) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/msg_sbc.c
   M /trunk/plugins/wimax/wimax_compact_ulmap_ie_decoder.c

Fix for bug 2401:
Repair header field type definitions, based on a patch from Chris Yang.
------------------------------------------------------------------------
r24840 | ulfl | 2008-04-07 20:50:44 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/plugins/wimax/msg_sbc.c

fix the Win32 build: tfs_yes_no -> tfs_yes_no_sbc 
------------------------------------------------------------------------
r24841 | ulfl | 2008-04-07 20:53:29 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/proto_draw.c

provide gtk_tree_view_expand_to_path only for exactly GTK2.0, avoid problems with GTK 3.0 later
------------------------------------------------------------------------
r24842 | ulfl | 2008-04-07 21:47:32 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_dlg.c

remove GTK1 specific font handling
------------------------------------------------------------------------
r24843 | ulfl | 2008-04-07 22:55:56 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/image/expert_chat.xpm
   M /trunk/image/expert_error.xpm
   M /trunk/image/expert_none.xpm
   M /trunk/image/expert_note.xpm
   M /trunk/image/expert_warn.xpm

improve expert info indicator icons, but still not perfect
------------------------------------------------------------------------
r24844 | ulfl | 2008-04-07 23:00:02 -0700 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /trunk/image/expert_chat.xpm
   M /trunk/image/expert_error.xpm
   M /trunk/image/expert_none.xpm
   M /trunk/image/expert_note.xpm
   M /trunk/image/expert_warn.xpm

prevent unix compilation problems, use "static const char"
------------------------------------------------------------------------
r24845 | etxrab | 2008-04-08 02:54:19 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dtd_grammar.lemon
   M /trunk/tools/lemon/lemon.c
   M /trunk/tools/lemon/lempar.c

Update Lemon to v1.54 and lempar to v 1.31 from sqlite http://www.sqlite.org/cvstrac/dir?d=sqlite/tool
------------------------------------------------------------------------
r24846 | morriss | 2008-04-08 06:17:26 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/configure.in

Reword the "you can't do setuid install without dumpcap" error mainly to take out the comma.
------------------------------------------------------------------------
r24847 | etxrab | 2008-04-08 07:42:52 -0700 (Tue, 08 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

From   Michael Lum:
Most ANSI A information elements are not displayed.
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2388
------------------------------------------------------------------------
r24848 | etxrab | 2008-04-08 07:49:56 -0700 (Tue, 08 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

From  Martin Peylo:
Show MTU discovery bytes in TIPC Link State messages
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2390
------------------------------------------------------------------------
r24849 | etxrab | 2008-04-08 08:42:39 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/s1ap/S1AP-CommonDataTypes.asn
   M /trunk/asn1/s1ap/S1AP-Constants.asn
   M /trunk/asn1/s1ap/S1AP-IEs.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Contents.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Descriptions.asn
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c

Update to latest spec.
------------------------------------------------------------------------
r24850 | guy | 2008-04-08 10:48:04 -0700 (Tue, 08 Apr 2008) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

The integral type with which an enumerated type is equivalent is,
according to the ANSI C standard, implementation-defined; it could be
unsigned, in which case checking whether it's < 0 will cause a compiler
warning.

Casting a signed enum to unsigned will turn negative values into Really
Big Positive Values, so casting to unsigned and comparing against the
maximum value will catch values with the sign bit set regardless of
whether enums are signed or unsigned.

------------------------------------------------------------------------
r24851 | etxrab | 2008-04-08 12:36:41 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/x2ap/X2AP-Constants.asn
   M /trunk/asn1/x2ap/X2AP-Containers.asn
   M /trunk/asn1/x2ap/X2AP-IEs.asn
   M /trunk/asn1/x2ap/X2AP-PDU-Contents.asn
   M /trunk/asn1/x2ap/x2ap.cnf
   M /trunk/epan/dissectors/packet-x2ap.c

Update to latest spec.
------------------------------------------------------------------------
r24852 | morriss | 2008-04-08 15:03:42 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/svr4/checkinstall.in

Make the SVR4 package checkinstall script work with GTK1 or GTK2 (previously it only worked with GTK1).  This version should go into the 1.0 trunk.
------------------------------------------------------------------------
r24853 | morriss | 2008-04-08 15:38:24 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/svr4/checkinstall.in

Make the SVR4 package checkinstall script work with only GTK2+.
------------------------------------------------------------------------
r24854 | ulfl | 2008-04-08 20:48:16 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/doc/Makefile.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/portableapps/win32/makefile.nmake
   M /trunk/packaging/u3/win32/makefile.nmake

lot's of GTK1 related code cleanup in the Win32 build process
------------------------------------------------------------------------
r24855 | ulfl | 2008-04-08 21:57:47 -0700 (Tue, 08 Apr 2008) | 2 lines
Changed paths:
   M /trunk/capture_opts.c

replace confusing #if checking for GlIB2.6.0 by #if GLIB_CHECK_VERSION(2,6,0)

------------------------------------------------------------------------
r24856 | ulfl | 2008-04-08 21:59:24 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_userinterface.xml

remove GTK1 #if #else #endif from the dev guide
------------------------------------------------------------------------
r24857 | ulfl | 2008-04-08 22:01:03 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/uat_gui.c

remove GTK1 code
------------------------------------------------------------------------
r24858 | ulfl | 2008-04-08 22:18:23 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/image/expert_chat.xpm
   M /trunk/image/expert_error.xpm
   M /trunk/image/expert_none.xpm
   M /trunk/image/expert_note.xpm
   M /trunk/image/expert_warn.xpm

use 14*14 pixel icon
------------------------------------------------------------------------
r24859 | etxrab | 2008-04-08 22:36:08 -0700 (Tue, 08 Apr 2008) | 4 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/capture-wpcap.c
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/dissectors/packet-3com-njack.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-megaco.c
   M /trunk/epan/dissectors/packet-mgcp.c
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-tivoconnect.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/prefs.c
   M /trunk/epan/proto.c
   M /trunk/epan/req_resp_hdrs.c
   M /trunk/epan/strutil.c
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h
   M /trunk/tap-mgcpstat.c
   M /trunk/util.c

Remove:
#ifdef NEED_G_ASCII_STRCASECMP_H
#include "g_ascii_strcasecmp.h"
#endif
------------------------------------------------------------------------
r24860 | sfisher | 2008-04-08 22:37:53 -0700 (Tue, 08 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/camel_counter.c
   M /trunk/gtk/camel_srt.c
   M /trunk/gtk/capture_dlg.c


Start getting rid of the uses of compat_macro.h's macros.


------------------------------------------------------------------------
r24861 | ulfl | 2008-04-08 22:43:07 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix a comment typo
------------------------------------------------------------------------
r24862 | ulfl | 2008-04-08 22:54:09 -0700 (Tue, 08 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/export_object_http.c
   M /trunk/gtk/main.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/recent.c

fix some GTK1 related comments
------------------------------------------------------------------------
r24863 | sfisher | 2008-04-08 23:07:06 -0700 (Tue, 08 Apr 2008) | 4 lines
Changed paths:
   M /trunk/image/expert_chat.xpm
   M /trunk/image/expert_error.xpm
   M /trunk/image/expert_none.xpm
   M /trunk/image/expert_note.xpm
   M /trunk/image/expert_warn.xpm


Make expert xpm strings const to avoid warning/error on Unix


------------------------------------------------------------------------
r24864 | sfisher | 2008-04-08 23:09:07 -0700 (Tue, 08 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/uat_gui.c


Remove an unused function that is causing a warning/error on Unix


------------------------------------------------------------------------
r24865 | gal | 2008-04-09 10:17:26 -0700 (Wed, 09 Apr 2008) | 3 lines
Changed paths:
   M /trunk/packaging/ws-manifest.pl

Change of GTK variable name (GTK2_LIB_DIR => GTK_LIB_DIR)


------------------------------------------------------------------------
r24866 | etxrab | 2008-04-09 10:30:09 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Radius AVP updates.
------------------------------------------------------------------------
r24867 | guy | 2008-04-09 11:29:29 -0700 (Wed, 09 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dccp.c

Fix name of file in comment to reflect current reality.

------------------------------------------------------------------------
r24868 | etxrab | 2008-04-09 12:39:58 -0700 (Wed, 09 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/voip_calls.c

Remove:
#ifdef NEED_G_ASCII_STRCASECMP_H
#include "g_ascii_strcasecmp.h"
#endif
------------------------------------------------------------------------
r24869 | etxrab | 2008-04-09 13:55:33 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c

Get the Windows build going again(?).
------------------------------------------------------------------------
r24870 | ulfl | 2008-04-09 15:51:51 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/docbook/Makefile.common
   M /trunk/docbook/user-guide.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_userinterface.xml
   D /trunk/docbook/wsug_graphics/ws-merge-gtk1.png
   D /trunk/docbook/wsug_graphics/ws-merge-gtk2.png
   A /trunk/docbook/wsug_graphics/ws-merge-gtk20.png (from /trunk/docbook/wsug_graphics/ws-merge-gtk1.png:24869)
   A /trunk/docbook/wsug_graphics/ws-merge-gtk24.png (from /trunk/docbook/wsug_graphics/ws-merge-gtk2.png:24869)
   D /trunk/docbook/wsug_graphics/ws-open-gtk1.png
   D /trunk/docbook/wsug_graphics/ws-open-gtk2.png
   A /trunk/docbook/wsug_graphics/ws-open-gtk20.png (from /trunk/docbook/wsug_graphics/ws-open-gtk1.png:24869)
   A /trunk/docbook/wsug_graphics/ws-open-gtk24.png (from /trunk/docbook/wsug_graphics/ws-open-gtk2.png:24869)
   D /trunk/docbook/wsug_graphics/ws-save-as-gtk1.png
   D /trunk/docbook/wsug_graphics/ws-save-as-gtk2.png
   A /trunk/docbook/wsug_graphics/ws-save-as-gtk20.png (from /trunk/docbook/wsug_graphics/ws-save-as-gtk1.png:24869)
   A /trunk/docbook/wsug_graphics/ws-save-as-gtk24.png (from /trunk/docbook/wsug_graphics/ws-save-as-gtk2.png:24869)
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml

fix guides according to recent GTK1 changes
------------------------------------------------------------------------
r24871 | ulfl | 2008-04-09 15:52:53 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/docbook

add user-guide.zip to svn ignore
------------------------------------------------------------------------
r24872 | ulfl | 2008-04-09 16:04:39 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/doc/wireshark.pod

remove GTK1 only preferences description
------------------------------------------------------------------------
r24873 | ulfl | 2008-04-09 16:06:01 -0700 (Wed, 09 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gui_utils.h

some minor GTK1 related code fixes
------------------------------------------------------------------------
r24874 | jake | 2008-04-09 23:47:31 -0700 (Wed, 09 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix for bug 2440 and 2187:
Properly promote the result to a float by dividing by a float i.s.o. elaborate casts
------------------------------------------------------------------------
r24875 | jake | 2008-04-09 23:55:45 -0700 (Wed, 09 Apr 2008) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml

From Andrew Feren:
Fix code example.
------------------------------------------------------------------------
r24876 | morriss | 2008-04-10 08:26:22 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/wslua/wslua_gui.c

From http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2413 : fix comment typo
------------------------------------------------------------------------
r24877 | stig | 2008-04-10 11:22:59 -0700 (Thu, 10 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Added some casts from double to float.

------------------------------------------------------------------------
r24878 | morriss | 2008-04-10 12:35:07 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-redbackli.c

From Florian Lohoff: fix http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2376 (and hopefully the other complaints about RedbackLI grabbing packets that aren't RedbackLI) by strengthening the heuristics.
------------------------------------------------------------------------
r24879 | lego | 2008-04-10 13:07:58 -0700 (Thu, 10 Apr 2008) | 7 lines
Changed paths:
   M /trunk/docbook/wsluarm.xml
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wslua/wslua_gui.c

From        Marton Nemeth <nm127@freemail.hu>
   correct example and documentation about register_menu()

my own: do not fail to make init.lua when building in a different dir



------------------------------------------------------------------------
r24880 | morriss | 2008-04-10 13:34:35 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/INSTALL

Wireshark is no longer beta software.  But it's still software. :-)
------------------------------------------------------------------------
r24881 | etxrab | 2008-04-10 13:51:10 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h

Use the correct length for APDU:s.
------------------------------------------------------------------------
r24882 | morriss | 2008-04-10 14:18:55 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/svr4/pkginfo.in

Remove the PSTAMP line (dated 2000-07-16).  Instead let the package building tool automatically fill it in so that we can get some idea where/when a particular package was actually built.
------------------------------------------------------------------------
r24883 | jake | 2008-04-10 14:39:55 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

Fix a comment to please the compiler.
------------------------------------------------------------------------
r24884 | jake | 2008-04-10 14:42:19 -0700 (Thu, 10 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c

From Roberto Morro:
New display filters added to LOCAL_NODE_ID and REMOTE_NOTE_ID SubTLVs (MPLS_TE
opaque LSA)
------------------------------------------------------------------------
r24885 | lego | 2008-04-10 16:28:15 -0700 (Thu, 10 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/wslua/wslua_gui.c

From Marton Nemeth:
 "defaults to MENU_STAT_GENERIC" added to the description of the group argument of register_menu()


------------------------------------------------------------------------
r24886 | jake | 2008-04-10 16:56:10 -0700 (Thu, 10 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-llc.c
   A /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/oui.h

Turbocell dissector, initially by Colin Slater for Ethereal 0.10.7, extended with help from sample capture by Jerome Poulin.
------------------------------------------------------------------------
r24887 | lego | 2008-04-10 16:59:19 -0700 (Thu, 10 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tvb.c

 fix http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2448
Tvb:xxx() functions are unpropperly named Tvb:get_xxx in the wsluarm


------------------------------------------------------------------------
r24888 | sfisher | 2008-04-10 21:45:00 -0700 (Thu, 10 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/scsi_stat.c


Replace all instances of the SIGNAL_CONNECT_OBJECT() macro with the actual
function name.


------------------------------------------------------------------------
r24889 | sfisher | 2008-04-10 21:52:36 -0700 (Thu, 10 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_list.h
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/tcp_graph.c


Replace FONT_TYPE macro with PangoFontDescription.


------------------------------------------------------------------------
r24890 | sfisher | 2008-04-10 22:03:33 -0700 (Thu, 10 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/packet_list.c


Replace SIGNAL_EMIT_BY_NAME(), SIGNAL_EMIT_OBJECT() and
SIGNAL_EMIT_STOP_BY_NAME() macros with their actual function names.


------------------------------------------------------------------------
r24891 | wmeier | 2008-04-11 08:23:26 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

OBJECT_..._DATA --> g_object_..._data

------------------------------------------------------------------------
r24892 | wmeier | 2008-04-11 08:41:51 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/range_utils.c

OBECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24893 | wmeier | 2008-04-11 09:04:54 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/simple_dialog.c
   M /trunk/gtk/tcp_graph.c

OBECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24894 | wmeier | 2008-04-11 09:26:32 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/nameres_prefs.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/toolbar.c

OBECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24895 | wmeier | 2008-04-11 09:44:31 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_ber.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/rtp_player_prefs.c
   M /trunk/gtk/stream_prefs.c

OBJECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24896 | wmeier | 2008-04-11 09:55:44 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/pixmap_save.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/tap_dfilter_dlg.c
   M /trunk/gtk/text_page.c

OBJECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24897 | grahamb | 2008-04-11 10:11:48 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Corrected assumption that offset is always > start_offset.  If the first object in the response is a packed bit type, then offset won't be moved until at least 8 bits have been processed.
------------------------------------------------------------------------
r24898 | wmeier | 2008-04-11 10:14:11 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/follow_udp.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/radius_stat.c

OBJECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24899 | wmeier | 2008-04-11 10:26:09 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/summary_dlg.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/gtk/wsp_stat.c

OBJECT_..._DATA --> g_object_..._data
------------------------------------------------------------------------
r24900 | wmeier | 2008-04-11 10:57:20 -0700 (Fri, 11 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/compat_macros.h

OBJECT_[GS]ET_DATA  macros not needed since GTK1 no longer supported
All usage of these macros has been replaced by g_object_[gs]et_data().

------------------------------------------------------------------------
r24901 | wmeier | 2008-04-11 10:58:27 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/dlg_utils.h
   M /trunk/gtk/file_dlg.h
   M /trunk/gtk/keys.h
   M /trunk/gtk/menu.h
   M /trunk/gtk/toolbar.h

Clean up a few references to OBJECT_[GS]_DATA macros

------------------------------------------------------------------------
r24902 | ulfl | 2008-04-11 11:46:37 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h

explain, why we should keep PRIMARY_TEXT_START/PRIMARY_TEXT_END 
------------------------------------------------------------------------
r24903 | ulfl | 2008-04-11 11:56:25 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/STATUS.gtk2

at least remove the "done" parts from this old file
------------------------------------------------------------------------
r24904 | ulfl | 2008-04-11 11:58:19 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/tap_dfilter_dlg.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/voip_calls_dlg.c

replace all appearances of BUTTON_NEW_FROM_STOCK with GTK2's gtk_button_new_from_stock
------------------------------------------------------------------------
r24905 | ulfl | 2008-04-11 12:04:34 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/wlan_stat_dlg.c

replace CHECK_BUTTON_NEW_WITH_MNEMONIC with gtk_check_button_new_with_mnemonic
------------------------------------------------------------------------
r24906 | ulfl | 2008-04-11 12:07:46 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/range_utils.c

replace TOGGLE_BUTTON_NEW_WITH_MNEMONIC with gtk_toggle_button_new_with_mnemonic

------------------------------------------------------------------------
r24907 | ulfl | 2008-04-11 12:11:08 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/fileset_dlg.c

replace RADIO_BUTTON_NEW_WITH_LABEL with gtk_radio_button_new_with_label_from_widget

------------------------------------------------------------------------
r24908 | ulfl | 2008-04-11 12:26:22 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/range_utils.c

replace RADIO_BUTTON_NEW_WITH_MNEMONIC with gtk_radio_button_new_with_mnemonic_from_widget

------------------------------------------------------------------------
r24909 | ulfl | 2008-04-11 13:21:05 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/service_response_time_table.c

replace ITEM_FACTORY_ENTRY and ITEM_FACTORY_STOCK_ENTRY with their required data values to build the menus

------------------------------------------------------------------------
r24910 | ulfl | 2008-04-11 13:31:05 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/tcp_graph.c

replace WIDGET_SET_SIZE with gtk_widget_set_size_request

------------------------------------------------------------------------
r24911 | ulfl | 2008-04-11 13:34:30 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/uat_gui.c

replace SIGNAL_DISCONNECT_BY_FUNC with g_signal_handlers_disconnect_by_func

------------------------------------------------------------------------
r24912 | ulfl | 2008-04-11 14:20:51 -0700 (Fri, 11 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/gui_utils.h

first round to replace SIGNAL_CONNECT with g_signal_connect
This requires some casts to be added and I just don't want to add casts at all possible places. So I compile and only add casts where the (MSVC) compiler has a hard time. 

Unfortunately this won't find any problems in Linux/Unix only code - I'll keep an eye on the buildbot and try to fix things as I'm going on ...

------------------------------------------------------------------------
r24913 | ulfl | 2008-04-11 14:39:16 -0700 (Fri, 11 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/file_dlg.c

second round to replace SIGNAL_CONNECT with g_signal_connect
This requires some casts to be added and I just don't want to add casts at all possible places. So I compile and only add casts where the (MSVC) compiler has a hard time. 

Unfortunately this won't find any problems in Linux/Unix only code - I'll keep an eye on the buildbot and try to fix things as I'm going on ...

------------------------------------------------------------------------
r24914 | ulfl | 2008-04-11 15:10:36 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/io_stat.c

third round to replace SIGNAL_CONNECT with g_signal_connect

------------------------------------------------------------------------
r24915 | guy | 2008-04-11 16:00:34 -0700 (Fri, 11 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

Wrap the callback function pointer for g_signal_connect() in
G_CALLBACK(), to suppress compiler warnings (that's what the old
SIGNAL_CONNECT macro did).

------------------------------------------------------------------------
r24916 | sahlberg | 2008-04-11 16:12:24 -0700 (Fri, 11 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/service_response_time_table.c

add missing braces to unbreak the build


------------------------------------------------------------------------
r24917 | sahlberg | 2008-04-11 16:14:22 -0700 (Fri, 11 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-mmc.c

add dissection of scsi/mmc close track (and fix a bug)


------------------------------------------------------------------------
r24918 | ulfl | 2008-04-11 16:16:06 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/pixmap_save.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/range_utils.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/simple_dialog.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/summary_dlg.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/tap_dfilter_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/gtk/wsp_stat.c

last round to replace SIGNAL_CONNECT with g_signal_connect

------------------------------------------------------------------------
r24919 | sfisher | 2008-04-11 16:46:06 -0700 (Fri, 11 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/print_dlg.c


Add a cast to fix compilation on Unix.


------------------------------------------------------------------------
r24920 | ulfl | 2008-04-11 17:05:44 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/toolbar.c

as we no longer need to have the stock icon label strings in two places (GTK2 will take care of the stock labels once registered), move the strings into toolbar.c and remove the no longer required definitions from compat_macros.h altogether
------------------------------------------------------------------------
r24921 | ulfl | 2008-04-11 17:49:20 -0700 (Fri, 11 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/simple_dialog.c
   A /trunk/gtk/stock_icons.c
   A /trunk/gtk/stock_icons.h
   M /trunk/gtk/tap_dfilter_dlg.c
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/uat_gui.c

move stock icon code from toolbar.c into specific stock_icons file(s)
------------------------------------------------------------------------
r24922 | ulfl | 2008-04-11 18:02:59 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/camel_counter.c
   M /trunk/gtk/camel_srt.c
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/decode_as_ber.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dlg_utils.h
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/follow_udp.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/gui_stat_util.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/nameres_prefs.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/pixmap_save.c
   M /trunk/gtk/plugins_dlg.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/range_utils.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/rtp_player_prefs.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/summary_dlg.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/text_page.c
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/webbrowser.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/gtk/wsp_stat.c

where it's not necessary, remove #include "compat_macros.h"

------------------------------------------------------------------------
r24923 | ulfl | 2008-04-11 18:41:53 -0700 (Fri, 11 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/color_dlg.c
   D /trunk/gtk/compat_macros.h
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/simple_dialog.c

compat_macros.h is gone now!!!

all GTK1 compatibility code was removed, so this file can simply be dropped
------------------------------------------------------------------------
r24924 | guy | 2008-04-11 19:28:21 -0700 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

Include "stock_icons.h" to get WIRESHARK_STOCK_DISPLAY_FILTER_ENTRY.

------------------------------------------------------------------------
r24925 | guy | 2008-04-11 20:02:23 -0700 (Fri, 11 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

PRIMARY_TEXT_START and PRIMARY_TEXT_END are gone; use
simple_dialog_primary_start() and simple_dialog_primary_end() instead.

------------------------------------------------------------------------
r24926 | jake | 2008-04-12 02:23:35 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nettl.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown:
Added support for HPVM (Integrity Virtual Machines) guest AVIO (Accelerated Virtual IO) 
driver IGSSN and 2nd generation 10 Gigabit Ethernet adapter AD386A driver ICXGBE.
------------------------------------------------------------------------
r24927 | ulfl | 2008-04-12 02:33:59 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/drag_and_drop.c
   A /trunk/gtk/drag_and_drop.h
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/win32-file-dlg.c

move drag_and_drop declarations into it's own file
------------------------------------------------------------------------
r24928 | sake | 2008-04-12 02:35:48 -0700 (Sat, 12 Apr 2008) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-sflow.c

From Andrew Ferren (big 2434):

While borrowing code from an other dissector I have worked on I realized I
previously "borrowed" a comment and typo.  Here's a fix.


------------------------------------------------------------------------
r24929 | sake | 2008-04-12 03:21:51 -0700 (Sat, 12 Apr 2008) | 6 lines
Changed paths:
   M /trunk/wiretap/erf.c

From Stephen Donnelly (bug 2359):

- add support for ERF files created with a snaplength
- tighten heuristics (rlen>=16, time_delta < 1 week)


------------------------------------------------------------------------
r24930 | stig | 2008-04-12 05:31:53 -0700 (Sat, 12 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/crc32.c
   M /trunk/epan/crc32.h
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-sctp.c

From Philip Frey (bug 2420):
Merge of the CRC32C calculation out of packet-iscsi.c and packet-sctp.c
into the already existing crc32.c and crc32.h files.

------------------------------------------------------------------------
r24931 | stig | 2008-04-12 05:46:30 -0700 (Sat, 12 Apr 2008) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c
   A /trunk/epan/dissectors/packet-iwarp-mpa.c

From Philip Frey (bug 2443):
Add new dissectors for the iWARP protocol stack.
The code can handle the following 3 protocols:
- MPA
- DDP
- RDMAP

------------------------------------------------------------------------
r24932 | stig | 2008-04-12 06:41:53 -0700 (Sat, 12 Apr 2008) | 20 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-x25.c

From Jesus Roman (bug 2431):
The decoded value of Size Packet shown as "From the calling DTE" is the value
of "From the called DTE".

When the size packet to negotiate has any of 512, 1024, 2048 or 4096 bytes, the
value shown decoded is erroneus.


The patch attached also includes new decoded facilities:

- Extended CUG selection.
- Extended access outgoing CUG selection.
- Extended RPOA selection.
- NUI selection.

- Charging info selection.
- Call dureation.
- Segment Count.
- Monetary Unit.

------------------------------------------------------------------------
r24933 | stig | 2008-04-12 06:56:28 -0700 (Sat, 12 Apr 2008) | 13 lines
Changed paths:
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c

From Marton Nemeth (bug 2447):
In help the not all of the following chapters begins with uppercase:

10.4.1. saving capture files 
10.4.2. obtaining dissection data 
10.4.3. GUI support 
10.4.4. post-dissection packet analysis 
10.4.5. obtaining packet information 
10.4.6. functions for writing dissectors 
10.4.7. adding information to the dissection tree 
10.4.8. functions for handling packet data 
10.4.9. Utility Functions

------------------------------------------------------------------------
r24934 | stig | 2008-04-12 07:08:19 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/range.h

From Andrew Feren (bug 2433):
Add support for port ranges in services.

------------------------------------------------------------------------
r24935 | stig | 2008-04-12 07:53:48 -0700 (Sat, 12 Apr 2008) | 4 lines
Changed paths:
   M /trunk/asn1/pkixcmp/CMP.asn
   M /trunk/asn1/pkixcmp/cmp.cnf
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h

From Martin Peylo (bug 2245):
I'm providing a patch for the asn2wrs cmp.cnf file showing the types of the
PKIBody and  PKIStatus in the info column.

------------------------------------------------------------------------
r24936 | ulfl | 2008-04-12 08:16:52 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/file.c

improve the "simple" callback mechanism, so more than one listener is possible
------------------------------------------------------------------------
r24937 | ulfl | 2008-04-12 08:55:27 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.common
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   A /trunk/gtk/main_statusbar.c
   A /trunk/gtk/main_statusbar.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/packet_list.c
   D /trunk/statusbar.h

move statusbar related code from main.c into it's own main_statusbar.c
------------------------------------------------------------------------
r24938 | ulfl | 2008-04-12 09:09:22 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/graph_analysis.h

remove unrequired "references" to gtkglobals.h
------------------------------------------------------------------------
r24939 | stig | 2008-04-12 09:35:28 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Mark some unused arguments.

------------------------------------------------------------------------
r24940 | ulfl | 2008-04-12 09:38:13 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   A /trunk/gtk/main_toolbar.c (from /trunk/gtk/toolbar.c:24928)
   A /trunk/gtk/main_toolbar.h (from /trunk/gtk/toolbar.h:24928)
   M /trunk/gtk/menu.c
   D /trunk/gtk/toolbar.c
   D /trunk/gtk/toolbar.h

rename toolbar to main_toolbar
------------------------------------------------------------------------
r24941 | stig | 2008-04-12 09:47:46 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/main_statusbar.c

Include unistd.h, fix prototyping of static functions and mark some
unused arguments.

------------------------------------------------------------------------
r24942 | etxrab | 2008-04-12 10:00:41 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/tvbuff.c

From   Michael McCartney:
patch for tvb_get_bits16 not to read past end of buffer
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2439
------------------------------------------------------------------------
r24943 | ulfl | 2008-04-12 10:04:21 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_toolbar.c
   M /trunk/gtk/main_toolbar.h

cleanup of "capture_in_progress" ugly hack from main_toolbar, call capture_if_dlg directly from within main.c
------------------------------------------------------------------------
r24944 | etxrab | 2008-04-12 10:09:20 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

From   Jonas Nilsson:
Add exports for packet-gsm_a decoding functions in libwireshark.def
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2427
------------------------------------------------------------------------
r24945 | stig | 2008-04-12 11:15:10 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/file.c

Fetch return from g_list_remove.

------------------------------------------------------------------------
r24946 | ulfl | 2008-04-12 11:28:01 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/menu.c

various code cleanup, e.g. replace specific callback functions by "compounds" that uses an action value
------------------------------------------------------------------------
r24947 | ulfl | 2008-04-12 12:18:26 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   A /trunk/gtk/main_menu.c (from /trunk/gtk/menu.c:24946)
   A /trunk/gtk/main_menu.h (from /trunk/gtk/menu.h:24939)
   M /trunk/gtk/main_toolbar.c
   D /trunk/gtk/menu.c
   D /trunk/gtk/menu.h
   M /trunk/gtk/nameres_prefs.c
   M /trunk/gtk/packet_history.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/win32-file-dlg.c
   D /trunk/menu.h

rename menu -> main_menu
remove old (and unused and confusing) ../menu.h
------------------------------------------------------------------------
r24948 | ulfl | 2008-04-12 12:24:25 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common

move noinst_HEADERS and EXTRA_DIST settings from Makefile.am to Makefile.common as it's done in /Makefile.common and elsewhere
------------------------------------------------------------------------
r24949 | stig | 2008-04-12 12:37:05 -0700 (Sat, 12 Apr 2008) | 6 lines
Changed paths:
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_list.h
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

Added an option to save column widths in the recent file.

Not 100% implemented for usage with configuration profiles with 
different column layout yet, as this requires some of the recent
values to be saved in each profile.

------------------------------------------------------------------------
r24950 | ulfl | 2008-04-12 12:38:29 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/main_menu.c
   A /trunk/gtk/main_packet_list.c (from /trunk/gtk/packet_list.c:24947)
   A /trunk/gtk/main_packet_list.h (from /trunk/gtk/packet_list.h:24939)
   M /trunk/gtk/main_toolbar.c
   D /trunk/gtk/packet_list.c
   D /trunk/gtk/packet_list.h

rename packet_list to main_packet_list
------------------------------------------------------------------------
r24951 | guy | 2008-04-12 12:49:43 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Clean up indentation.

------------------------------------------------------------------------
r24952 | stig | 2008-04-12 12:53:54 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_packet_list.h

Reintroduced save of column width in main_packet_list.[ch],
accidentally removed in r24950.

------------------------------------------------------------------------
r24953 | stig | 2008-04-12 12:59:05 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/recent.c
   M /trunk/gtk/stream_prefs.c

Some packet_list.h -> main_packet_list.h changes.

------------------------------------------------------------------------
r24954 | ulfl | 2008-04-12 13:11:12 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/main_menu.c
   A /trunk/gtk/main_proto_draw.c (from /trunk/gtk/proto_draw.c:24952)
   A /trunk/gtk/main_proto_draw.h (from /trunk/gtk/proto_draw.h:24952)
   M /trunk/gtk/packet_win.c
   D /trunk/gtk/proto_draw.c
   D /trunk/gtk/proto_draw.h

proto_draw -> main_proto_draw
------------------------------------------------------------------------
r24955 | stig | 2008-04-12 13:16:00 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.common

Removed menu.h

------------------------------------------------------------------------
r24956 | ulfl | 2008-04-12 13:31:18 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/tap_dfilter_dlg.c
   A /trunk/gtk/tap_dfilter_dlg.h (from /trunk/tap_dfilter_dlg.h:24953)
   M /trunk/gtk/wsp_stat.c
   D /trunk/tap_dfilter_dlg.h

move tap_dfilter_dlg.h from / to /gtk (and use the callback mechanism in main.c instead)
------------------------------------------------------------------------
r24957 | guy | 2008-04-12 14:28:49 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_menu.c

Clean up indentation.

------------------------------------------------------------------------
r24958 | guy | 2008-04-12 14:30:38 -0700 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/capture_if_dlg.c

Add a stub set_capture_if_dialog_for_capture_in_progress() routine when
HAVE_LIBPCAP isn't defined, as it's called even when it's not defined.

------------------------------------------------------------------------
r24959 | stig | 2008-04-12 14:36:45 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.common

And remove tap_dfilter_dlg.h

------------------------------------------------------------------------
r24960 | ulfl | 2008-04-12 14:44:50 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/main.c
   A /trunk/gtk/main_filter_toolbar.c
   A /trunk/gtk/main_filter_toolbar.h

move "filter toolbar" code from main.c into new file(s) main_filter_toolbar
------------------------------------------------------------------------
r24961 | ulfl | 2008-04-12 15:14:42 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/main.c
   A /trunk/gtk/main_airpcap_toolbar.c
   A /trunk/gtk/main_airpcap_toolbar.h

move "airpcap toolbar" code from main.c into new file(s) main_airpcap_toolbar
------------------------------------------------------------------------
r24962 | stig | 2008-04-12 15:17:29 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Include string.h

------------------------------------------------------------------------
r24963 | stig | 2008-04-12 15:20:23 -0700 (Sat, 12 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

From Mike Davies (bug 2454):
Include support for RTCP extended reports containing block type 8
as defined in RFC5093.

------------------------------------------------------------------------
r24964 | ulfl | 2008-04-12 16:34:44 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/file_dlg.h
   M /trunk/gtk/main.c
   M /trunk/gtk/main_airpcap_toolbar.c
   M /trunk/gtk/main_filter_toolbar.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_statusbar.c
   D /trunk/main_window.h

various code cleanup
------------------------------------------------------------------------
r24965 | jake | 2008-04-12 16:45:25 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dplay.c

Fix for bug 2452:
Tighten heuristics on DirectPlay player to player messages, so that RTP isn't mistaken as such.
------------------------------------------------------------------------
r24966 | guy | 2008-04-12 16:52:41 -0700 (Sat, 12 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.common

List tap_dfilter_dlg.h here, as it's in the gtk directory.

------------------------------------------------------------------------
r24967 | ulfl | 2008-04-12 17:55:59 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/camel_counter.c
   M /trunk/gtk/camel_srt.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/color_utils.c
   M /trunk/gtk/colors.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/conversations_eth.c
   M /trunk/gtk/conversations_fc.c
   M /trunk/gtk/conversations_fddi.c
   M /trunk/gtk/conversations_ip.c
   M /trunk/gtk/conversations_ipx.c
   M /trunk/gtk/conversations_jxta.c
   M /trunk/gtk/conversations_ncp.c
   M /trunk/gtk/conversations_rsvp.c
   M /trunk/gtk/conversations_sctp.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/conversations_tcpip.c
   M /trunk/gtk/conversations_tr.c
   M /trunk/gtk/conversations_udpip.c
   M /trunk/gtk/conversations_usb.c
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/main_menu.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/main_statusbar.c
   M /trunk/gtk/main_toolbar.c
   M /trunk/gtk/main_welcome.c

sort #includes by directories
------------------------------------------------------------------------
r24968 | ulfl | 2008-04-12 18:54:20 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_ber.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/export_object_http.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/follow_udp.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/gui_stat_util.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/hostlist_eth.c

sort #includes by directories
------------------------------------------------------------------------
r24969 | ulfl | 2008-04-12 20:32:24 -0700 (Sat, 12 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/hostlist_fc.c
   M /trunk/gtk/hostlist_fddi.c
   M /trunk/gtk/hostlist_ip.c
   M /trunk/gtk/hostlist_ipx.c
   M /trunk/gtk/hostlist_jxta.c
   M /trunk/gtk/hostlist_ncp.c
   M /trunk/gtk/hostlist_rsvp.c
   M /trunk/gtk/hostlist_sctp.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_tcpip.c
   M /trunk/gtk/hostlist_tr.c
   M /trunk/gtk/hostlist_udpip.c
   M /trunk/gtk/hostlist_usb.c
   M /trunk/gtk/hostlist_wlan.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/macros_dlg.c
   M /trunk/gtk/mcast_stream.c
   M /trunk/gtk/mcast_stream.h
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/nameres_prefs.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/packet_history.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/pixmap_save.c
   M /trunk/gtk/plugins_dlg.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_mswin.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/range_utils.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_player.c
   M /trunk/gtk/rtp_player_prefs.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/simple_dialog.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/stock_icons.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/summary_dlg.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/t38_analysis.c
   M /trunk/gtk/tap_dfilter_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/text_page.c
   M /trunk/gtk/u3.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/webbrowser.c
   M /trunk/gtk/win32-file-dlg.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/gtk/wsp_stat.c

sort #includes by directories
------------------------------------------------------------------------
r24970 | jake | 2008-04-13 04:42:06 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/mcast_stream.c

Add IPv6 multicast support.
------------------------------------------------------------------------
r24971 | ulfl | 2008-04-13 04:55:20 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/libui.vcproj

sort entries, update Visual Studio (ghost) project
------------------------------------------------------------------------
r24972 | ulfl | 2008-04-13 05:14:57 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/Makefile.nmake
   M /trunk/gtk/capture_file_dlg.c
   D /trunk/gtk/capture_if_details_dlg.c
   D /trunk/gtk/capture_if_details_dlg.h
   A /trunk/gtk/capture_if_details_dlg_win32.c (from /trunk/gtk/capture_if_details_dlg.c:24970)
   A /trunk/gtk/capture_if_details_dlg_win32.h (from /trunk/gtk/capture_if_details_dlg.h:24970)
   M /trunk/gtk/capture_if_dlg.c
   A /trunk/gtk/file_dlg_win32.c (from /trunk/gtk/win32-file-dlg.c:24970)
   A /trunk/gtk/file_dlg_win32.h (from /trunk/gtk/win32-file-dlg.h:24970)
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/print_dlg.c
   D /trunk/gtk/print_mswin.c
   D /trunk/gtk/print_mswin.h
   A /trunk/gtk/print_win32.c (from /trunk/gtk/print_mswin.c:24970)
   A /trunk/gtk/print_win32.h (from /trunk/gtk/print_mswin.h:24970)
   D /trunk/gtk/win32-file-dlg.c
   D /trunk/gtk/win32-file-dlg.h

use the ending "_win32" for every windows specific file
------------------------------------------------------------------------
r24973 | ulfl | 2008-04-13 05:24:57 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/help_dlg.c
   D /trunk/gtk/text_page.c
   D /trunk/gtk/text_page.h
   A /trunk/gtk/text_page_utils.c (from /trunk/gtk/text_page.c:24970)
   A /trunk/gtk/text_page_utils.h (from /trunk/gtk/text_page.h:24970)

text_page -> text_page_utils
------------------------------------------------------------------------
r24974 | ulfl | 2008-04-13 05:41:22 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/color_utils.c
   A /trunk/gtk/color_utils.h (from /trunk/gtk/colors.h:24970)
   D /trunk/gtk/colors.c
   D /trunk/gtk/colors.h
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/stream_prefs.c

move all code from color.c into color_utils.c
remove color.c
rename colors.h into color_utils.h (hopefully this reduces confusion to /color.h)
------------------------------------------------------------------------
r24975 | ulfl | 2008-04-13 06:10:32 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   D /trunk/gtk/capture_prefs.c
   D /trunk/gtk/capture_prefs.h
   D /trunk/gtk/column_prefs.c
   D /trunk/gtk/column_prefs.h
   M /trunk/gtk/funnel_stat.c
   D /trunk/gtk/gui_prefs.c
   D /trunk/gtk/gui_prefs.h
   D /trunk/gtk/layout_prefs.c
   D /trunk/gtk/layout_prefs.h
   M /trunk/gtk/libui.vcproj
   M /trunk/gtk/main.c
   D /trunk/gtk/nameres_prefs.c
   D /trunk/gtk/nameres_prefs.h
   A /trunk/gtk/prefs_capture.c (from /trunk/gtk/capture_prefs.c:24970)
   A /trunk/gtk/prefs_capture.h (from /trunk/gtk/capture_prefs.h:24970)
   A /trunk/gtk/prefs_column.c (from /trunk/gtk/column_prefs.c:24970)
   A /trunk/gtk/prefs_column.h (from /trunk/gtk/column_prefs.h:24970)
   M /trunk/gtk/prefs_dlg.c
   A /trunk/gtk/prefs_gui.c (from /trunk/gtk/gui_prefs.c:24970)
   A /trunk/gtk/prefs_gui.h (from /trunk/gtk/gui_prefs.h:24970)
   A /trunk/gtk/prefs_layout.c (from /trunk/gtk/layout_prefs.c:24970)
   A /trunk/gtk/prefs_layout.h (from /trunk/gtk/layout_prefs.h:24970)
   A /trunk/gtk/prefs_nameres.c (from /trunk/gtk/nameres_prefs.c:24970)
   A /trunk/gtk/prefs_nameres.h (from /trunk/gtk/nameres_prefs.h:24970)
   A /trunk/gtk/prefs_print.c (from /trunk/gtk/print_prefs.c:24970)
   A /trunk/gtk/prefs_print.h (from /trunk/gtk/print_prefs.h:24970)
   A /trunk/gtk/prefs_rtp_player.c (from /trunk/gtk/rtp_player_prefs.c:24970)
   A /trunk/gtk/prefs_rtp_player.h (from /trunk/gtk/rtp_player_prefs.h:24970)
   A /trunk/gtk/prefs_stream.c (from /trunk/gtk/stream_prefs.c:24974)
   A /trunk/gtk/prefs_stream.h (from /trunk/gtk/stream_prefs.h:24970)
   D /trunk/gtk/print_prefs.c
   D /trunk/gtk/print_prefs.h
   D /trunk/gtk/rtp_player_prefs.c
   D /trunk/gtk/rtp_player_prefs.h
   D /trunk/gtk/stream_prefs.c
   D /trunk/gtk/stream_prefs.h

change all preferences related filenames from xy_prefs to prefs_xy
------------------------------------------------------------------------
r24976 | ulfl | 2008-04-13 06:45:50 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/image/Makefile.nmake
   A /trunk/image/file_dlg_win32.rc (from /trunk/image/win32-file-dlg.rc:24970)
   D /trunk/image/win32-file-dlg.rc
   M /trunk/image/wireshark.rc.in

fixes related to file_dlg_win32.rc
------------------------------------------------------------------------
r24977 | ulfl | 2008-04-13 06:47:52 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common

it's color_utils.h
------------------------------------------------------------------------
r24978 | ulfl | 2008-04-13 07:45:43 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

first preparations to build ADNS_DLL
------------------------------------------------------------------------
r24979 | ulfl | 2008-04-13 08:09:34 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/test/README.test

update some prerequisites
------------------------------------------------------------------------
r24980 | ulfl | 2008-04-13 08:10:59 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/test/test-backend.sh

fix a comment
------------------------------------------------------------------------
r24981 | ulfl | 2008-04-13 08:20:00 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

disable ADNS stuff for now
------------------------------------------------------------------------
r24982 | gal | 2008-04-13 09:08:34 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/pres/pres.cnf
   M /trunk/epan/dissectors/packet-pres.c

Annotate the presentation context identifier with the presentation context.


------------------------------------------------------------------------
r24983 | gal | 2008-04-13 09:11:15 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/ros/ros.cnf
   M /trunk/epan/dissectors/packet-ros.c

Handling of ROS Rejects.


------------------------------------------------------------------------
r24984 | gal | 2008-04-13 09:14:03 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/x509sat/SelectedAttributeTypes.asn
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c

Support for RFC 4530 -  LDAP entryUUID attribute.


------------------------------------------------------------------------
r24985 | gal | 2008-04-13 09:18:40 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/epan/dissectors/packet-disp.c

Remove #defined preference grouping


------------------------------------------------------------------------
r24986 | gal | 2008-04-13 09:20:12 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/asn1/dop/dop.cnf
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/epan/dissectors/packet-dop.c

Removal of #defined preference grouping and tidy up agreement id.

------------------------------------------------------------------------
r24987 | gal | 2008-04-13 09:21:08 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/epan/dissectors/packet-dsp.c

Removed #defined preference grouping


------------------------------------------------------------------------
r24988 | stig | 2008-04-13 09:21:22 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Renamed image/win32-file-dlg.rc to image/file_dlg_win32.rc

------------------------------------------------------------------------
r24989 | gal | 2008-04-13 09:33:44 -0700 (Sun, 13 Apr 2008) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

Support for RFC 2920 SMTP Command Pipelining. 
The client can send multiple requests before waiting for responses.
Multiple requests/responses are delimited in the info column using  " | ".

Also changed to using "C:" (client) and "S:" (server) to save space in the info column and align with examples in RFC 2821.

Lack of support for PIPELINING was shown up during Sake's session at SharkFest08!


------------------------------------------------------------------------
r24990 | gal | 2008-04-13 09:36:41 -0700 (Sun, 13 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pop.c

Support for the reassembly dissection of IMF/MIME messages retrieved over POP using the RETR and TOP commands.

The reassembly is, as usual, a preference.


------------------------------------------------------------------------
r24991 | gal | 2008-04-13 09:38:01 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c

Support for some additionl heading fields and the display of the (non-MIME) message text.
 

------------------------------------------------------------------------
r24992 | stig | 2008-04-13 09:42:41 -0700 (Sun, 13 Apr 2008) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fix the crash from bug 2432.  I don't really like that we use a new tvb
and a new data source for displaying unaligned octet strings, because the
user cannot easily see where in the data package the values are from.

Maybe we should implement a "Packet Bits" pane for bit protocols?
Or just an option to turn the Bytes pane to a Bits pane?

Another problem is that the generated pdml (from the bug report) does not
generate correct data for these fields, as the "pos" value is always zero
(because we use a new tvb with offset 0).  But I suppose it's difficult to
fix this with byte values...

------------------------------------------------------------------------
r24993 | stig | 2008-04-13 09:55:56 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pop.c

Initialize conversation.

------------------------------------------------------------------------
r24994 | stig | 2008-04-13 09:58:57 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

Initialize linelen to avoid a warning.

------------------------------------------------------------------------
r24995 | gal | 2008-04-13 10:48:47 -0700 (Sun, 13 Apr 2008) | 8 lines
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/webbrowser.c

Allow the folders in the About Wireshark/Folders list to be double clicked on to open the appropriate folder in explorer. 

The MIB/PIB paths have been split up to allow each one to be clicked on separately, but as a result this will lose the order if the whole list is reordered.

XXX: I have been unable to test this on MacOS or Linux. Stig? :-)
I suppose it should work, but we may need to make it WIN32 specific?


------------------------------------------------------------------------
r24996 | ulfl | 2008-04-13 10:58:04 -0700 (Sun, 13 Apr 2008) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake
   A /trunk/adns_dll.dep
   A /trunk/adns_dll.rc
   M /trunk/config.nmake

attempt to build ADNS on none MSVC6 systems - with the same mechanism as done with ZLIB

Unfortunately, both dep and rc files need to be patched, so I added the patched files

It's an ugly solution but it seems to work ...
------------------------------------------------------------------------
r24997 | ulfl | 2008-04-13 11:46:47 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

we can't easily (re)build ADNS on MSVC6, because iphlpapi.h is needed (sic!)
-> so don't do the delete/rebuild on MSVC6 machines
------------------------------------------------------------------------
r24998 | ulfl | 2008-04-13 11:50:45 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/test/suite-capture.sh

add a comment that the ping code is running in the background (that caused me some headache :-)

change the ping packet length, so the last packet will have exactly 100 bytes (at least on Windows)
------------------------------------------------------------------------
r24999 | tuexen | 2008-04-13 13:11:16 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/about_dlg.c

Get it compiing on Mac OS X.

------------------------------------------------------------------------
r25000 | ulfl | 2008-04-13 14:21:25 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

as we can't easily (re)build adns on msvc6, create and use compiler specific dirs (e.g. MSVC2005EE/adns) to place the compiler specific dll/lib files into
------------------------------------------------------------------------
r25001 | jake | 2008-04-13 14:54:07 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

Fix for bug 1603:
SMPP validity period as relative time interpretation corrected.

------------------------------------------------------------------------
r25002 | stig | 2008-04-13 14:57:04 -0700 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-rsvp.c

From Giodi Giorgi (bug 2201):
Fix dumping of PROTECTION INFO and GENERALIZED UNI according to RFC3471.

------------------------------------------------------------------------
r25003 | ulfl | 2008-04-13 14:59:39 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

export emem_tree_foreach as requested by user
------------------------------------------------------------------------
r25004 | stig | 2008-04-13 15:21:07 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/about_dlg.c

Fix splitting MIB/PIB paths in about box for other than win32.

------------------------------------------------------------------------
r25005 | ulfl | 2008-04-13 16:55:32 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/gui_stat_menu.h
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main_menu.c

add the (optional) possibility to register a stock icon for a stats menu entry
------------------------------------------------------------------------
r25006 | ulfl | 2008-04-13 16:57:14 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/stock_icons.c

at least use the "open" (and not the save) icon for import
------------------------------------------------------------------------
r25007 | ulfl | 2008-04-13 17:10:18 -0700 (Sun, 13 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/main_menu.c

as the "Firewall ACL rules" perfectly fits into a tools menu, and together with the optional lua we have two and as it slightly simplifies the code, make the

Tools

toplevel menu item "permanent".
------------------------------------------------------------------------
r25008 | ulfl | 2008-04-13 18:10:06 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/mcast_stream_dlg.c

be clear that the "multicast stream" stats are about UDP
------------------------------------------------------------------------
r25009 | ulfl | 2008-04-13 18:11:07 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

clarify the stats_tree menu items
------------------------------------------------------------------------
r25010 | ulfl | 2008-04-13 18:12:29 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/file.c

we don't need stat_menu.h here
------------------------------------------------------------------------
r25011 | tuexen | 2008-04-13 18:51:15 -0700 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_menu.c

#ifdef HAVE_LUA_5_1 the handling of REGISTER_TOOLS_GROUP_NONE

------------------------------------------------------------------------
r25012 | ulfl | 2008-04-13 19:09:54 -0700 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/stock_icons.c
   M /trunk/gtk/stock_icons.h
   A /trunk/image/toolbar/expert_info_16.xpm
   A /trunk/image/toolbar/flow_graph_16.xpm

add stock icons for expert info and flow graph
------------------------------------------------------------------------
r25013 | sfisher | 2008-04-13 20:29:49 -0700 (Sun, 13 Apr 2008) | 4 lines
Changed paths:
   M /trunk/image/toolbar/expert_info_16.xpm
   M /trunk/image/toolbar/flow_graph_16.xpm


"const static char *" -> "static const char *" to fix build


------------------------------------------------------------------------
r25014 | jake | 2008-04-13 23:43:42 -0700 (Sun, 13 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter_3gpp.c

From Jim Young:
Within the packet-diameter_3gpp.c module, the call to proto_register_protocol()
comes AFTER the proto_register_field_array() call. 
While the delayed call to proto_register_protocol() does not appear to impair the use 
of the display filters, it DOES effect the generation of the wireshark-filter man page.
------------------------------------------------------------------------
r25015 | jake | 2008-04-14 00:16:37 -0700 (Mon, 14 Apr 2008) | 2 lines
Changed paths:
   M /trunk/manuf
   M /trunk/wka.tmpl

Fix for bug 2456:
IPv6 multicast MAC address incorrectly resolved to neighborhood discovery.
------------------------------------------------------------------------
r25016 | sake | 2008-04-14 08:01:34 -0700 (Mon, 14 Apr 2008) | 6 lines
Changed paths:
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/dlg_utils.h
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/prefs_capture.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/uat_gui.c

From Jim Young (bug 2212):

Add the profile name to the title of all the configuration windows.
(this is a rewrite of Jim's patch)


------------------------------------------------------------------------
r25017 | stig | 2008-04-14 08:20:12 -0700 (Mon, 14 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/dlg_utils.c

get_profile_name() will always return a valid string.

------------------------------------------------------------------------
r25018 | stig | 2008-04-14 12:22:19 -0700 (Mon, 14 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c
   M /trunk/epan/dissectors/packet-iwarp-mpa.c

From Philip Frey (bug 2443):
Fixed issues from last patch.

------------------------------------------------------------------------
r25019 | jmayer | 2008-04-14 12:27:39 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/configure.in

Update the warning flags (suppress one warning that appears with -pedantic)
------------------------------------------------------------------------
r25020 | jmayer | 2008-04-14 12:30:35 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-amqp.c

Get rid of a warning in gcc 4.3: An integer overflow will not cause a sign change
------------------------------------------------------------------------
r25021 | jmayer | 2008-04-14 12:31:36 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-asf.c

Add a FIXME
------------------------------------------------------------------------
r25022 | jmayer | 2008-04-14 12:34:05 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tapa.c

The unknown value (aka flags) can take any value
------------------------------------------------------------------------
r25023 | stig | 2008-04-14 12:43:39 -0700 (Mon, 14 Apr 2008) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

From Roberto Morro (bug 2416):
Added support for Ethernet SENDER_TSPEC and FLOWSPEC objects according to
draft-ietf-ccamp-ethernet-traffic-parameters-02.
Added support for enhancements in the LSP_TUNNEL_INTERFACE_ID object according
to draft-ietf-ccamp-lsp-hierarchy-bis-02.
Added support for NOTIFY_REQUEST and RECOVERY_LABEL objects.
Added display filters for some fields of the GENERALIZED_UNI and CALL_ID
objects.

------------------------------------------------------------------------
r25024 | stig | 2008-04-14 13:02:45 -0700 (Mon, 14 Apr 2008) | 6 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/doc/capinfos.pod

From Andrew Feren (bug 2462):
Patch to print packet rate.

From me:
Document -x option in man page.

------------------------------------------------------------------------
r25025 | lego | 2008-04-14 14:16:32 -0700 (Mon, 14 Apr 2008) | 7 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wslua/Makefile.nmake
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wslua/wslua.h

From Marton Nemeth:
	Addenda and fixes to WSLUA_CLASS_DEFINE documentation

Mine: fix init.lua generation



------------------------------------------------------------------------
r25026 | jmayer | 2008-04-14 14:24:12 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Get rid of some unused functions to prevent -Werror from causing the compile to fail
------------------------------------------------------------------------
r25027 | jmayer | 2008-04-14 14:29:29 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/plugins/wimaxasncp/Makefile.am

The generated code warns about 'input' being unused. -Werror turns this into a failure
------------------------------------------------------------------------
r25028 | jmayer | 2008-04-14 14:31:19 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Get rid of some unsued code: The warning causes a failure due to -Werror
------------------------------------------------------------------------
r25029 | jmayer | 2008-04-14 14:33:56 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

gcc 4.3 will not handle an overflow in the expected way but will warn instead. -Werror does the rest
------------------------------------------------------------------------
r25030 | jmayer | 2008-04-14 14:35:35 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

packet-ieee802154.c will create a warning using gcc 4.3
------------------------------------------------------------------------
r25031 | jake | 2008-04-14 15:32:17 -0700 (Mon, 14 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

Fix for bug 2458:
Adding dissection for more recent PPPoE tags.
------------------------------------------------------------------------
r25032 | jmayer | 2008-04-14 16:29:54 -0700 (Mon, 14 Apr 2008) | 5 lines
Changed paths:
   M /trunk/Makefile.am

Fix "make distcheck"
Reorder some files to alphabetical order

Fix "make rpm-package" for out-of-tree builds

------------------------------------------------------------------------
r25033 | jmayer | 2008-04-14 18:26:02 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/packaging/rpm/SPECS/wireshark.spec.in

configure seems to install the manpages into .../share/man/, not .../man/
------------------------------------------------------------------------
r25034 | ulfl | 2008-04-14 19:06:38 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_menu.c

try to improve the help menu
------------------------------------------------------------------------
r25035 | ulfl | 2008-04-14 19:10:41 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h

add some more "links" to online pages
------------------------------------------------------------------------
r25036 | ulfl | 2008-04-14 19:14:22 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

further improve the welcome page, still incomplete so still "commented out"
------------------------------------------------------------------------
r25037 | ulfl | 2008-04-14 19:21:04 -0700 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/gtk/prefs_capture.c

don't use strdup() if you want to free the memory later with g_free(), this doesn't work (at least) on MSVC2005 builds!
------------------------------------------------------------------------
r25038 | jake | 2008-04-14 23:47:05 -0700 (Mon, 14 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

From Roberto Morro:
Added support for RFC4207 (SONET/SDH encoding for LMP test messages);
added support for (provisional) oif-p0040.010.006 (OIF interoperability demo
during ECOC2007).
------------------------------------------------------------------------
r25039 | stig | 2008-04-14 23:57:56 -0700 (Mon, 14 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pana.c

Call DISSECTOR_ASSERT instead of g_assert in dissector code.

This fixes bug 2464.

------------------------------------------------------------------------
r25040 | stig | 2008-04-14 23:58:37 -0700 (Mon, 14 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kismet.c

Call DISSECTOR_ASSERT instead of g_assert in dissector code.

------------------------------------------------------------------------
r25041 | stig | 2008-04-15 02:12:26 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Added an option (-b) to specify directory containing binaries to use for
fuzz testing (tshark, editcap and capinfos).

------------------------------------------------------------------------
r25042 | lego | 2008-04-15 03:22:39 -0700 (Tue, 15 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/wslua/make-init-lua.pl


Die stating why when a file could no be opened.


------------------------------------------------------------------------
r25043 | lego | 2008-04-15 05:12:20 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

It is useless in a Protocol Analyzer to avoid the user to have a password shorter than 8 chars.


------------------------------------------------------------------------
r25044 | lego | 2008-04-15 05:22:25 -0700 (Tue, 15 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.nmake
   M /trunk/epan/wslua/make-init-lua.pl

attempt to fix init.lua construction in Windows.
more diagnostics to make-init-lua.pl


------------------------------------------------------------------------
r25045 | morriss | 2008-04-15 05:56:23 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/tools/checkAPIs.pl

Ban strdup() and strndup().
------------------------------------------------------------------------
r25046 | richardv | 2008-04-15 07:52:15 -0700 (Tue, 15 Apr 2008) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-h263.c
   A /trunk/epan/dissectors/packet-h263.h
   A /trunk/epan/dissectors/packet-h263p.c
   A /trunk/epan/dissectors/packet-rfc2190.c

split the various bits of h263 dissector into separate files, so that we
can see which fields belong to which bit.

Also make sure that we can filter on the fields in the rfc2190 dissector
by actually parsing them even when tree=NULL.


------------------------------------------------------------------------
r25047 | richardv | 2008-04-15 08:15:35 -0700 (Tue, 15 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rfc2190.c

rename header fields so that they can be distinguished from the h.263 ones

------------------------------------------------------------------------
r25048 | richardv | 2008-04-15 09:03:38 -0700 (Tue, 15 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h263.c

rename protocol to h263

------------------------------------------------------------------------
r25049 | richardv | 2008-04-15 10:26:29 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rfc2190.c

i'm an idiot. we don't need to dissect data unless tree is non-NULL.
We *do* need to pass it through to h263data, however.

------------------------------------------------------------------------
r25050 | richardv | 2008-04-15 10:28:11 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h263.c

bitmasks are unnecessary with proto_tree_add_bits_*, and indeed break filtering.


------------------------------------------------------------------------
r25051 | ulfl | 2008-04-15 13:26:51 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

try to fix adns build on MSVC2003 and alike
------------------------------------------------------------------------
r25052 | etxrab | 2008-04-15 13:37:53 -0700 (Tue, 15 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

From   Jonas Nilsson:
Add dissection of Measurement report and result and minor bugfixes.
------------------------------------------------------------------------
r25053 | etxrab | 2008-04-15 13:40:06 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsl.c

Fix some typos etc.
------------------------------------------------------------------------
r25054 | ulfl | 2008-04-15 13:53:41 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

don't mark a used parameter as unused
------------------------------------------------------------------------
r25055 | sake | 2008-04-15 14:12:38 -0700 (Tue, 15 Apr 2008) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

From Didier (bug 1392):

Add port to conversation key so that RPC reassembly works when relative
sequence numbers are used.


------------------------------------------------------------------------
r25056 | gerald | 2008-04-15 14:45:46 -0700 (Tue, 15 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c

Fix a typo found by Don Arrowsmith.

------------------------------------------------------------------------
r25057 | ulfl | 2008-04-15 15:46:35 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_menu.c
   M /trunk/gtk/main_menu.h
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/main_welcome.h

further work on the yet to come welcome page ...
------------------------------------------------------------------------
r25058 | sake | 2008-04-15 15:53:34 -0700 (Tue, 15 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Fix for the "Malformed packet: RPC" that is encountered in bug 1392:

Don't call a RPC subdissector if there is no more data in the packet.


------------------------------------------------------------------------
r25059 | ulfl | 2008-04-15 16:33:39 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/stock_icons.c

use the "Clear" icon for the "Continue without saving" action, as the icon metapher seem to fit well here
------------------------------------------------------------------------
r25060 | ulfl | 2008-04-15 17:09:15 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h

add the firewall ACL dialog to the help topics (would be a good idea to better describe that dialog anyway...)
------------------------------------------------------------------------
r25061 | ulfl | 2008-04-15 17:10:47 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/firewall_dlg.c

use the standard dialog button mechanism for the firewall dialog
------------------------------------------------------------------------
r25062 | ulfl | 2008-04-15 17:14:01 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/dlg_utils.c

special handling for the dialog boxes Copy buttons, as the behaviour is more like an auxiliary button (like Help), than one of the "action" buttons as "Ok" (as e.g. Ok will close the dialog).

To make this more clear put the Copy button to the left of the button row ...
------------------------------------------------------------------------
r25063 | ulfl | 2008-04-15 17:17:51 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

add #include <sys/types.h>
------------------------------------------------------------------------
r25064 | ulfl | 2008-04-15 17:45:23 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/dlg_utils.c

fix button sequence, show filter... button left to Cancel button
------------------------------------------------------------------------
r25065 | ulfl | 2008-04-15 17:46:16 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/flow_graph.c

don't use a Close button for the preparation dialog, use a Cancel one instead
------------------------------------------------------------------------
r25066 | ulfl | 2008-04-15 17:48:57 -0700 (Tue, 15 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

add packet-h263.h
------------------------------------------------------------------------
r25067 | stig | 2008-04-15 23:28:26 -0700 (Tue, 15 Apr 2008) | 4 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake

From Chris:
The attached simple patch adds 2 missing help files to HELP and
alphabetizes all of them.

------------------------------------------------------------------------
r25068 | guy | 2008-04-16 00:18:08 -0700 (Wed, 16 Apr 2008) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pana.c

The right length to use when scanning all the data in a packet is the
*reported* length, so that if the packet was cut short by a snapshot
length, we get an exception because we run past the end, and the packet
is marked as having been cut short.

Do not use DISSECTOR_ASSERT() to check for the validity of packet data;
dissectors should try to handle even malformed packets, they shouldn't
report malformed packets as dissector bugs (if DISSECTOR_ASSERT(), that
is *ipso facto* evidence of a dissector bug, *even if the packet is
malformed*).

Update the offset when scanning the packet even if we *aren't* building
the protocol tree.

------------------------------------------------------------------------
r25069 | guy | 2008-04-16 00:23:56 -0700 (Wed, 16 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kismet.c

tvb_get_ephemeral_string() is defined never to return null (currently,
it aborts - even if we don't make it abort, we should make it throw an
assertion, so we abort the dissection of the packet and let the user
know that we ran out of memory).

------------------------------------------------------------------------
r25070 | ulfl | 2008-04-16 01:05:11 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk

add "Debug" (standard MSVC output dir) to svn ignore
------------------------------------------------------------------------
r25071 | ulfl | 2008-04-16 01:06:55 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/dlg_utils.c

a better spacing between the help and copy buttons
------------------------------------------------------------------------
r25072 | ulfl | 2008-04-16 01:47:12 -0700 (Wed, 16 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/stock_icons.c
   M /trunk/gtk/stock_icons.h

add "Save As" and "Save All" buttons to the dialog / stock_icons utils
use them in the export object dialog
------------------------------------------------------------------------
r25073 | ulfl | 2008-04-16 01:54:50 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

use a GTK_STOCK_CLEAR here
------------------------------------------------------------------------
r25074 | richardv | 2008-04-16 02:49:39 -0700 (Wed, 16 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

fields passed into proto_tree_add_bits_* should have bits==0

------------------------------------------------------------------------
r25075 | ulfl | 2008-04-16 02:54:55 -0700 (Wed, 16 Apr 2008) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/gtk/stock_icons.c
   D /trunk/image/toolbar/stock_add_24.xpm
   D /trunk/image/toolbar/stock_clear_24.xpm
   D /trunk/image/toolbar/stock_close_24.xpm
   D /trunk/image/toolbar/stock_ok_20.xpm
   D /trunk/image/toolbar/stock_open_24.xpm
   D /trunk/image/toolbar/stock_properties_24.xpm
   D /trunk/image/toolbar/stock_save_24.xpm
   D /trunk/image/toolbar/stock_stop_24.xpm

remove the copied xpm stock icon files from SVN and use the "GTK built in" stock icons

this will also prevent us from showing different stock icons for "our" xpm stock icons and the "system defaults". GTK (for Windows?) changed the icon theme somewhere around V2.10 (or later?) and/or the user might use a different icon theme, so this isn't an esoteric case ;-)
------------------------------------------------------------------------
r25076 | ulfl | 2008-04-16 02:57:21 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/color_dlg.c

flip the import and export button "sequence", that the import button comes first. So we have the same sequence as the usual open/save menu.
------------------------------------------------------------------------
r25077 | ulfl | 2008-04-16 03:00:19 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/stock_icons.c

ups, missed one
------------------------------------------------------------------------
r25078 | stig | 2008-04-16 04:55:23 -0700 (Wed, 16 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/stock_icons.c

Added missing comment closing.

------------------------------------------------------------------------
r25079 | morriss | 2008-04-16 07:15:04 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

Remove (no longer needed) forward declaration of handoff function
------------------------------------------------------------------------
r25080 | morriss | 2008-04-16 07:28:22 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-tcap.c

sccp_ssn_table is not used so remove it.  The handoff function does not need to be called after preference changes so stop doing that. Found this on the hunt for bug 2053's cause but it shouldn't (AFAICS) be related.
------------------------------------------------------------------------
r25081 | etxrab | 2008-04-16 13:47:34 -0700 (Wed, 16 Apr 2008) | 5 lines
Changed paths:
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c

Handle:
SAEB-IE-ContainerList
SAEB-IE-ContainerPairList
and
ProtocolError-IE-ContainerList
------------------------------------------------------------------------
r25082 | ulfl | 2008-04-16 17:31:38 -0700 (Wed, 16 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

enable welcome page
add file size of recent files
tweak colors
code cleanup
------------------------------------------------------------------------
r25083 | ulfl | 2008-04-16 18:13:06 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

try to fix the buildbot
------------------------------------------------------------------------
r25084 | ulfl | 2008-04-16 18:45:37 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/stats_tree.h

fix comments
------------------------------------------------------------------------
r25085 | sfisher | 2008-04-16 19:08:23 -0700 (Wed, 16 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/main_welcome.c


Mark a paramter as unused


------------------------------------------------------------------------
r25086 | ulfl | 2008-04-16 19:16:39 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/main_menu.c
   M /trunk/gtk/mcast_stream_dlg.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/stat_menu.h

rename REGISTER_xxx_GROUP_NONE to REGISTER_xxx_GROUP_UNSORTED, as NONE seems a bit misleading
------------------------------------------------------------------------
r25087 | ulfl | 2008-04-16 19:17:55 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.nmake

... bring into alphabetical order
------------------------------------------------------------------------
r25088 | guy | 2008-04-16 19:29:43 -0700 (Wed, 16 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Oh, what the heck, go for it - do the size calculations in 64 bits, just
in case a file has more than 2^32 megabytes of data :-); we already
require 64-bit support for calculations and formatting.

------------------------------------------------------------------------
r25089 | guy | 2008-04-16 19:38:21 -0700 (Wed, 16 Apr 2008) | 22 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Put a space between the number of bytes (for a file < 1024 bytes) and
"Bytes".

"Interface description" vs. "interface name" isn't Windows vs. UN*X,
it's "has a description" vs. "doesn't have a description" - the lack of
descriptions in UN*X is a result of

	1) lack of a mechanism to supply descriptions in some UN*Xes

and

	2) lack of code in libpcap to get those descriptions in some
	   other UN*Xes

and I need to work on fixing 2) (I think it can be dredged out of
FreeBSD 6 and 7, I seem to remember current OpenBSD supplying them, and
for OS X we might as well cheat the way the network preference pane does
and just call en0 the main Ethernet and en1 the AirPort interface).

Use an adverb rather than an adjective to modify a noun, as per Chris
Maynard's suggestion.

------------------------------------------------------------------------
r25090 | guy | 2008-04-16 19:55:29 -0700 (Wed, 16 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/main.c

colors_init() doesn't have anything to do with packet coloring, it's
just our initialization routine for low-level GTK+ stuff, such as
getting the system colormap and the "black" and "white" colors; we have
to call it before calling get_color().

------------------------------------------------------------------------
r25091 | guy | 2008-04-16 20:06:22 -0700 (Wed, 16 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

A GtkImage doesn't take any input, so it doesn't support the "clicked"
signal.

Fix the description for the "Interface List" welcome button.

------------------------------------------------------------------------
r25092 | ulfl | 2008-04-16 20:24:24 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main_welcome.c

add tooltips for the welcome page buttons
------------------------------------------------------------------------
r25093 | ulfl | 2008-04-16 21:05:14 -0700 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

cut filenames in the middle (not just at the start) and add tooltips for it
------------------------------------------------------------------------
r25094 | stig | 2008-04-17 00:47:02 -0700 (Thu, 17 Apr 2008) | 4 lines
Changed paths:
   M /trunk/asn1/gsmmap/SS-DataTypes.asn
   M /trunk/asn1/gsmmap/SS-Operations.asn
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

From Vasil Velichkov (bug 2471):
Add ASN definition of MAP BeginSubscriberActivity operation.
Add call to dissect function in packet template.

------------------------------------------------------------------------
r25095 | ulfl | 2008-04-17 01:53:09 -0700 (Thu, 17 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

set_sensitive(FALSE) for recent files that are currently not available
------------------------------------------------------------------------
r25096 | sahlberg | 2008-04-17 05:05:16 -0700 (Thu, 17 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-mapi.c
   M /trunk/epan/dissectors/packet-dcerpc-mapi.h
   A /trunk/epan/dissectors/pidl/mapi
   A /trunk/epan/dissectors/pidl/mapi/Makefile
   A /trunk/epan/dissectors/pidl/mapi/mapi.cnf
   A /trunk/epan/dissectors/pidl/mapi/mapi.idl
   A /trunk/epan/dissectors/pidl/mapi/mapicodes_enum.h
   A /trunk/epan/dissectors/pidl/mapi/mapitags_enum.h
   A /trunk/epan/dissectors/pidl/mapi/request.cnf.c
   A /trunk/epan/dissectors/pidl/mapi/response.cnf.c

Add autogenerated dissector for DCE/RPC MAPI and also the (non-NDR)
protocol that is transported within 


------------------------------------------------------------------------
r25097 | guy | 2008-04-17 09:14:22 -0700 (Thu, 17 Apr 2008) | 12 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/webbrowser.c
   M /trunk/gtk/webbrowser.h

If we have xdg-open, define HAVE_XDG_OPEN.

Add a routine "filemanager_open_directory()", which takes a pathname
(presumed to be UTF-8 in Windows and Mac OS X; this might need work for
other UN*Xes) and attempts to open a file manager window for it, using
ShellExecute on Windows, Launch Services on OS X, and, for now, running
xdg-open on other OSes if we have it (should we have a preference for
the file manaager, just as we have one for the Web browser?).

(For that matter, if we have xdg-open, do we need a preference for the
Web browser, or should we just have xdg-open open the Web browser?)

------------------------------------------------------------------------
r25098 | morriss | 2008-04-17 09:22:47 -0700 (Thu, 17 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/epan/dissectors/packet-inap.c

Another (somewhat blind) attempt to help bug 2053: don't create the INAP handle nor call oid_add_from_string() more than once (by putting that code inside the "We haven't been through the handoff function before" condition).
------------------------------------------------------------------------
r25099 | wmeier | 2008-04-17 09:24:55 -0700 (Thu, 17 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Infos --> Information

------------------------------------------------------------------------
r25100 | guy | 2008-04-17 09:53:41 -0700 (Thu, 17 Apr 2008) | 7 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

Sigh.  g_spawn_async() should take a "const gchar **" argument for argv,
as it shouldn't be modifying the strings, but it's "gchar **", so we
can't make argv an array of "const gchar *" - which means that you can't
put a "{g}char *" into it without a cast.

Clean up white space.

------------------------------------------------------------------------
r25101 | guy | 2008-04-17 09:54:32 -0700 (Thu, 17 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-mapi.c
   M /trunk/epan/dissectors/pidl/mapi/request.cnf.c

Don't use "%ll[doux]" to print a guint64 - use G_GINT64_MODIFIER.

------------------------------------------------------------------------
r25102 | gerald | 2008-04-17 10:51:57 -0700 (Thu, 17 Apr 2008) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml

Add descriptions of the "Rel Start" and "Duration" columns in the
Conversations window.

------------------------------------------------------------------------
r25103 | guy | 2008-04-17 11:40:45 -0700 (Thu, 17 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

Use the "explore" verb when opening directories; that doesn't fix the case
where there's an openable file and a directory with the same pathname
except for the extension, but at least it prevents us from trying to open
the file.

------------------------------------------------------------------------
r25104 | guy | 2008-04-17 12:37:40 -0700 (Thu, 17 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

In filemanager_open_directory(), if we're not on Windows or OS X and
don't have xdg-open, convert the pathname to a URI and hand it to the
browser.

------------------------------------------------------------------------
r25105 | wmeier | 2008-04-17 13:00:26 -0700 (Thu, 17 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

On Windows: filemanager_open_directory:  ensure a trailing '\' on path to ShellExecute;

------------------------------------------------------------------------
r25106 | etxrab | 2008-04-17 13:26:00 -0700 (Thu, 17 Apr 2008) | 4 lines
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

From   Vasil Velichkov :
Fix missing dissection of SignalInfo in MAP SMS operations

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2469
------------------------------------------------------------------------
r25107 | ulfl | 2008-04-17 15:11:21 -0700 (Thu, 17 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

as the welcome page seems generally accepted, remove #ifdef SHOW_WELCOME_PAGE around it
------------------------------------------------------------------------
r25108 | stig | 2008-04-17 16:14:01 -0700 (Thu, 17 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/prefs_dlg.c
   A /trunk/gtk/prefs_protocols.c
   A /trunk/gtk/prefs_protocols.h

Added an option to display hidden protocol items.

------------------------------------------------------------------------
r25109 | gerald | 2008-04-17 16:59:56 -0700 (Thu, 17 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Minor banner tweaks.

------------------------------------------------------------------------
r25110 | richardv | 2008-04-18 04:30:22 -0700 (Fri, 18 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h245.c

fix decoding of amr in h323/h324 calls

------------------------------------------------------------------------
r25111 | richardv | 2008-04-18 04:37:48 -0700 (Fri, 18 Apr 2008) | 2 lines
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c

update originals as per r25110

------------------------------------------------------------------------
r25112 | morriss | 2008-04-18 05:42:27 -0700 (Fri, 18 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

Change an assignment-in-an-if to a comparison.
------------------------------------------------------------------------
r25113 | morriss | 2008-04-18 05:47:05 -0700 (Fri, 18 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/webbrowser.c

filename2uri() doesn't modify its parameter (and in at least one place we hand it a const argument) so make the parameter const.  Also move the function up in the file (before its first use).
------------------------------------------------------------------------
r25114 | stig | 2008-04-18 07:29:54 -0700 (Fri, 18 Apr 2008) | 3 lines
Changed paths:
   M /trunk/capture_ui_utils.c
   M /trunk/capture_ui_utils.h
   M /trunk/gtk/main_welcome.c

Display the interface comment if defined.
On non-win32 also display the interface name.

------------------------------------------------------------------------
r25115 | stig | 2008-04-18 16:55:03 -0700 (Fri, 18 Apr 2008) | 5 lines
Changed paths:
   M /trunk/docbook/Makefile.common
   M /trunk/docbook/user-guide.xml
   A /trunk/docbook/wsug_graphics/ws-capture-interfaces-win32.png (from /trunk/docbook/wsug_graphics/ws-capture-interfaces.png:25107)
   R /trunk/docbook/wsug_graphics/ws-capture-interfaces.png
   M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml

Added a "Capture Interfaces" dialog box figure for other than Win32
to show and document the "Device" column.
Added a note about hidden interfaces.
Added some missing graphics files to Makefile.common.

------------------------------------------------------------------------
r25116 | stig | 2008-04-19 02:19:32 -0700 (Sat, 19 Apr 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-xtp.c
   A /trunk/epan/dissectors/packet-xtp.h
   M /trunk/epan/ipproto.h

From Shigeo Nakamura (bug 2466):
Added a dissector of XTP version 4.0.

------------------------------------------------------------------------
r25117 | ulfl | 2008-04-19 03:11:45 -0700 (Sat, 19 Apr 2008) | 5 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml

Win32 is a developer related term, use "Microsoft Windows" / "Unix/Linux" as already done in the open file dialog page.

add missing Help button

some other minor changes
------------------------------------------------------------------------
r25118 | jake | 2008-04-19 03:41:45 -0700 (Sat, 19 Apr 2008) | 2 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

Fix for bug 2475:
Add a preference to the UNISTIM dissector so that you can set the default port back to 5000, even though this conflicts with other dissectors.
------------------------------------------------------------------------
r25119 | ulfl | 2008-04-19 06:33:42 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

add a way to place the capture interfaces and recent files list into a scrolled_window once the number of them get's "too large"
------------------------------------------------------------------------
r25120 | ulfl | 2008-04-19 11:39:58 -0700 (Sat, 19 Apr 2008) | 6 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

I'v fixed the bug reported by Stig that no items appear and also ..

from Jim Young:
The attached patch simply tests for a non-NULL 
welcome_file_panel_vb before attempting to get the 
child_list.
------------------------------------------------------------------------
r25121 | ulfl | 2008-04-19 12:40:05 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_menu.c

HAVE_LUA_5_1 is no longer required for the Tools menu
------------------------------------------------------------------------
r25122 | ulfl | 2008-04-19 15:50:14 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_menu.c

bugs happen, if you're trying to do two things at once ;-)
------------------------------------------------------------------------
r25123 | stig | 2008-04-20 04:53:31 -0700 (Sun, 20 Apr 2008) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-l1-events.c
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/eyesdn.h
   M /trunk/wiretap/wtap.h

From Rolf Fiedler (bug 2408):
This extends the EyeSDN wiretap module to be able to support:
- DSS1/Q.931
- PPP
- LAPB/X.25
- ATM raw cells
- SS7 MTP2

------------------------------------------------------------------------
r25124 | stig | 2008-04-20 05:28:42 -0700 (Sun, 20 Apr 2008) | 3 lines
Changed paths:
   M /trunk/debian/control

From Andrew K Burley (bug 2406):
Updated dependency for portaudio.

------------------------------------------------------------------------
r25125 | stig | 2008-04-20 06:24:58 -0700 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/epan/dissectors/packet-t38.c

Changed "data" -> "t38" abbrev for reassembly entries.

------------------------------------------------------------------------
r25126 | stig | 2008-04-20 15:34:47 -0700 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-bytes.c

Corrected ne operator for FT_BYTES.

------------------------------------------------------------------------
r25127 | guy | 2008-04-20 16:41:36 -0700 (Sun, 20 Apr 2008) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

Don't define AC_WIRESHARK_CHECK_64BIT_FORMAT twice; just define the one
that works with GLib's print routines.  Make that version compile and
link the test programs with GLib.

------------------------------------------------------------------------
r25128 | guy | 2008-04-20 16:42:21 -0700 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/file_dlg.c

Add GTK_SIGNAL_FUNC() casts for GTK+ 2.[0-2] code.

------------------------------------------------------------------------
r25129 | ulfl | 2008-04-20 17:54:46 -0700 (Sun, 20 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_toolbar.c

remove no longer required parameters from toolbar_item() macro
------------------------------------------------------------------------
r25130 | ulfl | 2008-04-20 18:49:53 -0700 (Sun, 20 Apr 2008) | 1 line
Changed paths:
   M /trunk/gtk/main_toolbar.c

fix build on GTK 2.0/2.2 and some other code cleanup
------------------------------------------------------------------------
r25131 | etxrab | 2008-04-20 22:25:38 -0700 (Sun, 20 Apr 2008) | 4 lines
Changed paths:
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h

From   Martin Peylo:
PKIXCMP: update TCP transport style, add OIDs and content types

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2460
------------------------------------------------------------------------
r25132 | stig | 2008-04-21 01:58:50 -0700 (Mon, 21 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/emem.c

From Marton Nemeth (bug 2484):
The variables ep_canary[], se_canary[], ep_packet_mem and se_packet_mem are
only used in emem.c, so the visibility can be file local (static).

------------------------------------------------------------------------
r25133 | martinm | 2008-04-21 03:57:32 -0700 (Mon, 21 Apr 2008) | 6 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/prefs_rtp_player.c
   M /trunk/gtk/prefs_rtp_player.h

Allow configuration of tap update interval.
- rename rtp_player config group to taps/statistics
- will rename prefs_rtp_player files later
  (svn didn't seem keen to rename with changes present,
   and output says its just a copy/delete anyway...)

------------------------------------------------------------------------
r25134 | etxrab | 2008-04-21 11:23:23 -0700 (Mon, 21 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

TimeStamp are derived from timeticks_type (See SNMPv2-TC).
Fixes Bug:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2442
------------------------------------------------------------------------
r25135 | etxrab | 2008-04-21 11:38:01 -0700 (Mon, 21 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/oids.c

TimeTicks ::= [APPLICATION 3] IMPLICIT INTEGER (0..4294967295)
  If the BER encoding should not have the top bit set as to not become a negative number
  the ber encoding may take 5 octets to encode.
Fixes BUG:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2253
------------------------------------------------------------------------
r25136 | etxrab | 2008-04-21 12:16:22 -0700 (Mon, 21 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Use latest Glib version.
------------------------------------------------------------------------
r25137 | stig | 2008-04-21 13:25:50 -0700 (Mon, 21 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tpncp.c

Add "tpncp." before all filter names so we don't crash with others.

This fixes solution 1 from bug 2402.

------------------------------------------------------------------------
r25138 | jake | 2008-04-21 14:10:19 -0700 (Mon, 21 Apr 2008) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-stun2.c

From Gael Breard:
this is an update to the STUN2 dissector using the last draft,
draft-ietf-behave-rfc3489bis-15
- add TURN extension support (probably incomplete) from
draft-ietf-behave-turn-07
- add some descriptive text for attributes upper in tree (it avoids developing
the tree completely to see essential attributes values)
------------------------------------------------------------------------
r25142 | stig | 2008-04-21 14:36:11 -0700 (Mon, 21 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/ftypes/ftype-tvbuff.c

From Alex deVries (bug 2486):
This adds fpSyncFork and fpSyncDir functionality to the AFP dissector.

------------------------------------------------------------------------
r25143 | martinm | 2008-04-21 14:56:45 -0700 (Mon, 21 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/prefs_dlg.c
   D /trunk/gtk/prefs_rtp_player.c
   D /trunk/gtk/prefs_rtp_player.h
   A /trunk/gtk/prefs_taps.c (from /trunk/gtk/prefs_rtp_player.c:25138)
   A /trunk/gtk/prefs_taps.h (from /trunk/gtk/prefs_rtp_player.h:25138)

Rename prefs_rtp_player files to prefs_taps.
(see rev 25133)
------------------------------------------------------------------------
r25144 | guy | 2008-04-21 19:13:31 -0700 (Mon, 21 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-l1-events.c

Clarify where these L1 event messages come from.

------------------------------------------------------------------------
r25145 | stig | 2008-04-21 22:27:28 -0700 (Mon, 21 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/mcast_stream_dlg.c

From Chris:
Correct some typos.

------------------------------------------------------------------------
r25146 | jake | 2008-04-21 23:36:15 -0700 (Mon, 21 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mikey.c

Fix for bug 2481:
Remove debug code
------------------------------------------------------------------------
r25147 | etxrab | 2008-04-22 12:28:44 -0700 (Tue, 22 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

Use Libsmi 0.4.8
------------------------------------------------------------------------
r25148 | etxrab | 2008-04-22 12:31:03 -0700 (Tue, 22 Apr 2008) | 16 lines
Changed paths:
   M /trunk/epan/oids.c

Fix Dissector bug, protocol SNMP: proto.c:932: failed assertion
From LEGO:
DISSECTOR_ASSERT_NOT_REACHED() is a Bug regardless, it is triggered because we
are proto_add_item()ing an FT_UINT32 of 5 bytes in length.

IF-MIB:ifInOctets is a Counter32 so the value should (and is) application
encoded using tag 41.

the value's value (!) is  H'00d49e69fa (D'3567151610).

the assertion is triggered because there's an error in oids.c:59 
where states the ft_type as being an FT_UINT32 with a length of 1 to 4 bytes,
It should be FT_UINT64 and the length from 1 to 5 bytes considering that
integers bigger than 2^31 will be ber encoded in 5 bytes.

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2468
------------------------------------------------------------------------
r25149 | etxrab | 2008-04-22 22:16:53 -0700 (Tue, 22 Apr 2008) | 3 lines
Changed paths:
   M /trunk/asn1/camel/camel.cnf
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h

From   Vasil Velichkov:
Fix dissection of Location and Generic Number in CAMEL
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2494
------------------------------------------------------------------------
r25150 | jake | 2008-04-22 23:51:15 -0700 (Tue, 22 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

From Peter Fuller:
If a UDP packet is submitted to the RTP heuristic dissector with either odd src
or dst ports, the heuristic will correctly return FALSE.  However, that
interferes with the next few lines of code that can potentially treat version 0
RTP packets as either STUN or T38 depending on preference settings.
------------------------------------------------------------------------
r25151 | martinm | 2008-04-23 09:49:34 -0700 (Wed, 23 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/prefs_dlg.c

Rename "Taps/Statistics" preference group to be simply "Statistics".
"Tap" is a term likely only to be known to developers, and
"Statistics" matches the Menu item under which all of the affected
windows are launched.

------------------------------------------------------------------------
r25152 | jmayer | 2008-04-23 11:19:01 -0700 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /trunk/configure.in

Require at least version 2.4.0 of GTK
------------------------------------------------------------------------
r25153 | etxrab | 2008-04-23 12:49:40 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xot.c

From   Gerhard Olsson :
X25 reassembly when presenting out of order packets.
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2091
------------------------------------------------------------------------
r25154 | etxrab | 2008-04-23 13:23:09 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.h

From   Hannes K?\195?\164lber:
new WTAP_ENCAP files(X2E Xoraya serial frame and X2E Xoraya frame )
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2418
------------------------------------------------------------------------
r25155 | etxrab | 2008-04-23 13:28:30 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

From   Jon Larimer:
NTLMSSP protocol dissector doesn't parse NTLMSSP in DCERPC packets with packet level auth
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2444
------------------------------------------------------------------------
r25156 | etxrab | 2008-04-23 13:42:02 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

From   bboissin:
fix RFC4191 handling
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2498
------------------------------------------------------------------------
r25157 | etxrab | 2008-04-23 13:49:54 -0700 (Wed, 23 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h

From :  Martin Peylo:
PKIXCMP: fix new plain TCP transport style, add OID and preferences

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2499
------------------------------------------------------------------------
r25158 | jake | 2008-04-23 14:31:50 -0700 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/conversation.c

Don't skip ahead in time when looking for a conversation.
------------------------------------------------------------------------
r25159 | jake | 2008-04-23 14:35:36 -0700 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /trunk/wiretap/wtap.c

The constants are there, now they need real names.
------------------------------------------------------------------------
r25160 | jake | 2008-04-23 16:12:18 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/expert_dlg.c

From Jim Young:
Small patch to gtk/expert_dlg.c to test for the existance of the etd->label
before use.  This patch stops GTK assertion on Linux.
------------------------------------------------------------------------
r25161 | jmayer | 2008-04-23 16:15:00 -0700 (Wed, 23 Apr 2008) | 7 lines
Changed paths:
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.h
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h

Martin Peylo <wireshark@izac.de>:
    PKIXCMP: fix new plain TCP transport style, add OID and preferences
    (The previous checkin forgot to check in the changed source files.)

Me:
- Fix a warning about an 'incompatible pointer type'

------------------------------------------------------------------------
r25162 | guy | 2008-04-23 17:08:19 -0700 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.h

Clean up indentation.  There is no guarantee that tabs will appear
every 4 spaces or every 8 spaces, so just use spaces.

------------------------------------------------------------------------
r25163 | guy | 2008-04-23 17:14:18 -0700 (Wed, 23 Apr 2008) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.c

Expand and clean up the descriptions of the new WTAP_ENCAP values.

------------------------------------------------------------------------
r25164 | kukosa | 2008-04-23 23:36:42 -0700 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-h245.c

remove superfluous declaration struct srtp_info *dummy_srtp_info 
------------------------------------------------------------------------
r25165 | etxrab | 2008-04-24 12:45:29 -0700 (Thu, 24 Apr 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/tools/win32-setup.sh

Use cairo-1.6.4-1 and pango-dev-1.20.2
------------------------------------------------------------------------
r25166 | etxrab | 2008-04-24 12:57:41 -0700 (Thu, 24 Apr 2008) | 3 lines
Changed paths:
   A /trunk/epan/dissectors/packet-gsm_bsslap.c

Add missing dissector from the makefile:
packet-gsm_bsslap.c
 Routines for Location Services (LCS) Serving Mobile Location Centre - Base Station System (SMLC-BSS) dissection - 3GPP TS 48.071 version 7.2.0 Release 7
------------------------------------------------------------------------
r25167 | guy | 2008-04-24 14:07:23 -0700 (Thu, 24 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_bsslap.c

Get rid of CR's at the ends of lines, give it an NL at the end, and set
the svn:keywords and svn:eol-style properties appropriately.

------------------------------------------------------------------------
r25168 | stig | 2008-04-24 14:51:14 -0700 (Thu, 24 Apr 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimax/msg_reg_rsp.c

From Mohan (bug 2501):
Add a missing break statement.

------------------------------------------------------------------------
r25169 | sfisher | 2008-04-24 22:16:23 -0700 (Thu, 24 Apr 2008) | 9 lines
Changed paths:
   M /trunk/epan/proto.c


Fix for bug #2480: Custom column, wrong display of 802.11 Sleep mode status

Changed the tfstring to use integer variable instead of value variable.  The
integer value has had its "irrelevant portions" masked out and has been bit-
shifted whereas value hasn't.  This led to unpredictable results when using
a true false string for a single bit of a byte. 


------------------------------------------------------------------------
r25170 | etxrab | 2008-04-24 23:42:37 -0700 (Thu, 24 Apr 2008) | 1 line
Changed paths:
   M /trunk/config.h.win32

Flex (v 2.5.35) uses this symbol to "exclude" unistd.h
------------------------------------------------------------------------
r25171 | martinm | 2008-04-25 10:20:28 -0700 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fixed some old problems found while starting to add R7 support.

------------------------------------------------------------------------
r25172 | wmeier | 2008-04-25 10:24:29 -0700 (Fri, 25 Apr 2008) | 5 lines
Changed paths:
   M /trunk/tools/lemon/lemonflex-tail.inc

Bug 2493: Fix (Part 1): 
-TEXT_FUNC (const char *text) --> -TEXT_FUNC (char *text)
To prevent Windows compiler error when using flex 2.5.35.
(This also compiles OK for *NIX flex and for windows flex 2.5.4) 

------------------------------------------------------------------------
r25173 | wmeier | 2008-04-25 10:40:29 -0700 (Fri, 25 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dfilter/scanner.l
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dtd_parse.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/radius_dict.l
   M /trunk/epan/uat_load.l
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/wimaxasncp/wimaxasncp_dict.l
   M /trunk/text2pcap-scanner.l
   M /trunk/wiretap/ascend-scanner.l
   M /trunk/wiretap/k12text.l

 Bug 2493: Fix (Part 2): 
 To prevent Windows compiler errors when using flex 2.5.35.
 Fixes "missing unistd.h" and yywrap "mismatched parameter" warnings
 [Upcoming Part 3: ignore 'signed /unsigned mismatch' errors]

------------------------------------------------------------------------
r25174 | wmeier | 2008-04-25 11:26:54 -0700 (Fri, 25 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/dfilter/scanner.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/radius_dict.l
   M /trunk/epan/uat_load.l
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/text2pcap-scanner.l

 Bug 2493: Fix (Part 3 of 3): 
  To prevent Windows compiler errors when using flex 2.5.35.
  Ignore 'signed /unsigned mismatch' warnings


------------------------------------------------------------------------
r25175 | jake | 2008-04-25 11:59:20 -0700 (Fri, 25 Apr 2008) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c
   M /trunk/epan/wslua/wslua_util.c

From: M?\195?\161rton N?\195?\169meth:
The luaL_reg structure consists of two pointers: char* and a pointer to a function. 
The last entry should also reflect this: it should be { NULL, NULL } instead of { 0, 0 }.
------------------------------------------------------------------------
r25176 | jake | 2008-04-25 12:04:52 -0700 (Fri, 25 Apr 2008) | 5 lines
Changed paths:
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wslua/template-init.lua

From M?\195?\161rton N?\195?\169meth:
Cleanup ident of epan/wslua/init_wslua.c: use spaces instead of tabs.
cleanup the ident of generator scripts and for template-init.lua
Spaces used instead of tabs for indent. Removed spaces placed by generator
script just before a newline.
------------------------------------------------------------------------
r25177 | martinm | 2008-04-25 12:09:07 -0700 (Fri, 25 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Add cast to avoid Windows warning.
------------------------------------------------------------------------
r25178 | martinm | 2008-04-25 12:12:57 -0700 (Fri, 25 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Add comment explaining that case is safe.
------------------------------------------------------------------------
r25179 | stig | 2008-04-25 12:25:22 -0700 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmp.c

Register dissector by name.

------------------------------------------------------------------------
r25180 | stig | 2008-04-25 12:25:49 -0700 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Register dissector by name.

------------------------------------------------------------------------
r25181 | stig | 2008-04-25 12:42:27 -0700 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /trunk/gtk/hostlist_table.c

Changed to display NCP connection, as in conversations.

------------------------------------------------------------------------
r25182 | sfisher | 2008-04-27 00:01:58 -0700 (Sun, 27 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/export_object_http.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_stream.h
   M /trunk/gtk/main_menu.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/main_toolbar.c
   M /trunk/gtk/proto_hier_stats_dlg.c


Remove all GTK+ < 2.4 code and minimum version checks.


------------------------------------------------------------------------
r25183 | stig | 2008-04-27 03:54:25 -0700 (Sun, 27 Apr 2008) | 3 lines
Changed paths:
   M /trunk/Makefile.am

Add adns_dll.dep and adns_dll.rc to the tarball, as requested by Sake
and indicated by Anders.

------------------------------------------------------------------------
r25184 | jake | 2008-04-27 04:10:57 -0700 (Sun, 27 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

From Alon Tal:
RTP header extensions that are longer than 4 bytes (rtp.ext.len > 1)
get dissected incorrectly. The first 4 bytes of the header extension are
repeated rtp.ext.len times, and the remaining bytes are ignored.
------------------------------------------------------------------------
r25185 | martinm | 2008-04-28 03:23:25 -0700 (Mon, 28 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix test for unlimited credits value in new alloc format.

------------------------------------------------------------------------
r25186 | stig | 2008-04-28 05:35:03 -0700 (Mon, 28 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

Split the recent file in two, one for the configuration profile
and one common for all profiles.  

------------------------------------------------------------------------
r25187 | stig | 2008-04-28 06:00:49 -0700 (Mon, 28 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/recent.c

Reopen the recent file when reading older common settings.
This will be optimized later.

------------------------------------------------------------------------
r25188 | stig | 2008-04-28 06:27:25 -0700 (Mon, 28 Apr 2008) | 3 lines
Changed paths:
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

Added flag i new recent file to determine where to get values now
moved to recent_common.  This will convert old recent file to new.

------------------------------------------------------------------------
r25189 | wmeier | 2008-04-28 13:32:06 -0700 (Mon, 28 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/exceptions.h

Fix minor typo in comment

------------------------------------------------------------------------
r25190 | etxrab | 2008-04-28 22:51:22 -0700 (Mon, 28 Apr 2008) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Correct AVP name.
------------------------------------------------------------------------
r25191 | guy | 2008-04-29 01:30:39 -0700 (Tue, 29 Apr 2008) | 4 lines
Changed paths:
   M /trunk/configure.in

Have the error for not finding GTK+ indicate that we require GTK+ 2.4 or
later.  Do the same for the GLib error messages, having them indicate
that we require GLib 2.x.

------------------------------------------------------------------------
r25192 | guy | 2008-04-29 01:44:57 -0700 (Tue, 29 Apr 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/strutil.h
   M /trunk/epan/wslua/wslua_util.c

Get rid of old GLib 1.2[.x] stuff, as we now require GLib 2.x.

------------------------------------------------------------------------
r25193 | morriss | 2008-04-29 05:27:32 -0700 (Tue, 29 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-smc.c

Move minimum byte count test from dissect_scsi_smc_element() up into the calling dissect_scsi_smc_elements() so we can break out of the loop if we're not advancing through the packet.  This fixes the infinite loop reported in http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2508
------------------------------------------------------------------------
r25194 | martinm | 2008-04-29 07:24:16 -0700 (Tue, 29 Apr 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c

From Abhik Sarkar, fixed bug #2477.
Change ftype of ssh-padding-string to FT_BYTES.


------------------------------------------------------------------------
r25195 | morriss | 2008-04-29 08:20:19 -0700 (Tue, 29 Apr 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_acl.c

Fix http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1513 : don't tvb_memcpy() more bytes than are in the (se_alloc()'d) buffer.  tvb_memcpy()ing more bytes than are the TVB is okay (it'll except out).
------------------------------------------------------------------------
r25196 | morriss | 2008-04-29 08:29:02 -0700 (Tue, 29 Apr 2008) | 8 lines
Changed paths:
   M /trunk/epan/epan.c

Call se_free_all() in epan_cleanup() so that we will detect per-session (se_)
memory corruption in tshark (and Wireshark when exiting the program instead
of loading a new file?).

Why this wasn't always here I don't know.

This may give us a pile of buildbot fuzz failures but that's a Good Thing.

------------------------------------------------------------------------
r25197 | guy | 2008-04-29 09:24:22 -0700 (Tue, 29 Apr 2008) | 6 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/epan/dtd_parse.l
   D /trunk/epan/g_ascii_strcasecmp.c
   D /trunk/epan/g_ascii_strcasecmp.h

All versions of GLib 2.x come with g_ascii_strcasecmp(), and we require
GLib 2.x; we don't have to check for its presence and supply a
replacement if it's missing.

Get rid of an unremoved reference in epan/dtd_parse.l.

------------------------------------------------------------------------
r25198 | sfisher | 2008-04-29 11:46:10 -0700 (Tue, 29 Apr 2008) | 5 lines
Changed paths:
   M /trunk/gtk/follow_stream.c


Replace an option menu (deprecated as of GTK+ 2.4) with a combo box
(GTK+ 2.4+). 


------------------------------------------------------------------------
r25199 | sfisher | 2008-04-29 12:14:44 -0700 (Tue, 29 Apr 2008) | 4 lines
Changed paths:
   M /trunk/gtk/prefs_column.c


Change an option menu (deprecated in GTK+ 2.4) to a combo box (GTK+ 2.4+).


------------------------------------------------------------------------
r25200 | ulfl | 2008-04-30 00:35:25 -0700 (Wed, 30 Apr 2008) | 1 line
Changed paths:
   M /trunk/docbook/README.txt

add some cygwin clarifications
------------------------------------------------------------------------
r25201 | guy | 2008-04-30 00:58:57 -0700 (Wed, 30 Apr 2008) | 10 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/tshark.c

Use report_failure() to report failures in capture_sync.c; that will do
the right thing in Wireshark and TShark, as both of them call
epan_init() to set the appropriate "report an error" function.

That obviates the need to have TShark have its own private version of
simple_dialog().

Have cmdarg_err() just call failure_message() instead of duplicating the
code in failure_message().

------------------------------------------------------------------------
r25202 | guy | 2008-04-30 00:59:26 -0700 (Wed, 30 Apr 2008) | 2 lines
Changed paths:
   M /trunk/tshark.c

Get rid of extra blank lines at the end of the file.

------------------------------------------------------------------------
r25203 | jake | 2008-04-30 02:15:50 -0700 (Wed, 30 Apr 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

From cfreeer:
There is no EAP decoder to decode EAP messages packed in Wimax PKM messages. 
I called the EAP decoder found in the Wireshark.
------------------------------------------------------------------------
r25204 | jake | 2008-04-30 03:59:48 -0700 (Wed, 30 Apr 2008) | 1 line
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

Now with EAP dissector safety valve.
------------------------------------------------------------------------
r25205 | guy | 2008-05-01 00:18:58 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Get rid of C++/C99 comment.

------------------------------------------------------------------------
r25206 | guy | 2008-05-01 00:21:15 -0700 (Thu, 01 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

...but not with a comment inside a comment, as that might cause a
warning.

------------------------------------------------------------------------
r25207 | stig | 2008-05-01 04:02:14 -0700 (Thu, 01 May 2008) | 6 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

From Frederic Peters (bug 1735):
Force foreground when background is forced.

From me:
Do the same for expert info's.

------------------------------------------------------------------------
r25208 | martinm | 2008-05-01 08:23:54 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Try to track SIP responses back to their requests.

------------------------------------------------------------------------
r25209 | stig | 2008-05-01 10:46:03 -0700 (Thu, 01 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

While playing with a dark theme I found it much nicer to use the 
selected background color from the packet list.

------------------------------------------------------------------------
r25210 | stig | 2008-05-01 10:47:48 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk

Ignore generated (on OSX) rdps.dSYM directory.

------------------------------------------------------------------------
r25211 | stig | 2008-05-01 11:03:46 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/main_proto_draw.h

Force foreground when background is forced in expert info dialogs.

------------------------------------------------------------------------
r25212 | stig | 2008-05-01 11:26:01 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/voip_calls_dlg.c

Force foreground when background is forced in RTP analysis and VOIP calls.

------------------------------------------------------------------------
r25213 | stig | 2008-05-01 14:20:49 -0700 (Thu, 01 May 2008) | 2 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h245.c

Removed a debug printf line.

------------------------------------------------------------------------
r25214 | jake | 2008-05-02 01:23:21 -0700 (Fri, 02 May 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-h264.c
   M /trunk/epan/t35.c
   M /trunk/gtk/capture_if_details_dlg_win32.c

From Shinsuke SUZUKI:
Since this leads to a compilation failure (Warning C4819: unexpected character
in the current code page) on non-european Windows, I'd like you to avoid using
non-ASCII characters in Wireshark code (even in comment).
------------------------------------------------------------------------
r25215 | wmeier | 2008-05-02 05:58:15 -0700 (Fri, 02 May 2008) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.nmake

Ensure wireshark-filter doc rebuilt when tshark changes; optimize rebuild slightly

------------------------------------------------------------------------
r25216 | martinm | 2008-05-02 07:50:23 -0700 (Fri, 02 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Updated common control messages to R7.


------------------------------------------------------------------------
r25217 | martinm | 2008-05-02 08:27:00 -0700 (Fri, 02 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

More R7 additions.
Main missing part is new HSDSCH data frame type 2.



------------------------------------------------------------------------
r25218 | wmeier | 2008-05-02 12:03:00 -0700 (Fri, 02 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Fix crash in Bug #2410: restore saved 'packet_info.private_data' for two fail returns

------------------------------------------------------------------------
r25219 | wmeier | 2008-05-02 12:18:08 -0700 (Fri, 02 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix (what I presume to be) a typo to prevent compile error.

------------------------------------------------------------------------
r25220 | martinm | 2008-05-02 14:38:49 -0700 (Fri, 02 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Initialise variable.
(sorry about the build breakage, these new message formats will be tested soon
and it looks like I forgot to compile-test the last change I made...).
------------------------------------------------------------------------
r25221 | jake | 2008-05-03 01:31:50 -0700 (Sat, 03 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bvlc.c

From Steve Karg:
Corrected packet-bvlc.c dissector which was not decoding BACnet BVLC NAK result
code text correctly.
------------------------------------------------------------------------
r25222 | jake | 2008-05-03 02:49:10 -0700 (Sat, 03 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

From Abhik Sarkar:
This patch adds basic support for stats to the UCP dissector using the Stats Tree API.
------------------------------------------------------------------------
r25223 | wmeier | 2008-05-03 15:33:51 -0700 (Sat, 03 May 2008) | 2 lines
Changed paths:
   M /trunk/print.c

Fix for bug #2518: 'tshark -Tfields -e data' Omits Last Character of Data

------------------------------------------------------------------------
r25224 | stig | 2008-05-04 15:20:58 -0700 (Sun, 04 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Added a hidden SSID (wlan_mgt.ssid) to be able to filter on the ssid.

------------------------------------------------------------------------
r25225 | stig | 2008-05-04 15:29:41 -0700 (Sun, 04 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/main_packet_list.c

Corrected some unused arguments in case someone starts using them,
or just copy the code.

------------------------------------------------------------------------
r25226 | stig | 2008-05-04 15:37:05 -0700 (Sun, 04 May 2008) | 7 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Improved the WLAN Traffic Statistics:
- Added details for each network
- Added context menu for adding a filter
- Keep the selected network when capturing
- Show probe requests with broadcast ssid
- Print '.' for non-printable characters in ssid

------------------------------------------------------------------------
r25227 | jmayer | 2008-05-04 17:39:47 -0700 (Sun, 04 May 2008) | 1 line
Changed paths:
   M /trunk/epan/strutil.c

Fix a tpyo
------------------------------------------------------------------------
r25228 | jmayer | 2008-05-04 17:41:30 -0700 (Sun, 04 May 2008) | 1 line
Changed paths:
   M /trunk/docbook/Makefile.nmake

Replace leading spaces by a TAB
------------------------------------------------------------------------
r25229 | etxrab | 2008-05-04 22:58:45 -0700 (Sun, 04 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xot.c

From   Gerhard Olsson :
X25 reassembly when presenting out of order packets
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2091
------------------------------------------------------------------------
r25230 | etxrab | 2008-05-04 23:27:15 -0700 (Sun, 04 May 2008) | 1 line
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add depreceated glib API:s
------------------------------------------------------------------------
r25231 | etxrab | 2008-05-05 09:55:19 -0700 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/Makefile.nmake
   M /trunk/plugins/agentx/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/easy_codec/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/ethercat/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/infiniband/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/m2m/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/opcua/Makefile.nmake
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/sbus/Makefile.nmake
   M /trunk/plugins/stats_tree/Makefile.nmake
   M /trunk/plugins/tpg/Makefile.nmake
   M /trunk/plugins/unistim/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake
   M /trunk/plugins/wimax/Makefile.nmake
   M /trunk/plugins/wimaxasncp/Makefile.nmake

Make it possible to run checkapi on all plugins trough makefile.nmake
Note: Commented out in the plugins giving errors for now.
------------------------------------------------------------------------
r25232 | gerald | 2008-05-05 10:03:22 -0700 (Mon, 05 May 2008) | 3 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/make-version.pl

Have autoconf generate "ustar" tar files by default. This should let us have
paths longer than 99 characters.

------------------------------------------------------------------------
r25233 | etxrab | 2008-05-05 10:19:51 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/plugins/artnet/packet-artnet.c
   M /trunk/plugins/docsis/packet-docsis.c
   M /trunk/plugins/docsis/packet-map.c
   M /trunk/plugins/enttec/packet-enttec.c

Dount use proto_tree_add_item_hidden().
------------------------------------------------------------------------
r25234 | stig | 2008-05-05 11:37:20 -0700 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   D /trunk/gtk/isprint.h
   M /trunk/gtk/libui.vcproj

Remove gtk/isprint.h as it's not in use.

------------------------------------------------------------------------
r25235 | etxrab | 2008-05-05 11:58:53 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/v5ua/packet-v5ua.c

Don't use proto_tree_add_item_hidden().
------------------------------------------------------------------------
r25236 | etxrab | 2008-05-05 12:06:31 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/plugins/v5ua/packet-v5ua.c

Add Id tag.
------------------------------------------------------------------------
r25237 | stig | 2008-05-05 12:35:16 -0700 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee80211.h
   M /trunk/gtk/wlan_stat_dlg.c

Handle SSID as binary in WLAN Traffic Statistics.

------------------------------------------------------------------------
r25238 | etxrab | 2008-05-05 12:52:59 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-armagetronad.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-xml.c

Remove depreciated functions g_string_sprint, g_string_sprintfa.
------------------------------------------------------------------------
r25239 | etxrab | 2008-05-05 13:03:15 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl.c

Change depreciated function g_tree_traverse -> g_tree_foreach
------------------------------------------------------------------------
r25240 | etxrab | 2008-05-05 13:38:27 -0700 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/enterprise-numbers
   M /trunk/epan/make-sminmpec.pl
   M /trunk/epan/oids.c
   M /trunk/epan/reedsolomon.c
   M /trunk/epan/stats_tree.c
   M /trunk/epan/tap.c
   M /trunk/tools/checkAPIs.pl

Fix some of the Errors/warnings detected by checkapi,
make non ASCII char a warning for now.
------------------------------------------------------------------------
r25241 | guy | 2008-05-05 14:48:32 -0700 (Mon, 05 May 2008) | 3 lines
Changed paths:
   M /trunk/configure.in

Require automake 1.9 or later; earlier versions don't support the
"tar-ustar" option.

------------------------------------------------------------------------
r25242 | guy | 2008-05-05 15:01:34 -0700 (Mon, 05 May 2008) | 14 lines
Changed paths:
   M /trunk/autogen.sh

Boost the automake version required to 1.9.

(Currently, configure.in also specifies the minimum autoconf and
automake versions, but the check for the automake version doesn't
produce an immediate failure - instead, you might get a flood of

	configure.in:16: option `tar-ustar' not recognized

errors *after*

	configure.in:16: require version 1.9, but have 1.x.x

and the diagnostic isn't as clear.)

------------------------------------------------------------------------
r25243 | guy | 2008-05-05 15:47:32 -0700 (Mon, 05 May 2008) | 13 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in
   M /trunk/epan/packet.h
   M /trunk/epan/tap.h

Require GLib 2.4 or later.

That means that G_GINT64_MODIFIER will be defined, so don't check
whether it's defined.

We don't use the PRI[douxX]64 macros, as we use the GLib print routines
and thus use G_GINT64_MODIFIER instead.  Get rid of the checks for
whether inttypes.h defines PRI[douxX]64; just check whether it exists at
all.

That means we don't set INTTYPES_H_DEFINES_FORMATS, so don't check for
it.

------------------------------------------------------------------------
r25244 | etxrab | 2008-05-05 22:50:31 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.nmake
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/uat_gui.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls_dlg.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25245 | etxrab | 2008-05-05 23:18:26 -0700 (Mon, 05 May 2008) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.nmake

Add checkapi target.
------------------------------------------------------------------------
r25246 | stig | 2008-05-06 02:08:52 -0700 (Tue, 06 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-jfif.c

From Peter Kjellerstedt (bug 2521):
Add MARKER_COM to vals_marker[].

------------------------------------------------------------------------
r25247 | stig | 2008-05-06 08:12:45 -0700 (Tue, 06 May 2008) | 2 lines
Changed paths:
   M /trunk/tshark.c

Removed an unused break.

------------------------------------------------------------------------
r25248 | etxrab | 2008-05-06 22:26:40 -0700 (Tue, 06 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/airpcap_loader.c
   M /trunk/capture-pcap-util-unix.c
   M /trunk/capture-wpcap.c
   M /trunk/nio-ie5.c
   M /trunk/rawshark.c
   M /trunk/tap-stats_tree.c
   M /trunk/util.c
   M /trunk/version_info.c
   M /trunk/wiretap/eyesdn.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25249 | jake | 2008-05-06 22:58:42 -0700 (Tue, 06 May 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c

From Peter Kjellerstedt:
For some reason only the first eight interleaved RTSP channels are supported by 
epan/dissectors/packet-rtsp.c. This is a problem for us as one of our servers use 
the channel numbers in a round robin fashion and will thus use all 256 channels.
------------------------------------------------------------------------
r25250 | tuexen | 2008-05-06 23:23:03 -0700 (Tue, 06 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c

Comment out condition which is always true (based on the
choosen data types).

------------------------------------------------------------------------
r25251 | martinm | 2008-05-07 03:22:48 -0700 (Wed, 07 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c

Select correct bytes range for Algorithms tree.




------------------------------------------------------------------------
r25252 | kukosa | 2008-05-07 06:15:24 -0700 (Wed, 07 May 2008) | 1 line
Changed paths:
   M /trunk/config.nmake

Enable PCAP_REMOTE by default
------------------------------------------------------------------------
r25253 | wmeier | 2008-05-07 10:57:45 -0700 (Wed, 07 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c

Fix a few typos ....

------------------------------------------------------------------------
r25254 | etxrab | 2008-05-07 22:16:33 -0700 (Wed, 07 May 2008) | 1 line
Changed paths:
   M /trunk/wiretap/cosine.c
   M /trunk/wiretap/iseries.c
   M /trunk/wiretap/netscreen.c
   M /trunk/wiretap/network_instruments.c
   M /trunk/wiretap/visual.c
   M /trunk/wiretap/vms.c

strncpy -> g_strlcpy
------------------------------------------------------------------------
r25255 | etxrab | 2008-05-07 22:42:59 -0700 (Wed, 07 May 2008) | 1 line
Changed paths:
   M /trunk/epan/camel-persistentdata.c

Use PROTO_ITEM_SET_HIDDEN().
------------------------------------------------------------------------
r25256 | martinm | 2008-05-08 02:17:04 -0700 (Thu, 08 May 2008) | 4 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Use g_strlcpy() rather than strcpy(), strncpy().



------------------------------------------------------------------------
r25257 | martinm | 2008-05-08 02:37:11 -0700 (Thu, 08 May 2008) | 2 lines
Changed paths:
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wiretap/iseries.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/nettl.c

From Anders:  Checkapi enabled for wiretap and more functions converted.

------------------------------------------------------------------------
r25258 | martinm | 2008-05-08 07:01:31 -0700 (Thu, 08 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mgcp.c
   M /trunk/epan/dissectors/packet-nntp.c
   M /trunk/epan/dissectors/packet-rfc2190.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-zebra.c

Stop using deprecated functions identified by checkAPIs script.




------------------------------------------------------------------------
r25259 | etxrab | 2008-05-08 11:24:08 -0700 (Thu, 08 May 2008) | 1 line
Changed paths:
   M /trunk/plugins/Makefile.nmake
   M /trunk/plugins/easy_codec/easy_codec_plugin.c
   M /trunk/plugins/ethercat/packet-ecatmb.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/irda/packet-ircomm.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/lwres/packet-lwres.c
   M /trunk/plugins/stats_tree/Makefile.nmake
   M /trunk/plugins/wimax/Makefile.nmake
   M /trunk/tools/checkAPIs.pl

Run checkAPI in plugins dir.
------------------------------------------------------------------------
r25260 | etxrab | 2008-05-09 00:07:50 -0700 (Fri, 09 May 2008) | 3 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/ethercat/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/sbus/packet-sbus.c
   M /trunk/tools/wireshark_gen.py

Use PROTO_ITEM_SET_HIDDEN().
Fix ID marking
Add checkapi to makefiles
------------------------------------------------------------------------
r25261 | etxrab | 2008-05-09 04:59:44 -0700 (Fri, 09 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/gtk/voip_calls.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25262 | stig | 2008-05-09 05:54:49 -0700 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c

Include string.h

------------------------------------------------------------------------
r25263 | stig | 2008-05-09 05:55:37 -0700 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Fix a typo: strl -> strlen

------------------------------------------------------------------------
r25264 | etxrab | 2008-05-09 06:59:10 -0700 (Fri, 09 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/dissectors/packet-acap.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-sctp.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25265 | guy | 2008-05-09 09:15:22 -0700 (Fri, 09 May 2008) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

sprintf() and strtoul() are massive overkill for turning a string of hex
digits into a string of characters; use g_ascii_xdigit_value() to
convert individual hex digit characters to their hex value - and check
whether it succeeds or not, so we catch invalid hex digits! - and just
append the resulting byte value to the string.

Handle the case where compute_ascii_key() fails.

------------------------------------------------------------------------
r25266 | guy | 2008-05-09 09:30:05 -0700 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

Null-terminate the hex-to-text-converted string.

------------------------------------------------------------------------
r25267 | martinm | 2008-05-09 10:46:45 -0700 (Fri, 09 May 2008) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Add a couple of missing HS-DSCH data frame fields.






------------------------------------------------------------------------
r25268 | guy | 2008-05-09 11:45:22 -0700 (Fri, 09 May 2008) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

Redo the loops a bit; that fixes an uninitialized variable, and moves
the increments a bit closer to the point of use.

(XXX - is there more than one place where we turn a sequence of hex
digits into a string?  If so, we should make it a common utility.)

------------------------------------------------------------------------
r25269 | jake | 2008-05-09 23:25:07 -0700 (Fri, 09 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Steve Karg:
Corrected decode of a BACnet ReadRange request with no range specified (i.e. all) 
which showed ?\226?\128?\152malformed packet?\226?\128?\153 in the decoder.
------------------------------------------------------------------------
r25270 | jake | 2008-05-10 07:44:32 -0700 (Sat, 10 May 2008) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake
   A /trunk/plugins/sercosiii
   A /trunk/plugins/sercosiii/AUTHORS
   A /trunk/plugins/sercosiii/COPYING
   A /trunk/plugins/sercosiii/Makefile.am
   A /trunk/plugins/sercosiii/Makefile.common
   A /trunk/plugins/sercosiii/Makefile.nmake
   A /trunk/plugins/sercosiii/moduleinfo.h
   A /trunk/plugins/sercosiii/moduleinfo.nmake
   A /trunk/plugins/sercosiii/packet-sercosiii.h
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_at.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_at_devstat.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_hp.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt_devctrl.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_mst.c
   A /trunk/plugins/sercosiii/packet-sercosiii_1v1_svc.c
   A /trunk/plugins/sercosiii/plugin.rc.in

From Hans-Peter Bock:
Attached to this post you find a patch for integration into wireshark that adds
a dissector for SERCOS III, ethertype 0x88cd.
------------------------------------------------------------------------
r25271 | martinm | 2008-05-10 17:46:25 -0700 (Sat, 10 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Added HS-DSCH data frame type 2 (currently only compile-tested).
------------------------------------------------------------------------
r25272 | martinm | 2008-05-10 18:09:30 -0700 (Sat, 10 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.h

Add define for new channel type.
------------------------------------------------------------------------
r25273 | wmeier | 2008-05-11 10:18:59 -0700 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-erf.c

Convert C++ style comments ...

------------------------------------------------------------------------
r25274 | wmeier | 2008-05-11 10:27:41 -0700 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_683.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-pkcs12.c

Fix some of the Errors/warnings detected by checkapi

------------------------------------------------------------------------
r25275 | stig | 2008-05-11 11:03:22 -0700 (Sun, 11 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h
   M /trunk/gtk/wlan_stat_dlg.c

Sort list before thaw to avoid flicker when doing capture.
Save pane size in recent.

------------------------------------------------------------------------
r25276 | wmeier | 2008-05-11 11:33:49 -0700 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/capture-pcap-util-unix.c
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dtd_grammar.lemon
   M /trunk/epan/dtd_parse.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/radius_dict.l
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/gtk/capture_if_details_dlg_win32.c
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c

g_string_sprintf --> g_string_printf and g_string_sprintfa --> g_string_append_printf

------------------------------------------------------------------------
r25277 | martinm | 2008-05-12 09:25:49 -0700 (Mon, 12 May 2008) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

HS-DSCH type 2 bug fix + prettification.







------------------------------------------------------------------------
r25278 | kukosa | 2008-05-12 12:13:55 -0700 (Mon, 12 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

Update to WpdPack 4.0.2 and NASM 2.02
------------------------------------------------------------------------
r25279 | gerald | 2008-05-12 12:41:32 -0700 (Mon, 12 May 2008) | 3 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/trigcap.c

If we have pcap_open, call it instead of pcap_open_live, otherwise we might
crash. The changes to trigcap.c haven't been tested, but _should_ work.

------------------------------------------------------------------------
r25280 | stig | 2008-05-12 13:33:49 -0700 (Mon, 12 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/sercosiii

Added svn:ignore targets.

------------------------------------------------------------------------
r25281 | stig | 2008-05-12 15:45:08 -0700 (Mon, 12 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Added an option to limit the list to match the current display filter.

------------------------------------------------------------------------
r25282 | wmeier | 2008-05-12 18:23:37 -0700 (Mon, 12 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-ff.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-icap.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tns.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25283 | etxrab | 2008-05-12 23:55:45 -0700 (Mon, 12 May 2008) | 1 line
Changed paths:
   M /trunk/capture-pcap-util-unix.c
   M /trunk/conditions.c
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/tap-iousers.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25284 | etxrab | 2008-05-13 00:26:20 -0700 (Tue, 13 May 2008) | 1 line
Changed paths:
   M /trunk/text2pcap.c
   M /trunk/trigcap.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25285 | kukosa | 2008-05-13 00:39:23 -0700 (Tue, 13 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/gtk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Update to Portaudio pa_stable_v19_20071207
------------------------------------------------------------------------
r25286 | morriss | 2008-05-13 05:49:32 -0700 (Tue, 13 May 2008) | 1 line
Changed paths:
   M /trunk/tools/checkAPIs.pl

Update comments.
------------------------------------------------------------------------
r25287 | etxrab | 2008-05-13 12:05:03 -0700 (Tue, 13 May 2008) | 2 lines
Changed paths:
   M /trunk/wiretap/k12text.l

From:   Luis Ontanon
Fix errors from checkapi.
------------------------------------------------------------------------
r25288 | etxrab | 2008-05-13 12:05:35 -0700 (Tue, 13 May 2008) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wiretap/ascend-scanner.l

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25289 | sake | 2008-05-13 15:45:04 -0700 (Tue, 13 May 2008) | 7 lines
Changed paths:
   M /trunk/epan/follow.c

Fix the tcp reassembly routine in epan/follow.c :

- Don't do '<gulongvar>-<gulongvar> > 0' as it will always be true :-)
- Handle the case where a segment is partially retransmitted



------------------------------------------------------------------------
r25290 | wmeier | 2008-05-13 18:47:41 -0700 (Tue, 13 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-ftp.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-imap.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-jabber.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-lpd.c
   M /trunk/epan/dissectors/packet-pcep.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-radiotap.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rsh.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-srp.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-udp.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25291 | jake | 2008-05-13 22:44:42 -0700 (Tue, 13 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-cimetrics.c
   M /trunk/epan/dissectors/packet-llc.c
   A /trunk/epan/dissectors/packet-mstp.c
   A /trunk/epan/dissectors/packet-mstp.h
   M /trunk/epan/oui.h

From Steve Karg:
Added MS/TP decoding for the WTAP BACnet MS/TP datalink, and added decoding for
BACnet MS/TP datalink from a Cimetrics U+4 which spews SNAP protocol packets.
------------------------------------------------------------------------
r25292 | jake | 2008-05-13 22:52:32 -0700 (Tue, 13 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

From cfreeer:
The offset need to be increased while decoding.
------------------------------------------------------------------------
r25293 | kukosa | 2008-05-13 23:22:07 -0700 (Tue, 13 May 2008) | 8 lines
Changed paths:
   M /trunk/gtk/rtp_player.c

From Alejandro Vaquero:
Added a new checkbox for the RTP player to use the RTP timing instead of the
arriving time of the packets. This is useful when the RTP is being tunneled
(e.g. EtherIP), so the original timing is missing.
In some cases when encapsulating the original IP/RTP over EtherIP, the
encapsulated data comes in chunks of 1sec, so it is useful to use the RTP
timing to play it. In these cases we can not simulate jitter buffer, so this is
disabled when checking the new "Use RTP timestamp" option.
------------------------------------------------------------------------
r25294 | etxrab | 2008-05-14 00:35:52 -0700 (Wed, 14 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cigi.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25295 | etxrab | 2008-05-14 01:01:33 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Do not export the depreciated functions proto_tree_add_xx_hidden()
any more.
------------------------------------------------------------------------
r25296 | stig | 2008-05-14 01:38:58 -0700 (Wed, 14 May 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

From cfreeer (bug 2540):
Corrected use of hf_snp_auth_policy_support.

------------------------------------------------------------------------
r25297 | stig | 2008-05-14 01:46:47 -0700 (Wed, 14 May 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

From cfreeer (bug 2541):
Add tlv_tree for PKM_FLOW_CONTROL and MAX_SUPPT_SECURITY_ASSNS.

------------------------------------------------------------------------
r25298 | kukosa | 2008-05-14 03:21:41 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/irda/packet-sir.c

From Anders Broman:
Patches for broken build
------------------------------------------------------------------------
r25299 | kukosa | 2008-05-14 03:25:18 -0700 (Wed, 14 May 2008) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.nmake

do not use * wildcard which is not supported by Windows commandline
------------------------------------------------------------------------
r25300 | kukosa | 2008-05-14 03:48:59 -0700 (Wed, 14 May 2008) | 1 line
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

fix missing brackets causing uninitialized hidden_item
------------------------------------------------------------------------
r25301 | stig | 2008-05-14 03:56:31 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Force foreground when background is forced on welcome page.

------------------------------------------------------------------------
r25302 | stig | 2008-05-14 04:02:39 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c

Initialize aitem.

------------------------------------------------------------------------
r25303 | gerald | 2008-05-14 14:36:55 -0700 (Wed, 14 May 2008) | 3 lines
Changed paths:
   M /trunk/conditions.c

When we copy strings, don't lop off the last character. Add a couple of
warning messages.

------------------------------------------------------------------------
r25304 | gerald | 2008-05-14 15:59:14 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/README

Remove some long-dead links.

------------------------------------------------------------------------
r25305 | wmeier | 2008-05-14 18:44:53 -0700 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-dcc.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-megaco.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25306 | wmeier | 2008-05-15 05:08:20 -0700 (Thu, 15 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mtp3.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25307 | wmeier | 2008-05-15 05:54:27 -0700 (Thu, 15 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-qllc.c
   M /trunk/epan/dissectors/packet-rpl.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-slimp3.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25308 | wmeier | 2008-05-15 06:22:06 -0700 (Thu, 15 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-wsp.c

Fix some of the Errors/warnings detected by checkapi.

------------------------------------------------------------------------
r25309 | kukosa | 2008-05-15 23:53:15 -0700 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh

Update GnuTls to gnutls-2.3.8-1
------------------------------------------------------------------------
r25310 | etxrab | 2008-05-16 09:34:23 -0700 (Fri, 16 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-megaco.c

If H.248 is in otp internal format call the h248_otp dissector, work in progress.
------------------------------------------------------------------------
r25311 | stig | 2008-05-17 15:54:29 -0700 (Sat, 17 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/filter_utils.c
   A /trunk/gtk/filter_utils.h

Added a common function to apply a selected filter according to 
values from a context menu.

------------------------------------------------------------------------
r25312 | stig | 2008-05-17 15:57:53 -0700 (Sat, 17 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

- Use the common function for applying a selected filter.
- Enhanced the percent column to show a progress bar.

------------------------------------------------------------------------
r25313 | stig | 2008-05-17 15:59:52 -0700 (Sat, 17 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

- Don't create illegal filter from context menu.
- Use filter defines from common header file.

------------------------------------------------------------------------
r25314 | stig | 2008-05-17 16:01:28 -0700 (Sat, 17 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/service_response_time_table.c

- Use the common function for applying a selected filter.

------------------------------------------------------------------------
r25315 | stig | 2008-05-17 16:03:17 -0700 (Sat, 17 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/hostlist_table.c

- Use the common function for applying a selected filter.
- Allocate data for filter string instead of using a static array.

------------------------------------------------------------------------
r25316 | stig | 2008-05-17 16:08:36 -0700 (Sat, 17 May 2008) | 5 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

- Rewrote to use GtkTreeView instead of GtkCList.
- Use the common function for applying a selected filter.
- Put a frame around the two tables.
- Enhanced the percent columns to show a progress bar.

------------------------------------------------------------------------
r25317 | sfisher | 2008-05-17 16:40:07 -0700 (Sat, 17 May 2008) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-oicq.c


Fix bug #2531: UDP packet on port 8000 incorrectly dissected as OICQ protocol.

Changed OICQ dissector to be a new style dissector that checks to make sure
two of the fields match defined string values before continuing dissection.


------------------------------------------------------------------------
r25318 | stig | 2008-05-18 12:49:12 -0700 (Sun, 18 May 2008) | 3 lines
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

Added check for GTK 2.6.0 for gtk_cell_renderer_progress_new()
Switched columns for percent text and percent value.

------------------------------------------------------------------------
r25319 | stig | 2008-05-18 13:09:03 -0700 (Sun, 18 May 2008) | 5 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Added check for GTK 2.6.0 for gtk_cell_render_progress_new()
Switched columns for percent text and percent value.
Fixed generated filter for BSSID and/or SSID.
Fix for merging elements with only BSSID or SSID.

------------------------------------------------------------------------
r25320 | stig | 2008-05-19 04:51:48 -0700 (Mon, 19 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Fixed percent sorting and export to csv after text-value switch in last commit.

------------------------------------------------------------------------
r25321 | jake | 2008-05-19 23:28:12 -0700 (Mon, 19 May 2008) | 1 line
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/ptvcursor.h

Clean up PTV cursor documentation.
------------------------------------------------------------------------
r25322 | jake | 2008-05-19 23:29:11 -0700 (Mon, 19 May 2008) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add PTV cursor API to Win32 exported functions
------------------------------------------------------------------------
r25323 | jake | 2008-05-19 23:52:22 -0700 (Mon, 19 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cimetrics.c
   M /trunk/epan/dissectors/packet-mstp.c
   M /trunk/epan/dissectors/packet-mstp.h

From Steve Karg:
Added src and dst to BACnet MS/TP WTAP dissector.  Added BACnet MS/TP summary
with src, dst, and frame type to tree.  Removed src and dst in column info text
since this was duplicated.  Changed field names for src, dst, hdr, and len to
be more consistent with other protocols.
------------------------------------------------------------------------
r25324 | martinm | 2008-05-20 02:22:06 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Minor formatting improvements.

------------------------------------------------------------------------
r25325 | martinm | 2008-05-20 02:26:00 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/dtds/watcherinfo.dtd

Trivial: line up attributes

------------------------------------------------------------------------
r25326 | martinm | 2008-05-20 03:08:28 -0700 (Tue, 20 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   A /trunk/epan/dissectors/packet-pdcp.h
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h
   M /trunk/wiretap/catapult_dct2000.c

Enable FP R7 support.

This commit adds a header file needed by my PDCP dissector.
(not yet ready to be added).

------------------------------------------------------------------------
r25327 | morriss | 2008-05-20 07:30:01 -0700 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /trunk/epan/ftypes/Makefile.am
   M /trunk/wiretap/Makefile.am

Undo rev 24518 and (re)fix http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2291 .
------------------------------------------------------------------------
r25328 | martinm | 2008-05-20 09:36:29 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

When extending values, extra bits are always m.s.

------------------------------------------------------------------------
r25329 | jake | 2008-05-20 13:06:03 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pim.c

Fix for bug 2554:
Implement PIM-DM type 9 message.
------------------------------------------------------------------------
r25330 | morriss | 2008-05-20 14:51:01 -0700 (Tue, 20 May 2008) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/asn1/mpeg-audio/packet-mpeg-audio-template.c
   M /trunk/configure.in
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/image/Makefile.nmake
   A /trunk/image/libwsutil.rc.in
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wiretap/libwiretap.vcproj
   D /trunk/wiretap/mpeg-audio.c
   D /trunk/wiretap/mpeg-audio.h
   M /trunk/wiretap/mpeg.c
   M /trunk/wiretap/wtap.def
   A /trunk/wsutil
   A /trunk/wsutil/Makefile.am
   A /trunk/wsutil/Makefile.nmake
   A /trunk/wsutil/libwsutil.def
   A /trunk/wsutil/mpeg-audio.c (from /trunk/wiretap/mpeg-audio.c:25320)
   A /trunk/wsutil/mpeg-audio.h (from /trunk/wiretap/mpeg-audio.h:25320)

Create a new "Wireshark utility" library and move the mpeg-audio stuff from
wiretap to this new libwsutil.  This solves
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1677 by making libwireshark
no longer depend on libwiretap.

------------------------------------------------------------------------
r25331 | ulfl | 2008-05-20 14:57:14 -0700 (Tue, 20 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.h

the define INET6_ADDRSTRLEN makes trouble with Microsoft Platform SDK: ws2tcpip.h and is used nowhere (with the exception of to_str.c which has it's own definition)

comment out this definition

If I made a mistake and it's really used somewhere, we could add #ifndef INET6_ADDRSTRLEN as it's done in to_str.c
------------------------------------------------------------------------
r25332 | morriss | 2008-05-20 14:58:11 -0700 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.nmake

Use the correct name for libwsutil
------------------------------------------------------------------------
r25333 | wmeier | 2008-05-20 16:41:10 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

Use the correct name for libwsutil

------------------------------------------------------------------------
r25334 | wmeier | 2008-05-20 16:50:10 -0700 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Create temporary empty checkapi target so no Windows buildbo build error  

------------------------------------------------------------------------
r25335 | etxrab | 2008-05-20 22:41:39 -0700 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /trunk/asn1/h225/Makefile.nmake
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h235/Makefile.nmake
   M /trunk/asn1/h235/h235.cnf
   M /trunk/asn1/h450/Makefile.nmake
   M /trunk/asn1/h450/h450.cnf
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/asn1/q932/Makefile.nmake
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/qsig/Makefile.nmake
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25336 | etxrab | 2008-05-20 22:52:12 -0700 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25337 | etxrab | 2008-05-20 23:10:27 -0700 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25338 | stig | 2008-05-21 05:35:05 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/osx-dmg.sh

Fetch version from correct variable, after changes done in r25232.

------------------------------------------------------------------------
r25339 | morriss | 2008-05-21 07:18:37 -0700 (Wed, 21 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c

Fix http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2549 : make the frame dissector catch exceptions generated by post dissectors.
------------------------------------------------------------------------
r25340 | wmeier | 2008-05-21 07:27:31 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Only Glib/GTK+ >= 2.4/2.4 supported; checkAPIs.pl should be used to verify code.

------------------------------------------------------------------------
r25341 | wmeier | 2008-05-21 07:49:50 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Check for a few addt'l functions...

------------------------------------------------------------------------
r25342 | wmeier | 2008-05-21 09:40:15 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h

Add missing have_postdissector(); (Hopefully what was intended).

------------------------------------------------------------------------
r25343 | wmeier | 2008-05-21 09:53:07 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c

Fix for bug #2470; (don't memcmp past end of g_malloc'd buffer).

------------------------------------------------------------------------
r25344 | wmeier | 2008-05-21 09:56:50 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h

boolean -> gboolean

------------------------------------------------------------------------
r25345 | wmeier | 2008-05-21 11:08:43 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c

Reword comment a bit ...

------------------------------------------------------------------------
r25346 | wmeier | 2008-05-21 12:46:22 -0700 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Fix typo

------------------------------------------------------------------------
r25347 | morriss | 2008-05-21 13:20:37 -0700 (Wed, 21 May 2008) | 1 line
Changed paths:
   M /trunk/epan/packet.c

A slightly more complicated have_postdissector() (missed in my previous checkin--thanks Bill) which also checks if the postdissectors are enabled.
------------------------------------------------------------------------
r25348 | etxrab | 2008-05-21 13:27:15 -0700 (Wed, 21 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/codecs/Makefile.nmake

Let the buildbot run a some of the checkapi targets.
------------------------------------------------------------------------
r25349 | martinm | 2008-05-22 02:29:29 -0700 (Thu, 22 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Calculate and display SIP response time.
------------------------------------------------------------------------
r25350 | stig | 2008-05-22 02:36:01 -0700 (Thu, 22 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Initialize response_time.

------------------------------------------------------------------------
r25351 | stig | 2008-05-22 03:34:32 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/packaging/macosx/ScriptExec/ScriptExec.xcodeproj/project.pbxproj

Set SYMROOT to make osx-package work correctly on my computers.
Hopefully this will not break the buildbot.

------------------------------------------------------------------------
r25352 | stig | 2008-05-22 04:41:00 -0700 (Thu, 22 May 2008) | 2 lines
Changed paths:
   M /trunk/colorfilters

Fix multicast address for "TTL low or unexpected".

------------------------------------------------------------------------
r25353 | stig | 2008-05-22 05:04:03 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/colorfilters

Note to self: read documentation first.
Reverted previous change...

------------------------------------------------------------------------
r25354 | morriss | 2008-05-22 08:46:27 -0700 (Thu, 22 May 2008) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/capture.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/color_filters.c
   M /trunk/disabled_protos.c
   M /trunk/dumpcap.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-tpncp.c
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/emem.c
   M /trunk/epan/filesystem.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/plugins.c
   M /trunk/epan/prefs.c
   M /trunk/epan/radius_dict.l
   M /trunk/epan/uat.c
   M /trunk/epan/uat_load.l
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/file.c
   M /trunk/fileset.c
   M /trunk/filters.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/export_object.c
   M /trunk/gtk/firewall_dlg.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/mcast_stream.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_win32.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/gtk/text_page_utils.c
   M /trunk/gtk/u3.c
   M /trunk/mergecap.c
   M /trunk/mkstemp.c
   M /trunk/plugins/agentx/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/easy_codec/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/ethercat/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/infiniband/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/m2m/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/opcua/Makefile.nmake
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/sbus/Makefile.nmake
   M /trunk/plugins/sercosiii/Makefile.nmake
   M /trunk/plugins/stats_tree/Makefile.nmake
   M /trunk/plugins/tpg/Makefile.nmake
   M /trunk/plugins/unistim/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake
   M /trunk/plugins/wimax/Makefile.nmake
   M /trunk/plugins/wimaxasncp/Makefile.nmake
   M /trunk/plugins/wimaxasncp/wimaxasncp_dict.l
   M /trunk/print.c
   M /trunk/rawshark.c
   M /trunk/ringbuffer.c
   M /trunk/tempfile.c
   M /trunk/text2pcap.c
   M /trunk/tools/checkAPIs.pl
   M /trunk/tshark.c
   M /trunk/update.c
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wiretap/ascend.c
   M /trunk/wiretap/file_access.c
   D /trunk/wiretap/file_util.c
   D /trunk/wiretap/file_util.h
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/libwiretap.vcproj
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.def
   M /trunk/wsutil/Makefile.am
   M /trunk/wsutil/Makefile.nmake
   A /trunk/wsutil/file_util.c (from /trunk/wiretap/file_util.c:25353)
   A /trunk/wsutil/file_util.h (from /trunk/wiretap/file_util.h:25353)
   M /trunk/wsutil/libwsutil.def

Move the file utility functions from wiretap to libwsutil so that
libwireshark (and the plugins using those functions) do not depend on
wiretap on Windows.

While doing that, rename the eth_* functions to ws_*.

------------------------------------------------------------------------
r25355 | sahlberg | 2008-05-22 17:21:58 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

iupdates to the dissection of READ and LOCK for smb2


------------------------------------------------------------------------
r25356 | wmeier | 2008-05-22 17:25:20 -0700 (Thu, 22 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

Set for automatic overwrite for xcopy of mkstemp.c, etc

------------------------------------------------------------------------
r25357 | guy | 2008-05-22 17:54:59 -0700 (Thu, 22 May 2008) | 2 lines
Changed paths:
   M /trunk/wiretap/Makefile.am

file_util.c isn't part of Wiretap any more.

------------------------------------------------------------------------
r25358 | sahlberg | 2008-05-22 18:07:22 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

update to the ioctl dissector


------------------------------------------------------------------------
r25359 | sahlberg | 2008-05-22 18:28:11 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

updte the CLOSE dissector


------------------------------------------------------------------------
r25360 | guy | 2008-05-22 19:09:48 -0700 (Thu, 22 May 2008) | 2 lines
Changed paths:
   M /trunk/wsutil/Makefile.am
   A /trunk/wsutil/Makefile.common
   M /trunk/wsutil/Makefile.nmake

Add a Makefile.common file, and have Makefile.am and Makefile.nmake use it.

------------------------------------------------------------------------
r25361 | sfisher | 2008-05-22 19:12:22 -0700 (Thu, 22 May 2008) | 5 lines
Changed paths:
   M /trunk/gtk/follow_stream.c


Remove backward compability code for GTK 2.2.1 and lower since we only
support GTK 2.4+ now.


------------------------------------------------------------------------
r25362 | guy | 2008-05-22 19:15:27 -0700 (Thu, 22 May 2008) | 4 lines
Changed paths:
   M /trunk/wsutil/Makefile.am
   M /trunk/wsutil/Makefile.common
   M /trunk/wsutil/Makefile.nmake
   M /trunk/wsutil/file_util.c

file_util.c is only for Windows; don't build it on UN*X.  Put in a check
to cause it to fail when built on UN*X, and get rid of code that's not
needed on Windows.

------------------------------------------------------------------------
r25363 | sfisher | 2008-05-22 19:33:24 -0700 (Thu, 22 May 2008) | 6 lines
Changed paths:
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h


Change references to follow TCP stream to just follow stream to reflect
the multi-purpose nature of the follow_stream.c code (you can also follow
SSL and UDP streams with it.)


------------------------------------------------------------------------
r25364 | sahlberg | 2008-05-22 19:51:14 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

update the dissection of NOTIFY


------------------------------------------------------------------------
r25365 | sahlberg | 2008-05-22 21:20:54 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

enhance the FIND dissector


------------------------------------------------------------------------
r25366 | sahlberg | 2008-05-22 21:44:23 -0700 (Thu, 22 May 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

add dissectors for some more FIND info levels FileBothDirectoryInfo and
FileIdBothDirectoryInfo


------------------------------------------------------------------------
r25367 | jake | 2008-05-22 22:36:09 -0700 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/plugins/wimax/wimax_utils.c

From cfreeer:
Wimax vals_tek_encryption_ids does not confirm the latest spec. Zero should be
"No TEK encryption" instead of "Reserved".
------------------------------------------------------------------------
r25368 | etxrab | 2008-05-22 22:55:34 -0700 (Thu, 22 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/dumpcap.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/crypt/Makefile.common
   M /trunk/epan/crypt/Makefile.nmake
   M /trunk/epan/emem.c
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/Makefile.nmake

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25369 | etxrab | 2008-05-22 23:06:33 -0700 (Thu, 22 May 2008) | 1 line
Changed paths:
   M /trunk/epan/uat.c

Fix some of the Errors/warnings detected by checkapi.
------------------------------------------------------------------------
r25370 | wmeier | 2008-05-23 03:43:04 -0700 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

eth_   -->    ws_

------------------------------------------------------------------------
r25371 | sahlberg | 2008-05-23 04:31:01 -0700 (Fri, 23 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

add more dissection of FIND infolevels

update the BREAK dissection


------------------------------------------------------------------------
r25372 | stig | 2008-05-23 06:14:08 -0700 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.am

Attempt to fix the !win32 build.

------------------------------------------------------------------------
r25373 | stig | 2008-05-23 07:51:17 -0700 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/range_utils.c

Print correct number of packets for captured "From first to last marked packet".

------------------------------------------------------------------------
r25374 | jake | 2008-05-23 12:06:16 -0700 (Fri, 23 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-generic.c

From Alex Turbov:
Dissector for given SNAC has a bug with actual sizeof of rate_class and
rate_group structure. So in UI clicking on 'Available Rate Classes' and
concrete 'Rate Group 0x??' items in decoded packet window higlight incorrect
bytes in hexdump window.
------------------------------------------------------------------------
r25375 | jake | 2008-05-23 12:07:46 -0700 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-aim.h

From Alex Turbov:
Show result code of last SSI operation with a human readable description.
------------------------------------------------------------------------
r25376 | martinm | 2008-05-25 16:12:56 -0700 (Sun, 25 May 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

More R7 tweaks and comment updates.
------------------------------------------------------------------------
r25377 | martinm | 2008-05-25 16:55:36 -0700 (Sun, 25 May 2008) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add these functions as requested in bug 2553.
------------------------------------------------------------------------
r25378 | sahlberg | 2008-05-25 19:51:36 -0700 (Sun, 25 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

dissect te lock structures in the LOCK request


------------------------------------------------------------------------
r25379 | martinm | 2008-05-26 01:22:33 -0700 (Mon, 26 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Show ops, etc even when no filter set.
Also avoid crash I was seeing when changing preferences.
------------------------------------------------------------------------
r25380 | etxrab | 2008-05-26 10:09:03 -0700 (Mon, 26 May 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/asn1/camel/Makefile.nmake

Fix run checkapi for more targets.
------------------------------------------------------------------------
r25381 | jake | 2008-05-26 13:52:38 -0700 (Mon, 26 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lapd.c

From Balint Reczey:
The attached patch extends LAPD dissector to handle LAPD frames sent as RTP payload.
------------------------------------------------------------------------
r25382 | wmeier | 2008-05-26 19:14:14 -0700 (Mon, 26 May 2008) | 2 lines
Changed paths:
   M /trunk/plugins/Makefile.nmake

Do plugins Checkapi only if the checkapi target is explicitly invoked.

------------------------------------------------------------------------
r25383 | martinm | 2008-05-27 03:24:25 -0700 (Tue, 27 May 2008) | 11 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Fix subtle bugs introduced by recent change to safer APIs.

I was counting the length without the terminating NULL, and didn't want one to be written to the string and copied into the file.








------------------------------------------------------------------------
r25384 | martinm | 2008-05-27 03:58:15 -0700 (Tue, 27 May 2008) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Enable R7 FP for UDP-based variants.
Correct interpretation of hs-dsch outhdr flag.









------------------------------------------------------------------------
r25385 | martinm | 2008-05-27 04:13:57 -0700 (Tue, 27 May 2008) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix max pdu size in hsdsch alloc type 2.










------------------------------------------------------------------------
r25386 | martinm | 2008-05-27 09:08:08 -0700 (Tue, 27 May 2008) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Type 2 hsdsch data is different (size in bytes and byte-aligned).











------------------------------------------------------------------------
r25387 | martinm | 2008-05-27 12:00:47 -0700 (Tue, 27 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Missed "bytes" -> "bits" changes.

------------------------------------------------------------------------
r25388 | morriss | 2008-05-28 08:01:16 -0700 (Wed, 28 May 2008) | 9 lines
Changed paths:
   M /trunk/wiretap/iseries.c

Always set pkt_encap, not just when we have the start date.  This bug, around
since rev 17756, meant that attempts to read iSeries files would fail in the
"Make sure it [pkt_encap] is not WTAP_ENCAP_PER_PACKET" assertion in
wtap_read().

Also set file_encap to WTAP_ENCAP_ETHERNET (instead of WTAP_ENCAP_PER_PACKET)
since it seems that all the packets in iSeries files are Ethernet (or at least
this module currently only supports Ethernet).

------------------------------------------------------------------------
r25389 | morriss | 2008-05-28 08:36:29 -0700 (Wed, 28 May 2008) | 1 line
Changed paths:
   M /trunk/tools/fuzz-test.sh

Fail the fuzz test (reporting the *input* file as a problem) if capinfos aborts out--like it was for iSeries files prior to rev 25388.
------------------------------------------------------------------------
r25390 | gerald | 2008-05-28 11:52:31 -0700 (Wed, 28 May 2008) | 2 lines
Changed paths:
   M /trunk/configure.in

Print "POSIX capabilities" instead of "libcap".

------------------------------------------------------------------------
r25391 | guy | 2008-05-29 09:51:49 -0700 (Thu, 29 May 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Note underflow/overflow possibilities (there used to be checks that
clamped at TIME_T_MIN and TIME_T_MAX, but newer versions of GCC
"helpfully" warn that the usual checks for overflow or underflow "can't
fail").

------------------------------------------------------------------------
r25392 | guy | 2008-05-29 16:30:51 -0700 (Thu, 29 May 2008) | 14 lines
Changed paths:
   M /trunk/wiretap/iseries.c

Have iseries_parse_hex_string() take a "const char *" as its first
argument, as

	1) it doesn't modify the string that argument points to

and

	2) it's a buffer of "char".

Use g_ascii_xdigit_value() and put the values of the two bytes together
ourselves; strtoul() is a bit of overkill for two-hex-digit pairs. 
While we're at it, check for invalid hex digits, and for bytes where
only one hex digit is present.

------------------------------------------------------------------------
r25393 | guy | 2008-05-29 16:40:12 -0700 (Thu, 29 May 2008) | 5 lines
Changed paths:
   M /trunk/wiretap/k12text.l

Fix the types of k12text_read() and k12text_seek_read() to match what
the types of read and seek_read routines in Wiretap are supposed to be,
and get rid of the casts of pointers to those functions (type problems
should be fixed, not papered over with casts, whenver possible).

------------------------------------------------------------------------
r25394 | guy | 2008-05-29 16:53:19 -0700 (Thu, 29 May 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

For a character string, use an array of char, not an array of guint8
(the characters are all digits), and, to point to it, use a pointer to
char rather than a pointer to guint8.

------------------------------------------------------------------------
r25395 | guy | 2008-05-29 17:01:24 -0700 (Thu, 29 May 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-arp.c

A MAC address is a sequence of 6 8-bit unsigned values (guint8), not a
sequence of 6 ASCII characters (gchar).

------------------------------------------------------------------------
r25396 | guy | 2008-05-29 18:47:57 -0700 (Thu, 29 May 2008) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

Fix references to tcpdump-workers@tcpdump.org to refer to the new
address, tcpdump-workers@lists.tcpdump.org.

------------------------------------------------------------------------
r25397 | sfisher | 2008-05-29 19:13:30 -0700 (Thu, 29 May 2008) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c


From Kees Cook via bug #2577 (with minor modifications by me):

provide more detailed SSH dissection


------------------------------------------------------------------------
r25398 | guy | 2008-05-29 19:34:45 -0700 (Thu, 29 May 2008) | 5 lines
Changed paths:
   M /trunk/wiretap/k12text.l

wtap_read() and wtap_seek_read(), and thus the functions that it calls,
are expected to return a g_mallocated error string; that's why they fill
in a gchar **, not a const gchar **.  g_strdup() the argument to
KERROR(), so it's g_mallocated.

------------------------------------------------------------------------
r25399 | guy | 2008-05-29 19:37:36 -0700 (Thu, 29 May 2008) | 2 lines
Changed paths:
   M /trunk/tshark.c

Free up the err_info string returned by wtap_read().

------------------------------------------------------------------------
r25400 | guy | 2008-05-29 19:44:02 -0700 (Thu, 29 May 2008) | 5 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/editcap.c
   M /trunk/file.c

Free up the err_info string returned by wtap_read() and
wtap_seek_read().

Clean up indentation.

------------------------------------------------------------------------
r25401 | guy | 2008-05-29 21:03:32 -0700 (Thu, 29 May 2008) | 7 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h

Again, the err_info returned from wtap_read() and wtap_seek_read() is a
g_mallocated string, so it's not const.

Fix a comment to reflect reality (err_info is some additional
information about the error returned by Wiretap, e.g. some gory details
about the error, mainly useful to developers and support people).

------------------------------------------------------------------------
r25402 | guy | 2008-05-29 22:19:54 -0700 (Thu, 29 May 2008) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c

g_strcmp0() only shows up on the Intarweb in documentation for some
testing version of GLib; it doesn't appear to exist in any current
versions.  There's no need to "gracefully" handle NULL (whatever
"gracefully" means in this context - NULL compares less than any real
string?), as we already checked whether mac_name is null, and we're
comparing it against a string constant; just use strcmp().

In ssh_gslist_compare_strings(), check for null pointers for now.

strcmp() (and strcmp-alikes) don't return a boolean, they return a value
such that comparing strings with a particular operator is done by
comparing the result of strcmp() with 0 using that operator; do that, to
make it clearer that the strings are being compared for equality.

------------------------------------------------------------------------
r25403 | guy | 2008-05-29 22:46:24 -0700 (Thu, 29 May 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c

Include <string.h> to declare strcmp().

------------------------------------------------------------------------
r25404 | guy | 2008-05-30 00:13:28 -0700 (Fri, 30 May 2008) | 2 lines
Changed paths:
   M /trunk/gtk/file_dlg_win32.c

Clean up indentation.

------------------------------------------------------------------------
r25405 | guy | 2008-05-30 00:15:05 -0700 (Fri, 30 May 2008) | 2 lines
Changed paths:
   M /trunk/file.c

Return the appropriate "everything OK" types.

------------------------------------------------------------------------
r25406 | jake | 2008-05-31 09:44:02 -0700 (Sat, 31 May 2008) | 4 lines
Changed paths:
   D /trunk/debian/README.debian
   M /trunk/debian/changelog
   M /trunk/debian/compat
   M /trunk/debian/control
   D /trunk/debian/docs
   A /trunk/debian/headers-check.c
   D /trunk/debian/menu
   M /trunk/debian/patches/00list
   D /trunk/debian/patches/01_idl2deb.dpatch
   D /trunk/debian/patches/02_asn2deb.dpatch
   M /trunk/debian/patches/03_preferences.dpatch
   D /trunk/debian/patches/04_drop-capabilities.dpatch
   D /trunk/debian/patches/05_plugin-libdir.dpatch
   D /trunk/debian/patches/06_giop-buffer.dpatch
   D /trunk/debian/patches/07_gcc4.dpatch
   D /trunk/debian/patches/08_wireshark-desktop-menu.dpatch
   D /trunk/debian/patches/09_idl2wrs.dpatch
   D /trunk/debian/patches/10_wireshark_gen.dpatch
   D /trunk/debian/prerm
   M /trunk/debian/rules
   M /trunk/debian/tshark.manpages
   M /trunk/debian/wireshark-common.files
   M /trunk/debian/wireshark-common.manpages
   A /trunk/debian/wireshark-common.shlibs
   M /trunk/debian/wireshark-dev.docs
   M /trunk/debian/wireshark-dev.files
   M /trunk/debian/wireshark-dev.header-files
   M /trunk/debian/wireshark-dev.manpages
   D /trunk/debian/wireshark-dev.postinst
   M /trunk/debian/wireshark-dev.prerm
   M /trunk/debian/wireshark-root.desktop
   A /trunk/debian/wireshark.desktop
   M /trunk/debian/wireshark.files
   M /trunk/debian/wireshark.manpages
   M /trunk/debian/wireshark.menu

Update Debian packaging files for Wireshark 1.0.
These files build the package with all features and
minimum changes from the released sources.

------------------------------------------------------------------------
r25407 | sfisher | 2008-06-01 11:45:19 -0700 (Sun, 01 Jun 2008) | 4 lines
Changed paths:
   M /trunk/debian/rules


From Toralf F?\195?\182rster: Fix minor typo: MAde -> Made


------------------------------------------------------------------------
r25408 | jake | 2008-06-02 00:26:34 -0700 (Mon, 02 Jun 2008) | 2 lines
Changed paths:
   M /trunk/debian/wireshark-root.desktop
   M /trunk/debian/wireshark.desktop

Clean up desktop files based on changes made by Stig.

------------------------------------------------------------------------
r25409 | stig | 2008-06-02 00:32:55 -0700 (Mon, 02 Jun 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Rudolf Weidmann (bug 2583):
Fixed enumeration type for new-mode in change-of-life-safety.

------------------------------------------------------------------------
r25410 | stig | 2008-06-02 10:17:24 -0700 (Mon, 02 Jun 2008) | 2 lines
Changed paths:
   M /trunk/capture.c

Don't include \r in linktype on win32, it looks weird in the combo box.

------------------------------------------------------------------------
r25411 | stig | 2008-06-02 10:45:03 -0700 (Mon, 02 Jun 2008) | 4 lines
Changed paths:
   M /trunk/capture_ui_utils.c
   M /trunk/capture_ui_utils.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/prefs_capture.c

Added an option to set default link-layer header type for each interface.
Set linktype history for each interface so we don't mix them.
Fixed some indents.

------------------------------------------------------------------------
r25412 | stig | 2008-06-02 14:35:22 -0700 (Mon, 02 Jun 2008) | 2 lines
Changed paths:
   M /trunk/gtk/prefs_capture.c

Rewrote to not use gtk_combo_box_get_active_text().

------------------------------------------------------------------------
r25413 | stig | 2008-06-02 15:18:25 -0700 (Mon, 02 Jun 2008) | 4 lines
Changed paths:
   M /trunk/gtk/prefs_capture.c

Rewrote ifopts_options_add() to make it readable and simpler.
Fixed a bug where a one character comment would skip the interface.
If syntax error in the comment just skip the comment instead of the interface.

------------------------------------------------------------------------
r25414 | etxrab | 2008-06-02 22:35:19 -0700 (Mon, 02 Jun 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/epan/dfilter/dfilter.c
   M /trunk/epan/ftypes/Makefile.nmake
   M /trunk/epan/wslua/Makefile.nmake
   M /trunk/wsutil/Makefile.nmake

Fix run checkapi for more targets.
------------------------------------------------------------------------
r25415 | jake | 2008-06-03 13:41:12 -0700 (Tue, 03 Jun 2008) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ifcp.c

From Frank Schorr:
RFC 4172 section 5.3.1 shows a chart of the iFCP encapsulated Header Format.
It says that bytes 4-7 MUST be zeros.  In reality most vendors are putting some
information in these 4 bytes, particularly Nishon. This caused almost all iFCP
packets to not be decoded for this vendor.

------------------------------------------------------------------------
r25416 | jake | 2008-06-03 14:24:25 -0700 (Tue, 03 Jun 2008) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ifcp.c

From Frank Schorr:
The get_ifcp_pdu_len() call used for the tcp_dissect_pdus() call does not mask
off the frame length properly.  The result is that the "Flags" field
incorrectly becomes the high order part of the Frame Length.

------------------------------------------------------------------------
r25417 | guy | 2008-06-03 16:35:40 -0700 (Tue, 03 Jun 2008) | 2 lines
Changed paths:
   M /trunk/capture_ui_utils.c

Include <stdlib.h> to declare strtol().

------------------------------------------------------------------------
r25418 | guy | 2008-06-03 16:51:39 -0700 (Tue, 03 Jun 2008) | 4 lines
Changed paths:
   M /trunk/capture_ui_utils.c

strtol() returns a long, as the name suggests; assign its return value
to a long, and check whether it fits in a gint before returning it as a
gint.

------------------------------------------------------------------------
r25419 | guy | 2008-06-03 16:57:26 -0700 (Tue, 03 Jun 2008) | 3 lines
Changed paths:
   M /trunk/gtk/file_dlg_win32.c

GTK+ 1.2[.x] is no longer relevant - we require 2.x - so don't talk
about it in a comment.

------------------------------------------------------------------------
r25420 | guy | 2008-06-03 16:57:47 -0700 (Tue, 03 Jun 2008) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/scanner.l
   M /trunk/epan/ftypes/ftype-integer.c
   M /trunk/epan/range.c

We require GLib 2.4 or later, and they define G_MININT32, G_MAXIN32,
G_MAXUINT32, and G_MAXUINT64; don't check whether we need to define them
ourselves.

------------------------------------------------------------------------
r25421 | guy | 2008-06-03 17:05:57 -0700 (Tue, 03 Jun 2008) | 4 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

Sun C warns about an integer overflow for 1 << 31, presumably because 1
is signed; make the flags field in "struct magnify" unsigned, and make
the flags unsigned, so we shift 1U rather than 1.

------------------------------------------------------------------------
r25422 | guy | 2008-06-03 17:35:30 -0700 (Tue, 03 Jun 2008) | 2 lines
Changed paths:
   M /trunk/tools/lemon/lempar.c

Suppress some unused-argument warnings.

------------------------------------------------------------------------
r25423 | guy | 2008-06-03 18:30:40 -0700 (Tue, 03 Jun 2008) | 3 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/epan/ftypes/ftype-integer.c
   D /trunk/epan/g_ascii_strtoull.c
   D /trunk/epan/g_ascii_strtoull.h

g_ascii_strtoull() is in GLib 2.2 and later, and we require GLib 2.4 or
later, so there's no longer any need to have our own g_ascii_strtoull.

------------------------------------------------------------------------
r25424 | guy | 2008-06-03 19:12:57 -0700 (Tue, 03 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.am

Get rid of one extra reference for our own g_ascii_strtoull().

------------------------------------------------------------------------
r25425 | martinm | 2008-06-04 10:33:48 -0700 (Wed, 04 Jun 2008) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

- Make FP radio division mode/speed explicit in struct for R7
- Various R7 fixes












------------------------------------------------------------------------
r25426 | guy | 2008-06-04 11:05:45 -0700 (Wed, 04 Jun 2008) | 4 lines
Changed paths:
   M /trunk/text2pcap.c

The joys of beating header files over the head to get all the various
APIs we use declared.  We still need to define __EXTENSIONS__ on
Solaris, in order to get strptime() declared.

------------------------------------------------------------------------
r25427 | etxrab | 2008-06-04 13:34:42 -0700 (Wed, 04 Jun 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-mp4ves.c

A basic mp4v-es dissector.
------------------------------------------------------------------------
r25428 | guy | 2008-06-04 13:53:06 -0700 (Wed, 04 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mp4ves.c

Get rid of unused variable.

------------------------------------------------------------------------
r25429 | morriss | 2008-06-04 18:29:58 -0700 (Wed, 04 Jun 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Correct math for counting how many TSNs were GAP acknowledged
------------------------------------------------------------------------
r25430 | martinm | 2008-06-05 02:15:42 -0700 (Thu, 05 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix operator precedence problem.

------------------------------------------------------------------------
r25431 | grahamb | 2008-06-05 03:32:51 -0700 (Thu, 05 Jun 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Added decoding of object 110 (Octet string), fixed reassembly if transport frame doesn't start with 0.
------------------------------------------------------------------------
r25432 | jake | 2008-06-05 06:25:48 -0700 (Thu, 05 Jun 2008) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_libraries.xml

Replaced net-SNMP section with libSMI.

------------------------------------------------------------------------
r25433 | jake | 2008-06-05 13:00:36 -0700 (Thu, 05 Jun 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mp4ves.c

From SUZUKI, Shinsuke:
There are some non-ASCII characters in the following file.

------------------------------------------------------------------------
r25434 | martinm | 2008-06-05 14:39:06 -0700 (Thu, 05 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Squash uninitialised use warning.

------------------------------------------------------------------------
r25435 | martinm | 2008-06-06 02:09:00 -0700 (Fri, 06 Jun 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix RACH extended IE handling.
Flags have different meanings depending upon radio mode...

------------------------------------------------------------------------
r25436 | martinm | 2008-06-06 10:54:59 -0700 (Fri, 06 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Set release year and month for F7 FP (needed for correct EDCH no-of-subframes field).

------------------------------------------------------------------------
r25437 | etxrab | 2008-06-09 22:35:38 -0700 (Mon, 09 Jun 2008) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Use GTK+ 2.12.10
------------------------------------------------------------------------
r25438 | etxrab | 2008-06-09 22:39:58 -0700 (Mon, 09 Jun 2008) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

From   Alex Badea:
Migrate ISAKMP packet decryption from libnettle to libgcrypt
------------------------------------------------------------------------
r25439 | jake | 2008-06-09 22:41:29 -0700 (Mon, 09 Jun 2008) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c

From Joe Eykholt:
The Fibre-channel FCP dissector shows the wrong byte as the response info
response code byte.  The byte with offset 2 in the FCP frame is shown
instead of byte 3 inside the response info.
------------------------------------------------------------------------
r25440 | guy | 2008-06-10 10:23:36 -0700 (Tue, 10 Jun 2008) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

The change to "Use GTK+ 2.12.10" switched from "libpng13.dll" to
"libpng12-0.dll"; fix a reference to the former.

------------------------------------------------------------------------
r25441 | jake | 2008-06-11 11:16:04 -0700 (Wed, 11 Jun 2008) | 1 line
Changed paths:
   M /trunk/epan/proto.c

ptvcursor_subtree_set_item() does not need to be exported.
------------------------------------------------------------------------
r25442 | jake | 2008-06-11 11:20:02 -0700 (Wed, 11 Jun 2008) | 3 lines
Changed paths:
   M /trunk/epan/etypes.h

Fix for bug 2396:
Wireshark expects 802.1ah Instance tags to have ethernet type 0x88f0, but latest 
802.1ah draft 4.1 defines the 802.1ah Instance tag ethernet type to 0x88e7.
------------------------------------------------------------------------
r25443 | stig | 2008-06-11 13:10:19 -0700 (Wed, 11 Jun 2008) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ms-mms.c

Return 0 if we don't dissect any bytes.
Set desegment_len = DESEGMENT_ONE_MORE_SEGMENT.

------------------------------------------------------------------------
r25444 | morriss | 2008-06-12 06:39:55 -0700 (Thu, 12 Jun 2008) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From yami via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2603 : register the SMB dissector by name.
------------------------------------------------------------------------
r25445 | martinm | 2008-06-12 09:11:16 -0700 (Thu, 12 Jun 2008) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Dissect BCH channels (expect control messages only).












------------------------------------------------------------------------
r25446 | martinm | 2008-06-12 09:50:23 -0700 (Thu, 12 Jun 2008) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Show correct seqno in info column.













------------------------------------------------------------------------
r25447 | etxrab | 2008-06-12 12:18:06 -0700 (Thu, 12 Jun 2008) | 1 line
Changed paths:
   M /trunk/asn1/s1ap/S1AP-CommonDataTypes.asn
   M /trunk/asn1/s1ap/S1AP-Constants.asn
   M /trunk/asn1/s1ap/S1AP-Containers.asn
   M /trunk/asn1/s1ap/S1AP-IEs.asn
